Search.setIndex({"docnames": ["basics", "calculus/approximation", "calculus/differentiation", "calculus/index", "calculus/integration", "calculus/inverselaplace", "calculus/odes", "calculus/optimization", "calculus/polynomials", "calculus/sums_limits", "cli", "contexts", "functions/bessel", "functions/constants", "functions/elliptic", "functions/expintegrals", "functions/gamma", "functions/hyperbolic", "functions/hypergeometric", "functions/index", "functions/numtheory", "functions/orthogonal", "functions/powers", "functions/qfunctions", "functions/signals", "functions/trigonometric", "functions/zeta", "general", "genindex", "identification", "index", "matrices", "plotting", "references", "setup", "technical"], "filenames": ["basics.rst", "calculus/approximation.rst", "calculus/differentiation.rst", "calculus/index.rst", "calculus/integration.rst", "calculus/inverselaplace.rst", "calculus/odes.rst", "calculus/optimization.rst", "calculus/polynomials.rst", "calculus/sums_limits.rst", "cli.rst", "contexts.rst", "functions/bessel.rst", "functions/constants.rst", "functions/elliptic.rst", "functions/expintegrals.rst", "functions/gamma.rst", "functions/hyperbolic.rst", "functions/hypergeometric.rst", "functions/index.rst", "functions/numtheory.rst", "functions/orthogonal.rst", "functions/powers.rst", "functions/qfunctions.rst", "functions/signals.rst", "functions/trigonometric.rst", "functions/zeta.rst", "general.rst", "genindex.rst", "identification.rst", "index.rst", "matrices.rst", "plotting.rst", "references.rst", "setup.rst", "technical.rst"], "titles": ["Basic usage", "Function approximation", "Differentiation", "Numerical calculus", "Numerical integration (quadrature)", "Numerical inverse Laplace transform", "Ordinary differential equations", "Root-finding and optimization", "Polynomials", "Sums, products, limits and extrapolation", "Command-Line Usage", "Contexts", "Bessel functions and related functions", "Mathematical constants", "Elliptic functions", "Exponential integrals and error functions", "Factorials and gamma functions", "Hyperbolic functions", "Hypergeometric functions", "Mathematical functions", "Number-theoretical, combinatorial and integer functions", "Orthogonal polynomials", "Powers and logarithms", "q-functions", "Signal functions", "Trigonometric functions", "Zeta functions, L-series and polylogarithms", "Utility functions", "Index", "Number identification", "Welcome to mpmath\u2019s documentation!", "Matrices", "Plotting", "References", "Setting up mpmath", "Precision and representation issues"], "terms": {"To": [0, 4, 6, 11, 14, 20, 22, 26, 27, 29, 31, 32, 34, 35], "avoid": [0, 2, 14, 15, 18, 22, 27], "inadvert": 0, "overrid": [0, 5], "other": [0, 4, 5, 6, 8, 9, 11, 12, 13, 14, 15, 16, 18, 19, 20, 21, 22, 26, 27, 29, 35], "function": [0, 2, 3, 4, 5, 6, 7, 8, 9, 11, 13, 29, 30, 33, 34, 35], "object": [0, 6, 9, 11, 13, 14], "explicitli": [0, 9, 18, 20, 29, 32, 35], "import": [0, 1, 2, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 20, 21, 22, 23, 24, 25, 26, 27, 29, 31, 32, 34, 35], "onli": [0, 2, 4, 5, 7, 9, 11, 12, 14, 15, 16, 18, 20, 22, 25, 26, 27, 29, 31, 32, 35], "need": [0, 1, 2, 4, 6, 7, 9, 29, 31, 32, 35], "us": [0, 1, 2, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 29, 30, 31, 32, 33, 35], "mpmath": [0, 1, 2, 4, 5, 6, 7, 8, 9, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 29, 31, 32, 33, 35], "mp": [0, 1, 2, 4, 5, 6, 7, 8, 9, 12, 13, 14, 15, 16, 17, 18, 20, 21, 22, 23, 24, 25, 26, 27, 29, 30, 31, 34, 35], "namespac": [0, 11], "from": [0, 1, 2, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 29, 31, 32, 34, 35], "sin": [0, 1, 2, 4, 6, 7, 9, 11, 12, 13, 14, 15, 16, 17, 18, 21, 22, 26, 27, 31, 32, 35], "1": [0, 1, 2, 4, 5, 6, 7, 8, 9, 11, 12, 13, 14, 15, 16, 17, 18, 20, 21, 22, 23, 24, 25, 26, 27, 29, 31, 32, 33, 34, 35], "mpf": [0, 1, 2, 5, 6, 9, 11, 12, 13, 14, 15, 16, 18, 20, 22, 23, 26, 27, 29, 31, 34, 35], "0": [0, 1, 2, 4, 5, 6, 7, 8, 9, 11, 12, 13, 14, 15, 16, 17, 18, 20, 21, 22, 23, 24, 25, 26, 27, 29, 31, 32, 34, 35], "8414709848078965": 0, "context": [0, 5, 16, 27, 30, 35], "explain": 0, "everyth": [0, 34], "can": [0, 1, 2, 4, 5, 6, 7, 8, 9, 11, 12, 13, 14, 15, 16, 18, 20, 21, 22, 26, 27, 29, 30, 31, 32, 33, 34, 35], "conveni": [0, 6, 9, 14, 18, 20, 22, 26, 27, 31], "especi": [0, 5, 7, 9, 31, 34, 35], "when": [0, 1, 4, 5, 7, 9, 10, 11, 12, 13, 14, 15, 16, 18, 21, 22, 26, 27, 29, 35], "interact": [0, 30, 34, 35], "i": [0, 1, 2, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 20, 21, 22, 23, 24, 25, 26, 27, 29, 30, 31, 32, 33, 34, 35], "best": [0, 4, 6, 9, 27, 35], "statement": 0, "product": [0, 3, 12, 16, 18, 20, 23, 27, 29, 30, 31, 33, 35], "code": [0, 4, 10, 11, 27, 33, 35], "thei": [0, 4, 7, 11, 12, 13, 14, 16, 18, 20, 21, 22, 25, 26, 27, 29, 34, 35], "make": [0, 4, 6, 7, 12, 14, 18, 22, 26, 27, 31, 34, 35], "unclear": 0, "which": [0, 1, 2, 4, 5, 6, 7, 8, 9, 11, 12, 14, 15, 16, 18, 20, 21, 22, 24, 26, 27, 29, 31, 34, 35], "name": [0, 4, 9, 31], "ar": [0, 1, 2, 4, 5, 6, 7, 8, 9, 11, 12, 13, 14, 15, 16, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 29, 31, 32, 34, 35], "present": [0, 4, 9, 16, 20, 27, 29], "wildcard": 0, "mai": [0, 1, 2, 4, 6, 7, 8, 9, 11, 12, 14, 15, 16, 18, 20, 21, 22, 26, 27, 29, 31, 32, 34, 35], "conflict": 0, "modul": [0, 11, 19, 31, 34, 35], "variabl": [0, 4, 5, 14, 19, 21, 34], "follow": [0, 2, 4, 5, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 18, 21, 22, 23, 25, 26, 27, 29, 32, 33, 34, 35], "numer": [0, 1, 6, 7, 8, 9, 11, 12, 14, 15, 16, 18, 20, 21, 22, 26, 29, 30, 31, 32, 33, 35], "class": [0, 4, 5, 7, 9, 11, 15, 27, 31], "descript": [0, 4, 5, 11, 27], "real": [0, 2, 4, 5, 7, 8, 9, 11, 12, 14, 15, 16, 18, 19, 20, 21, 22, 23, 25, 26, 27, 29, 31, 32, 33, 35], "float": [0, 1, 10, 13, 16, 18, 20, 22, 25, 27, 29, 30, 31, 32, 35], "mpc": [0, 11, 13, 27], "complex": [0, 2, 4, 5, 6, 7, 8, 9, 10, 11, 12, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 25, 26, 29, 30, 31, 33, 35], "matrix": [0, 7, 9, 11, 18, 20, 23, 30], "The": [0, 1, 2, 4, 5, 6, 7, 8, 9, 11, 12, 13, 14, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 29, 33, 34, 35], "section": [0, 5, 12, 14, 15, 18, 20, 24, 26, 35], "veri": [0, 1, 2, 4, 5, 6, 7, 9, 14, 15, 16, 18, 20, 22, 26, 27, 31, 35], "short": [0, 35], "introduct": 0, "interv": [0, 1, 4, 7, 9, 15, 16, 20, 21, 22, 25, 26, 27, 30, 32], "matric": [0, 20, 27, 30], "describ": [0, 4, 5, 6, 9, 12, 24], "further": [0, 2, 29, 30, 34], "document": [0, 4, 7, 9, 11, 13, 18, 25, 26, 27, 31, 33, 35], "chapter": [0, 12, 14, 18], "arithmet": [0, 7, 8, 9, 13, 19, 25, 29, 30, 31, 35], "linear": [0, 4, 5, 9, 18, 29, 30, 35], "algebra": [0, 14, 16, 30, 35], "analog": [0, 16, 18, 26, 27], "python": [0, 11, 19, 22, 25, 27, 29, 30, 31, 34, 35], "": [0, 1, 2, 7, 8, 9, 11, 12, 14, 15, 16, 18, 19, 20, 21, 22, 23, 25, 26, 27, 29, 31, 33, 34, 35], "built": [0, 7, 35], "It": [0, 1, 5, 7, 8, 9, 11, 12, 13, 14, 15, 16, 20, 22, 26, 27, 29, 31, 34, 35], "hold": [0, 7, 9, 11, 12, 16, 20, 23, 27, 31, 35], "one": [0, 1, 2, 4, 5, 6, 7, 9, 14, 15, 18, 20, 26, 27, 29, 31, 35], "special": [0, 9, 12, 13, 14, 15, 16, 18, 19, 20, 21, 22, 23, 26, 27, 31, 35], "valu": [0, 1, 2, 3, 4, 5, 7, 8, 9, 11, 12, 13, 14, 15, 16, 17, 18, 20, 21, 22, 23, 25, 26, 27, 29, 32, 35], "inf": [0, 2, 4, 9, 11, 12, 13, 14, 15, 16, 17, 18, 20, 21, 22, 23, 25, 26, 27, 31, 35], "posit": [0, 2, 4, 5, 7, 12, 13, 15, 16, 18, 22, 23, 25, 26, 27, 29, 31, 32, 35], "infin": [0, 9, 13, 15, 26, 27, 31], "neg": [0, 5, 9, 12, 15, 16, 20, 21, 22, 26, 31, 32, 35], "nan": [0, 12, 13, 16, 25, 27, 35], "indic": [0, 5, 9, 11, 18, 20, 26, 35], "an": [0, 1, 2, 4, 5, 6, 7, 8, 9, 11, 12, 14, 15, 16, 17, 18, 20, 21, 22, 26, 27, 29, 31, 32, 33, 35], "indetermin": [0, 11], "result": [0, 1, 2, 4, 5, 7, 8, 9, 11, 15, 16, 18, 20, 22, 25, 27, 29, 31, 35], "you": [0, 4, 5, 6, 7, 9, 10, 14, 27, 29, 31, 32, 34, 35], "creat": [0, 5, 11, 18, 30, 34], "instanc": [0, 4, 11, 13, 18, 20, 26, 27, 34], "string": [0, 7, 11, 14, 27, 29, 31, 32, 35], "integ": [0, 2, 5, 9, 10, 12, 14, 15, 16, 18, 19, 21, 22, 23, 26, 30, 31, 34, 35], "4": [0, 1, 2, 4, 5, 7, 8, 9, 11, 12, 13, 14, 15, 16, 18, 20, 21, 22, 23, 24, 25, 26, 27, 29, 31, 32, 34, 35], "2": [0, 1, 2, 4, 5, 6, 7, 8, 9, 11, 12, 13, 14, 15, 16, 17, 18, 20, 21, 22, 23, 24, 25, 26, 27, 29, 31, 32, 33, 34, 35], "5": [0, 1, 2, 4, 5, 6, 7, 8, 9, 11, 12, 13, 14, 15, 16, 17, 18, 20, 21, 22, 23, 24, 25, 26, 27, 29, 31, 32, 33, 34, 35], "25e6": 0, "1250000": 0, "repres": [0, 7, 11, 12, 13, 14, 18, 20, 21, 22, 25, 27, 29, 31, 35], "rectangular": [0, 11, 32], "form": [0, 1, 5, 6, 9, 10, 11, 12, 14, 15, 16, 18, 20, 22, 26, 27, 29, 35], "pair": [0, 1, 4, 5, 7, 11, 18, 27, 29, 32, 35], "construct": [0, 26], "3": [0, 1, 2, 4, 5, 6, 7, 8, 9, 11, 12, 13, 14, 15, 16, 17, 18, 20, 21, 22, 23, 25, 26, 27, 29, 31, 32, 33, 34, 35], "imag": [0, 11, 12, 16, 18, 26, 27, 32], "mix": [0, 9], "each": [0, 2, 4, 6, 7, 8, 9, 14, 16, 18, 20, 22, 25, 26, 27, 29, 31], "9": [0, 1, 2, 5, 7, 9, 12, 14, 15, 16, 18, 20, 21, 22, 23, 25, 26, 27, 29, 31, 34], "dp": [0, 4, 5, 6, 7, 8, 9, 11, 12, 13, 14, 15, 16, 17, 18, 20, 21, 22, 23, 24, 25, 26, 27, 29, 31, 34, 35], "15": [0, 1, 4, 5, 6, 7, 9, 11, 12, 13, 14, 15, 16, 18, 20, 21, 22, 23, 26, 27, 29, 31, 35], "see": [0, 1, 4, 5, 7, 8, 9, 11, 12, 13, 14, 15, 16, 18, 20, 21, 22, 23, 25, 26, 27, 30, 31, 34], "below": [0, 4, 5, 6, 9, 18, 26, 29], "1j": [0, 9, 12, 14, 15, 16, 18, 20, 22, 23, 26, 31], "70710678118654757": 0, "global": [0, 11, 17], "work": [0, 1, 2, 4, 5, 6, 7, 8, 9, 11, 13, 14, 15, 18, 20, 21, 22, 23, 26, 27, 29, 33, 35], "doe": [0, 2, 4, 5, 7, 9, 11, 18, 22, 26, 27, 29, 31, 35], "keep": [0, 7, 34, 35], "track": [0, 7, 11, 31, 35], "accuraci": [0, 1, 2, 4, 5, 6, 8, 9, 11, 18, 29, 35], "individu": [0, 9, 30], "perform": [0, 2, 4, 6, 7, 8, 9, 22, 29, 30, 31, 35], "oper": [0, 2, 9, 11, 13, 29, 30, 35], "call": [0, 1, 2, 4, 5, 7, 9, 10, 11, 13, 14, 15, 16, 18, 20, 22, 23, 26, 27, 29, 31, 34, 35], "round": [0, 4, 11, 13, 18, 20, 22, 26, 27, 35], "current": [0, 7, 8, 9, 11, 13, 18, 26, 27, 31, 35], "control": [0, 5, 6, 9, 11, 18, 20, 27, 35], "ha": [0, 1, 2, 4, 5, 6, 7, 9, 11, 12, 14, 15, 16, 18, 20, 22, 25, 26, 27, 29, 31, 34, 35], "default": [0, 2, 4, 5, 6, 7, 9, 10, 11, 18, 20, 27, 29, 32, 35], "state": [0, 15, 35], "prec": [0, 4, 9, 10, 11, 13, 27, 34, 35], "53": [0, 11, 12, 14, 26, 31, 35], "trap_complex": 0, "fals": [0, 1, 2, 4, 5, 6, 7, 8, 9, 11, 12, 14, 15, 16, 18, 20, 22, 26, 27, 29, 31, 32, 35], "term": [0, 1, 2, 4, 5, 7, 8, 9, 11, 12, 13, 14, 15, 16, 18, 20, 21, 22, 26, 27, 29, 35], "denot": [0, 4, 14, 15, 18, 20, 21, 22, 23, 26, 31], "binari": [0, 11, 22, 27, 35], "measur": [0, 4, 27, 35], "bit": [0, 4, 11, 26, 27, 29, 35], "while": [0, 2, 5, 6, 7, 9, 11, 12, 16, 18, 20, 35], "decim": [0, 1, 5, 9, 11, 13, 27, 29, 30], "place": [0, 1, 4, 8, 9, 25], "relat": [0, 5, 9, 14, 15, 16, 18, 19, 20, 21, 22, 23, 26, 30, 33, 35], "roughli": [0, 2, 4, 6, 9, 12, 13, 15, 20, 22, 27, 29, 35], "accord": [0, 5, 12], "formula": [0, 1, 2, 4, 9, 12, 16, 18, 20, 21, 22, 26, 29, 35], "33": [0, 5, 12], "For": [0, 1, 2, 4, 5, 6, 7, 9, 12, 13, 14, 15, 16, 18, 20, 21, 22, 23, 26, 27, 29, 30, 31, 32, 34, 35], "exampl": [0, 1, 2, 4, 5, 6, 7, 8, 9, 11, 12, 14, 15, 16, 18, 20, 21, 22, 23, 24, 25, 26, 27, 29, 30, 31, 32, 33, 34, 35], "take": [0, 4, 11, 18, 21, 22, 25, 31, 32, 34], "333": [0, 5], "approxim": [0, 3, 5, 7, 8, 9, 16, 20, 21, 22, 26, 29, 30, 31, 34, 35], "pi": [0, 1, 2, 4, 5, 6, 7, 9, 11, 12, 14, 15, 16, 18, 19, 20, 21, 22, 23, 25, 26, 27, 29, 31, 32, 33, 34, 35], "accur": [0, 1, 2, 4, 5, 6, 8, 9, 11, 15, 20, 21, 22, 25, 26, 27, 29, 31, 35], "100": [0, 2, 4, 5, 9, 11, 12, 14, 15, 16, 18, 20, 21, 22, 26, 27, 29, 31, 32, 34, 35], "actual": [0, 4, 9, 11, 13, 27, 29, 35], "slightli": [0, 2, 4, 9, 21, 22, 29], "more": [0, 1, 2, 4, 5, 6, 7, 9, 14, 15, 16, 17, 18, 20, 21, 22, 23, 26, 27, 29, 31, 35], "than": [0, 2, 4, 5, 7, 8, 9, 11, 12, 15, 16, 18, 20, 22, 26, 27, 29, 31, 35], "either": [0, 2, 4, 8, 9, 14, 16, 18, 27, 29, 31, 35], "properti": [0, 4, 9, 11, 12, 14, 15, 16, 18, 20, 22, 30, 31], "automat": [0, 2, 4, 6, 9, 11, 12, 15, 18, 27, 31, 34, 35], "updat": [0, 9, 27, 34], "usual": [0, 4, 5, 7, 9, 11, 14, 18, 21, 26, 29, 31, 34, 35], "just": [0, 2, 4, 5, 6, 8, 10, 18, 22, 26, 29, 31, 35], "want": [0, 5, 6, 9, 11, 31], "336": 0, "been": [0, 2, 4, 5, 6, 9, 20, 27, 29, 34], "all": [0, 1, 4, 5, 6, 7, 8, 9, 11, 12, 15, 16, 18, 20, 21, 22, 25, 26, 27, 29, 34, 35], "carri": 0, "out": [0, 1, 4, 5, 18, 27], "50": [0, 4, 6, 8, 9, 11, 12, 13, 14, 15, 16, 18, 20, 22, 26, 27, 29, 31, 32, 34, 35], "6": [0, 1, 2, 4, 5, 9, 11, 12, 13, 14, 15, 16, 18, 20, 21, 22, 23, 25, 26, 27, 29, 31, 34], "16666666666666666666666666666666666666666666666666656": 0, "25": [0, 2, 4, 5, 7, 9, 11, 12, 13, 14, 15, 16, 17, 18, 20, 21, 22, 23, 24, 25, 26, 27, 29, 31, 35], "414213562373095048801688713": 0, "also": [0, 1, 4, 5, 6, 7, 8, 9, 11, 12, 13, 14, 15, 16, 18, 19, 20, 21, 22, 23, 26, 27, 29, 31, 32, 34, 35], "10": [0, 1, 2, 4, 5, 6, 7, 8, 9, 11, 12, 13, 14, 15, 16, 18, 20, 21, 22, 23, 25, 26, 27, 29, 31, 32, 34, 35], "3333333333321": 0, "6666666666642": 0, "There": [0, 2, 16, 18, 21, 22, 26, 29, 35], "restrict": [0, 29, 35], "magnitud": [0, 2, 4, 9, 12, 18, 20, 22, 27, 29, 31, 32, 35], "larg": [0, 2, 4, 5, 6, 9, 11, 12, 15, 16, 18, 19, 20, 21, 22, 26, 27, 29, 31, 35], "mersenn": [0, 22], "prime": [0, 5, 15, 19, 22, 26], "32582657": 0, "24575026015369e": 0, "9808357": 0, "Or": 0, "why": 0, "googolplex": 0, "0e": [0, 2, 12, 16, 18, 20, 21, 22, 27, 29], "100000000000000000000000000000000000000000000000000": 0, "expon": [0, 35], "store": [0, 11, 27, 31], "exactli": [0, 2, 9, 11, 15, 18, 20, 22, 25, 26, 27, 35], "independ": [0, 6, 12, 31], "often": [0, 4, 9, 11, 12, 16, 18, 22, 24, 25, 26, 27, 35], "dure": [0, 5, 9, 34], "part": [0, 2, 4, 5, 8, 12, 16, 18, 20, 21, 22, 25, 26, 30, 32, 35], "calcul": [0, 2, 4, 5, 7, 8, 9, 11, 12, 16, 20, 21, 22, 27, 29, 31, 35], "A": [0, 1, 2, 4, 5, 6, 7, 9, 11, 12, 13, 14, 15, 16, 18, 20, 21, 22, 24, 26, 27, 29, 31, 33, 35], "wai": [0, 1, 4, 5, 9, 12, 15, 16, 20, 21, 22, 23, 26, 31, 35], "increas": [0, 2, 4, 5, 6, 8, 9, 11, 18, 20, 22, 25, 26, 27, 29, 32, 35], "restor": [0, 27], "do_someth": 0, "along": [0, 1, 4, 5, 9, 12, 14, 16, 20, 22, 25, 26, 27], "workprec": [0, 9], "workdp": 0, "extraprec": [0, 8, 9, 14, 26, 31], "extradp": [0, 14, 18, 26], "safe": [0, 29, 35], "manner": 0, "20": [0, 2, 4, 5, 7, 8, 9, 12, 14, 15, 16, 18, 20, 21, 22, 26, 27, 29, 31, 32, 34], "7": [0, 2, 4, 7, 9, 11, 12, 14, 15, 16, 18, 20, 21, 22, 23, 26, 27, 29, 31], "14285714285714285714": 0, "142857142857142857142857142857": 0, "ensur": [0, 7, 8, 20, 35], "get": [0, 4, 5, 6, 7, 8, 15, 20, 29, 34, 35], "reset": 0, "exit": [0, 10, 29], "block": [0, 26, 27], "even": [0, 2, 7, 9, 11, 12, 14, 15, 16, 17, 18, 20, 21, 22, 26, 27, 29, 31, 35], "case": [0, 4, 6, 7, 8, 9, 11, 12, 13, 14, 15, 16, 18, 21, 22, 23, 25, 26, 27, 29, 31, 35], "except": [0, 4, 7, 8, 9, 11, 12, 13, 14, 15, 16, 18, 20, 22, 25, 26, 27, 32, 35], "rais": [0, 7, 8, 9, 11, 14, 22, 27, 31, 32, 35], "famili": [0, 7, 15], "decor": [0, 27], "def": [0, 1, 2, 7, 14, 18, 21, 22], "f": [0, 1, 2, 4, 5, 6, 7, 9, 11, 12, 14, 15, 16, 18, 20, 21, 27, 29, 31, 32, 35], "return": [0, 1, 2, 4, 6, 7, 8, 9, 11, 12, 14, 16, 18, 20, 21, 22, 25, 26, 27, 29, 31, 32, 35], "33333331346511841": 0, "some": [0, 4, 5, 6, 7, 9, 10, 11, 12, 14, 15, 16, 18, 20, 21, 22, 26, 29, 31, 32, 34, 35], "accept": [0, 6, 18, 27, 31], "keyword": [0, 1, 2, 4, 5, 7, 9, 15, 16, 18, 21, 26, 27, 29, 31], "argument": [0, 1, 2, 4, 5, 6, 7, 9, 12, 13, 15, 16, 17, 18, 19, 20, 21, 22, 23, 26, 27, 29, 31, 32], "thi": [0, 1, 2, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 18, 20, 21, 22, 24, 25, 26, 27, 29, 31, 32, 33, 34, 35], "note": [0, 1, 2, 4, 6, 7, 9, 11, 12, 14, 15, 16, 18, 20, 21, 22, 25, 26, 27, 29, 34, 35], "affect": 0, "so": [0, 2, 4, 5, 8, 9, 11, 14, 15, 16, 18, 20, 22, 25, 26, 30, 31, 34, 35], "digit": [0, 1, 2, 4, 5, 7, 9, 11, 13, 16, 18, 20, 21, 22, 27, 29, 31, 33, 34, 35], "must": [0, 1, 2, 5, 6, 7, 8, 9, 14, 16, 22, 26, 27, 29, 34, 35], "afterward": [0, 7, 11, 27], "nstr": [0, 5, 20, 31], "nprint": [0, 1, 2, 6, 8, 9, 12, 14, 15, 16, 17, 18, 20, 21, 22, 25, 26, 29, 31], "exp": [0, 1, 2, 4, 5, 6, 7, 9, 11, 12, 13, 14, 15, 16, 18, 21, 26, 27, 29, 31, 32, 35], "71828182845905": [0, 6, 9, 16, 31], "extra": [0, 2, 4, 8, 27, 34, 35], "won": 0, "t": [0, 2, 4, 5, 9, 10, 12, 14, 15, 16, 18, 20, 21, 22, 24, 26, 27, 31, 32, 33], "7182818284590452353602874713526624977572470937": [0, 6], "final": [0, 7, 9, 14, 26, 31], "instead": [0, 1, 4, 6, 9, 11, 13, 14, 16, 20, 21, 26, 27, 29, 31, 34, 35], "custom": [0, 4, 26, 27, 29, 31, 32], "method": [0, 2, 4, 5, 6, 7, 8, 9, 11, 18, 20, 22, 26, 27, 29, 33], "those": [0, 11, 15, 22, 25, 26, 29, 35], "local": [0, 6, 7, 26], "mp2": 0, "clone": [0, 34], "3333333333": 0, "33333333333333333333": 0, "abil": [0, 35], "multipl": [0, 4, 7, 9, 12, 13, 16, 26, 27, 31, 33, 35], "new": [0, 5, 6, 9, 31], "featur": [0, 1, 11], "partial": [0, 2, 4, 9, 18, 22], "implement": [0, 4, 5, 6, 8, 9, 11, 12, 13, 15, 16, 18, 19, 20, 21, 22, 26, 29, 31, 35], "Not": 0, "yet": [0, 11], "avail": [0, 1, 4, 5, 9, 11, 15, 18, 19, 20, 22, 29, 31, 32, 34], "In": [0, 4, 5, 6, 7, 8, 9, 12, 13, 14, 16, 18, 20, 21, 22, 25, 26, 27, 29, 31, 34, 35], "version": [0, 1, 5, 10, 11, 16, 18, 21, 27, 35], "like": [0, 4, 6, 7, 8, 9, 11, 12, 14, 15, 16, 22, 25, 26, 27, 29, 31, 32, 34, 35], "encount": [0, 14, 16], "bug": [0, 34, 35], "try": [0, 4, 7, 18, 29, 35], "differ": [0, 2, 4, 5, 7, 9, 11, 12, 13, 14, 16, 18, 20, 21, 22, 25, 26, 27, 31, 35], "most": [0, 5, 7, 9, 11, 14, 15, 16, 18, 20, 21, 22, 25, 27, 29, 31, 35], "Be": [0, 7], "care": [0, 1, 7, 9, 15, 21, 35], "high": [0, 1, 2, 4, 5, 6, 7, 8, 9, 11, 12, 14, 16, 20, 22, 29, 33, 34, 35], "fraction": [0, 3, 5, 10, 12, 18, 20, 22, 29, 30, 35], "should": [0, 1, 4, 6, 8, 9, 11, 12, 14, 15, 16, 18, 21, 22, 26, 27, 29, 32, 34, 35], "30": [0, 2, 4, 7, 9, 11, 12, 15, 16, 20, 22, 23, 26, 27, 29, 31], "bad": [0, 4, 7, 15, 27, 32], "9000000000000003552713678800501": 0, "1090": 0, "bewar": [0, 15], "true": [0, 1, 2, 4, 5, 6, 7, 8, 9, 11, 12, 13, 14, 15, 16, 17, 18, 20, 21, 22, 23, 24, 25, 26, 27, 29, 31, 32], "divis": [0, 9, 10, 18, 27, 29, 35], "produc": [0, 1, 9, 11, 18, 27, 29, 32, 35], "good": [0, 1, 4, 7, 9, 11, 15, 26, 27, 32, 35], "8999999999999999999999999999997": 0, "109": 0, "75": [0, 2, 8, 9, 12, 14, 15, 16, 18, 20, 21, 22, 23, 24, 26, 27, 29, 31], "125": [0, 9, 12, 18, 21, 22, 26, 27, 31], "etc": [0, 1, 2, 9, 11, 16, 18, 19, 20, 27, 29, 35], "gener": [0, 1, 2, 4, 5, 6, 7, 9, 11, 12, 13, 14, 15, 16, 17, 19, 20, 21, 22, 23, 25, 26, 29, 30, 31, 33, 35], "howev": [0, 2, 4, 7, 9, 12, 15, 20, 25, 27, 29, 35], "sinc": [0, 4, 11, 14, 15, 16, 18, 19, 20, 21, 22, 26, 27, 29, 32], "By": [0, 4, 6, 9, 18, 20, 22, 27, 29, 32], "repr": [0, 11, 35], "includ": [0, 1, 5, 7, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 25, 26, 27, 30, 34, 35], "its": [0, 1, 5, 9, 11, 16, 21, 22, 25, 27, 29, 30, 31, 35], "signatur": 0, "eval": [0, 11, 27, 29, 35], "recreat": 0, "represent": [0, 9, 12, 13, 14, 15, 16, 18, 20, 26, 27, 30], "prettier": 0, "output": [0, 4, 20, 27, 29, 35], "obtain": [0, 1, 2, 6, 9, 14, 15, 20, 22, 23, 26, 32, 35], "str": [0, 13, 20, 22, 27, 31, 35], "hide": [0, 35], "suppress": 0, "artifact": [0, 35], "last": [0, 7, 9, 13, 14, 15, 16, 18, 22, 27, 31, 35], "few": [0, 2, 4, 5, 9, 11, 12, 16, 18, 20, 21, 22, 26, 29, 34], "14159": [0, 13, 27], "1415899999999999": 0, "707106781186548": 0, "707106781186548j": 0, "pretti": [0, 1, 2, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 20, 21, 22, 23, 24, 25, 26, 27, 29, 31, 34], "option": [0, 1, 2, 4, 5, 6, 9, 12, 14, 18, 20, 22, 26, 27, 30, 31, 32], "style": 0, "well": [0, 1, 2, 4, 5, 6, 7, 9, 11, 12, 16, 18, 20, 22, 29, 30, 31, 35], "59999999999999998": 0, "determin": [0, 6, 18, 20, 21, 27], "specifi": [0, 4, 5, 6, 7, 9, 14, 18, 26, 27, 29, 31, 32], "show": [0, 1, 5, 10, 11, 13, 18, 22, 27, 29, 32], "without": [0, 4, 15, 20, 27], "16666666666666666": 0, "8": [0, 4, 5, 9, 12, 15, 16, 18, 20, 21, 22, 26, 27, 29, 31, 34, 35], "16666667": 0, "16666666666666665741480812812369549646973609924316": 0, "x": [1, 2, 4, 6, 7, 8, 9, 11, 12, 13, 14, 15, 16, 17, 18, 20, 21, 22, 24, 25, 26, 27, 29, 31, 32, 35], "n": [1, 2, 4, 5, 6, 8, 9, 12, 13, 14, 15, 16, 18, 20, 21, 22, 23, 25, 26, 27, 29, 31, 33, 35], "degre": [1, 4, 5, 6, 8, 18, 19, 21, 29], "polynomi": [1, 3, 4, 6, 9, 12, 15, 16, 18, 19, 26, 29, 30], "around": [1, 4, 12, 22, 26], "point": [1, 2, 4, 6, 7, 8, 9, 12, 13, 14, 16, 18, 20, 21, 22, 25, 26, 27, 29, 30, 31, 32, 33, 35], "given": [1, 2, 4, 5, 6, 7, 8, 9, 12, 14, 15, 16, 18, 20, 21, 22, 25, 26, 27, 29, 31, 32, 35], "coeffici": [1, 5, 8, 9, 14, 18, 19, 20, 21, 22, 26, 27, 29], "list": [1, 2, 4, 7, 8, 9, 14, 18, 20, 22, 26, 27, 29, 30, 31, 32, 33, 34, 35], "chop": [1, 2, 4, 8, 9, 12, 14, 15, 16, 17, 18, 20, 21, 22, 25, 26, 31], "polyv": [1, 3, 29], "166667": [1, 17, 20, 22, 25], "00833333": [1, 17, 22, 25], "comput": [1, 2, 4, 5, 7, 8, 9, 11, 12, 13, 14, 15, 16, 17, 18, 20, 21, 22, 23, 24, 25, 26, 27, 29, 31, 33, 35], "order": [1, 2, 4, 5, 6, 8, 9, 11, 12, 15, 16, 18, 20, 21, 22, 26, 29], "differenti": [1, 3, 4, 5, 9, 12, 16, 18, 20, 21, 22, 26, 30], "possibl": [1, 5, 6, 7, 8, 9, 13, 14, 16, 18, 22, 27, 29, 31, 35], "evalu": [1, 2, 3, 4, 5, 6, 7, 9, 11, 12, 13, 14, 15, 16, 18, 20, 21, 22, 23, 25, 26, 27, 29, 30, 31, 32, 35], "arbitrari": [1, 2, 8, 9, 12, 13, 14, 15, 16, 18, 19, 20, 21, 22, 23, 26, 30, 35], "precis": [1, 2, 4, 5, 6, 7, 8, 9, 10, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 26, 29, 30, 33, 34], "diff": [1, 3, 7, 9, 12, 13, 14, 15, 16, 18, 20, 21, 22, 26, 27], "addit": [1, 4, 7, 9, 12, 13, 14, 15, 16, 18, 26, 27, 31, 34, 35], "detail": [1, 4, 5, 9, 13, 15, 26, 27, 34, 35], "support": [1, 2, 4, 7, 9, 11, 12, 13, 14, 15, 16, 18, 20, 22, 25, 26, 30, 31, 34], "expans": [1, 6, 7, 9, 12, 13, 14, 15, 16, 18, 20, 21, 22, 26], "subtract": [1, 27, 31, 35], "p": [1, 2, 4, 5, 8, 9, 12, 14, 15, 16, 18, 20, 21, 23, 24, 26, 27, 29, 31, 33], "asc": [1, 8, 16, 20, 21, 29], "12": [1, 2, 4, 5, 6, 9, 12, 14, 16, 18, 20, 21, 22, 26, 29], "1824939606092": 1, "1824939607035": [1, 6], "l": [1, 5, 9, 12, 14, 16, 18, 19, 20, 21, 30, 31, 33], "m": [1, 2, 4, 5, 7, 9, 12, 14, 16, 18, 20, 21, 26, 27, 29, 30, 33, 34, 35], "least": [1, 4, 7, 9, 11, 20, 27, 29, 31, 34, 35], "q": [1, 9, 14, 15, 16, 18, 19, 20, 21, 26, 27, 29, 30, 31], "satisfi": [1, 12, 14, 15, 16, 18, 20, 21, 22, 23, 26, 27, 31], "sum_": [1, 4, 5, 9, 12, 14, 16, 18, 20, 22, 23, 26, 27], "k": [1, 2, 4, 5, 9, 12, 13, 14, 15, 16, 18, 20, 22, 23, 26, 27, 33], "p_k": [1, 5], "q_k": 1, "q_0": 1, "o": [1, 2, 9, 15, 16, 26], "provid": [1, 4, 6, 8, 9, 11, 12, 14, 15, 18, 20, 22, 26, 27, 29, 30, 31, 34], "analyt": [1, 4, 5, 6, 7, 9, 12, 16, 18, 20, 26, 33, 35], "beyond": [1, 9], "radiu": [1, 2, 6, 9, 12, 18, 22], "converg": [1, 4, 5, 6, 7, 8, 9, 14, 15, 18, 20, 22, 26, 27], "g": [1, 2, 4, 5, 6, 9, 12, 14, 16, 19, 20, 21, 25, 26, 27, 33, 34, 35], "baker": 1, "essenti": [1, 5, 9, 14, 15, 17, 20, 21, 25, 29], "academ": 1, "press": [1, 5, 16, 33], "ch": 1, "1a": 1, "sqrt": [1, 2, 4, 5, 8, 9, 11, 12, 14, 15, 16, 17, 18, 20, 21, 25, 26, 27, 29, 31, 32, 35], "38169105566806": 1, "38169855941551": 1, "error": [1, 4, 5, 7, 8, 9, 11, 16, 17, 18, 19, 20, 22, 26, 27, 30, 31], "none": [1, 2, 4, 6, 7, 8, 9, 11, 13, 14, 18, 22, 23, 27, 29, 31, 32, 35], "b": [1, 4, 5, 7, 9, 11, 12, 15, 16, 18, 20, 21, 22, 23, 26, 27, 29, 31, 33, 34, 35], "With": [1, 2, 4, 6, 8, 9, 11, 12, 14, 16, 18, 21, 26, 27, 29, 31, 35], "estim": [1, 4, 5, 7, 8, 9, 15, 20, 22, 27], "maximum": [1, 4, 5, 8, 9, 23, 27, 29, 35], "absolut": [1, 2, 11, 18, 20, 27, 31, 35], "give": [1, 2, 4, 6, 7, 9, 11, 12, 15, 16, 18, 20, 21, 22, 23, 25, 26, 27, 31, 35], "nearli": [1, 5, 11, 35], "optim": [1, 3, 6, 9, 11, 18, 20, 27, 30], "solut": [1, 4, 5, 6, 7, 9, 12, 13, 14, 15, 18, 21, 22, 26, 29, 31], "close": [1, 5, 7, 9, 11, 12, 14, 15, 16, 18, 20, 21, 22, 26, 27, 29, 31, 35], "smallest": [1, 27], "ani": [1, 2, 4, 5, 6, 7, 8, 9, 11, 12, 13, 14, 16, 18, 20, 22, 26, 29, 31, 34, 35], "same": [1, 2, 9, 11, 12, 14, 15, 21, 22, 25, 26, 27, 31, 35], "repeat": [1, 4, 8], "expens": [1, 2, 4, 6, 9, 20, 22], "defin": [1, 2, 4, 6, 9, 12, 13, 14, 15, 16, 18, 20, 21, 22, 23, 25, 26, 27, 29, 31, 32, 35], "implicitli": 1, "integr": [1, 2, 3, 5, 6, 9, 11, 12, 13, 16, 18, 19, 20, 21, 22, 25, 26, 30, 33, 35], "equat": [1, 3, 5, 7, 12, 14, 16, 18, 21, 22, 23, 26, 29, 30], "could": [1, 5, 7, 21, 29], "turn": [1, 12, 15, 18], "slow": [1, 7, 9, 18, 22, 26, 31, 32, 35], "fast": [1, 2, 4, 5, 6, 7, 9, 12, 20, 22, 26, 30, 31], "machin": [1, 29, 31, 35], "If": [1, 2, 4, 5, 6, 7, 8, 9, 11, 14, 15, 16, 18, 20, 22, 23, 26, 27, 29, 31, 32, 34, 35], "descend": [1, 8, 29], "largest": [1, 8, 9, 26, 27, 29, 31, 35], "first": [1, 2, 4, 5, 6, 7, 8, 9, 12, 14, 16, 18, 20, 21, 26, 27, 29, 34, 35], "here": [1, 2, 4, 5, 9, 13, 14, 21, 26, 29, 31, 33], "we": [1, 2, 4, 6, 9, 12, 13, 14, 15, 16, 18, 21, 22, 25, 26, 29, 35], "low": [1, 5, 6, 7, 8, 18, 20, 21, 27, 29, 30], "co": [1, 2, 4, 6, 9, 11, 12, 14, 15, 16, 17, 18, 20, 21, 22, 26, 31, 32, 35], "valid": [1, 5, 9, 14, 16, 22, 26, 27, 29], "poli": 1, "err": [1, 4, 8], "949553": 1, "174141": 1, "732491": 1, "146166": 1, "00291682": 1, "61351758081e": 1, "0291858904138": 1, "0291995223013": 1, "sampl": [1, 5, 9, 26, 27, 35], "1000": [1, 4, 5, 7, 9, 12, 15, 16, 18, 20, 21, 22, 26, 27, 29, 31], "remark": 1, "lambda": [1, 2, 4, 5, 6, 7, 9, 12, 13, 14, 15, 16, 18, 20, 21, 22, 23, 26, 27, 29, 31, 32], "ab": [1, 2, 4, 9, 12, 14, 20, 21, 26, 27, 32, 33], "max": [1, 5, 7, 20, 27, 29, 35], "rang": [1, 2, 4, 5, 9, 12, 15, 16, 20, 21, 22, 23, 25, 26, 27, 29, 32, 35], "61349954245e": 1, "choic": [1, 4, 6, 9, 18, 20, 22], "set": [1, 2, 4, 5, 6, 8, 9, 10, 11, 16, 18, 20, 21, 22, 27, 29, 30, 31, 35], "arbitrarili": [1, 12, 15, 16, 18, 20, 22, 26], "As": [1, 2, 5, 6, 9, 14, 18, 20, 22, 27, 29, 31, 35], "rule": [1, 3, 5], "thumb": [1, 5], "unit": [1, 4, 13, 14, 16, 18, 19, 21, 22, 26, 27, 34], "although": [1, 4, 7, 8, 9, 11, 13, 15, 18, 26, 35], "depend": [1, 4, 5, 7, 11, 15, 18, 26, 27, 29, 31, 34, 35], "how": [1, 15, 16, 26, 27, 31, 35], "behav": [1, 2, 5, 6, 12, 15, 35], "cost": [1, 9, 27], "grow": [1, 5, 12, 15, 16, 20, 22, 29], "accordingli": [1, 2, 4, 35], "time": [1, 2, 4, 5, 7, 9, 11, 12, 16, 20, 26, 29, 31, 32, 35], "issu": [1, 5, 9, 13, 14, 22, 29, 30, 33, 34], "One": [1, 3, 4, 9, 13, 29, 33], "suffici": [1, 4, 6, 9, 11, 29, 35], "both": [1, 4, 6, 8, 9, 11, 12, 15, 16, 18, 19, 22, 25, 26, 27, 29, 35], "sometim": [1, 4, 5, 7, 9, 11, 14, 16, 18, 21, 27, 29, 31, 35], "ill": [1, 6, 14, 31, 35], "condit": [1, 6, 8, 9, 12, 14, 31], "difficult": [1, 6], "reach": [1, 9, 29], "matter": [1, 4, 35], "theoret": [1, 14, 19, 26, 30], "made": [1, 4], "futur": [1, 7, 27], "poorli": 1, "smooth": [1, 4, 9, 20], "contain": [1, 4, 5, 7, 9, 11, 18, 27, 29, 31, 32, 35], "singular": [1, 2, 4, 5, 9, 12, 14, 15, 18, 22, 25, 26, 32], "rapid": 1, "oscil": [1, 4, 6, 9, 12], "effect": [1, 5, 9, 11, 12, 26, 27, 34], "multipli": [1, 2, 4, 5, 12, 26, 27, 29, 31, 35], "weight": [1, 4, 9, 18, 21], "cancel": [1, 4, 5, 7, 9, 11, 15, 18, 22, 26, 27, 35], "nonsmooth": [1, 2], "divid": [1, 4, 27, 29], "sever": [1, 4, 7, 9, 12, 26, 27, 29, 31], "segment": [1, 25], "two": [1, 4, 6, 7, 8, 9, 11, 12, 14, 15, 19, 20, 22, 23, 25, 26, 27, 29, 31, 35], "c": [1, 2, 4, 9, 11, 14, 15, 18, 26, 27, 31, 33, 34, 35], "cosin": [1, 4, 6, 12, 15, 17, 18, 25, 26, 31], "sine": [1, 4, 6, 12, 15, 17, 18, 25, 26, 31], "respect": [1, 4, 12, 13, 14, 18, 21, 26, 31, 32, 35], "sim": [1, 4, 9, 12, 16], "c_k": [1, 29], "s_k": [1, 9], "where": [1, 2, 4, 5, 8, 9, 11, 12, 13, 14, 15, 16, 18, 20, 21, 22, 23, 24, 25, 26, 27, 29, 31, 32, 35], "mani": [1, 4, 5, 7, 9, 11, 12, 13, 14, 15, 16, 18, 19, 20, 21, 22, 27, 29, 32, 35], "text": [1, 6, 14, 21, 34], "c_0": [1, 8, 29], "easiest": 1, "correctli": [1, 29, 35], "pass": [1, 4, 5, 7, 9, 14, 18, 20, 22, 26, 27, 32], "simpl": [1, 4, 5, 7, 8, 9, 12, 15, 16, 20, 22, 25, 26, 27, 29, 31, 32, 35], "standard": [1, 2, 3, 6, 14, 15, 16, 18, 19, 21, 25, 29, 31, 34, 35], "zero": [1, 4, 9, 11, 14, 16, 18, 19, 21, 22, 27, 29, 31, 35], "becaus": [1, 7, 9, 27, 35], "odd": [1, 9, 12, 15, 16, 17, 20, 22, 26, 35], "symmetri": [1, 12, 14, 15, 16, 26], "ration": [1, 9, 12, 15, 16, 18, 20, 21, 22, 26, 29, 35], "number": [1, 2, 4, 5, 7, 8, 9, 11, 12, 13, 14, 15, 17, 18, 19, 21, 22, 23, 26, 30, 31, 32, 33, 34], "plot": [1, 6, 11, 12, 14, 21, 22, 27, 30], "cosh": [1, 4, 9, 14, 15, 20, 22, 35], "quad": [1, 2, 3, 6, 9, 11, 12, 13, 14, 15, 16, 18, 21, 22, 25, 26, 31], "666667": 1, "nonsymmetr": 1, "nonstandard": 1, "583333": 1, "12479": 1, "27552": 1, "904708": 1, "441296": 1, "6255": 1, "580905": 1, "219974": 1, "540057": 1, "instruct": 1, "truncat": [1, 4, 8, 13, 18, 29, 35], "slowli": [1, 4, 5, 7, 9, 12, 14, 18], "pointwis": 1, "correspond": [1, 5, 9, 11, 12, 18, 21, 26, 31, 35], "00467963": 1, "quadratur": [1, 2, 3, 5, 9, 15, 21, 30, 33], "speed": [1, 6, 7, 9, 11, 18, 31, 35], "improv": [1, 4, 5, 7, 9, 20], "specif": [1, 3, 9, 21, 22, 29, 34, 35], "5000441648": 1, "format": [1, 4, 8, 27, 31], "have": [1, 2, 4, 5, 7, 8, 9, 10, 11, 12, 15, 16, 17, 21, 22, 25, 26, 27, 29, 31, 35], "length": [1, 4, 6, 14, 16, 18, 26], "ge": [2, 4, 6, 12, 14, 16, 18, 20, 26], "th": [2, 4, 12, 14, 16, 20, 21, 22, 26], "basic": [2, 4, 5, 6, 7, 9, 11, 12, 14, 15, 16, 18, 20, 21, 22, 23, 25, 27, 29, 35], "j": [2, 4, 5, 7, 9, 12, 13, 14, 15, 16, 17, 18, 20, 21, 22, 23, 26, 27, 31, 32, 33], "0855": 2, "tupl": [2, 4, 8, 18, 20, 26, 27, 32, 35], "x_1": [2, 4, 6, 16, 29], "ldot": [2, 4, 6, 8, 9, 12, 13, 14, 16, 18, 20, 21, 22, 23, 26, 27, 31, 32], "x_k": [2, 4, 31], "n_1": 2, "n_k": 2, "y": [2, 4, 6, 9, 11, 12, 13, 14, 16, 18, 21, 22, 25, 27, 31, 32, 35], "recogn": [2, 4, 5, 29], "step": [2, 3, 4, 6, 7, 8, 9, 22, 27], "finit": [2, 4, 9, 11, 16, 18, 21, 23, 25, 26, 27, 35], "small": [2, 8, 18, 20, 22, 26, 27, 29, 35], "size": [2, 6, 20, 27, 29, 35], "h": [2, 4, 5, 9, 10, 12, 14, 16, 26, 27, 29, 31, 33], "direct": [2, 5, 6, 9, 16, 17, 18, 22, 27, 29, 35], "left": [2, 5, 6, 9, 12, 14, 15, 16, 17, 18, 20, 21, 23, 24, 25, 26, 31], "central": [2, 13], "right": [2, 5, 6, 9, 12, 14, 15, 16, 17, 18, 20, 21, 23, 24, 25, 26, 31, 35], "addprec": 2, "account": [2, 25], "sensit": [2, 27], "perturb": [2, 18, 20, 27], "rel": [2, 15, 20, 27, 35], "choos": [2, 4, 5, 7, 9, 15, 16, 21, 23], "rather": [2, 4, 5, 9, 12, 16, 26], "tini": [2, 18, 22, 26], "altern": [2, 4, 5, 7, 9, 12, 14, 15, 18, 19, 21, 22, 26, 27, 31, 32, 34], "manual": [2, 3, 7, 9, 16, 18, 27, 35], "select": [2, 4, 5, 9, 16, 18, 21, 22, 32], "remov": [2, 9, 18, 29, 32], "contour": [2, 5, 18], "larger": [2, 5, 15, 16, 20, 29, 35], "typic": [2, 4, 5, 8, 9, 11, 12, 16, 18, 27, 35], "faster": [2, 4, 5, 6, 7, 9, 11, 20, 22, 27, 29, 34, 35], "chosen": [2, 5, 9, 12, 14, 16, 18, 22, 26, 27], "within": [2, 4, 6, 7, 9, 26, 29, 34, 35], "requir": [2, 4, 5, 6, 9, 11, 15, 16, 18, 25, 27, 29, 32, 34, 35], "target": [2, 9, 18], "much": [2, 4, 9, 11, 16, 20, 22, 27, 34, 35], "thu": [2, 4, 12, 15, 18, 20, 21, 22, 25], "side": [2, 5], "nonzero": [2, 8, 11, 21, 22, 26, 27, 35], "sign": [2, 4, 5, 7, 9, 11, 15, 20, 25, 26, 32, 35], "imaginari": [2, 5, 8, 12, 13, 15, 16, 17, 18, 20, 22, 26, 27, 32, 35], "0j": [2, 4, 8, 9, 14, 15, 16, 20, 21, 22, 25, 27, 31], "pure": [2, 4, 9, 21, 26], "59": [2, 29], "e": [2, 4, 5, 6, 7, 9, 11, 12, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 29, 31, 33, 34, 35], "26j": [2, 12], "_": [2, 5, 11, 12, 14, 16, 18, 23, 25, 26, 27, 31], "ad": [2, 35], "1e": [2, 4, 9, 12, 15, 18, 22, 27, 29], "0001": [2, 18], "99999998328279e": 2, "31": [2, 16, 20, 26, 33], "yield": [2, 7, 9, 22], "sequenc": [2, 9, 11, 16, 21, 26, 35], "separ": [2, 18, 20, 27, 29, 35], "infti": [2, 4, 5, 9, 11, 12, 13, 14, 15, 16, 18, 20, 21, 22, 23, 25, 26, 31], "stop": [2, 9], "soon": [2, 9, 35], "exact": [2, 4, 6, 9, 11, 12, 14, 16, 18, 19, 20, 22, 27, 29, 35], "known": [2, 5, 6, 7, 9, 11, 12, 15, 16, 18, 20, 22, 23, 26, 35], "advanc": [2, 5, 9, 11, 33, 35], "effici": [2, 4, 7, 9, 13, 14, 18, 20, 21, 22, 26, 27, 31, 33, 35], "540302": 2, "841471": 2, "d": [2, 5, 9, 11, 12, 14, 16, 18, 20, 21, 26, 27, 33], "zip": [2, 27], "print": [2, 4, 6, 7, 8, 9, 10, 11, 12, 16, 18, 20, 21, 22, 25, 26, 29, 30, 31, 33, 34, 35], "54030230586814": [2, 6, 31], "841470984807897": [2, 6, 25, 31], "factor": [2, 7, 12, 14, 15, 18, 23, 26, 27, 35], "iter": [2, 4, 7, 8, 9, 12, 16, 18, 22, 27, 31], "f_k": 2, "_k": [2, 12, 18], "f_1": [2, 6, 18, 32], "f_2": [2, 18], "cdot": [2, 4, 9, 12, 16, 20, 23], "f_n": [2, 6, 12, 32], "At": [2, 4, 15, 20, 22, 26, 29], "admit": [2, 14, 18], "intern": [2, 5, 8, 11, 12, 18, 31, 34, 35], "guard": 2, "extern": [2, 5], "full": [2, 4, 9, 18, 27, 29, 31, 34, 35], "u": [2, 9, 11, 14, 18, 19, 21, 26, 27, 31, 32], "v": [2, 4, 9, 10, 11, 12, 14, 16, 18, 31, 32, 35], "next": [2, 8, 9, 29], "23586333600241": 2, "104658952245596": 2, "96999877552086": 2, "4632923122697": 2, "fdiff": 2, "gamma": [2, 5, 7, 9, 12, 13, 14, 18, 19, 20, 21, 22, 26, 30, 32, 33, 35], "logarithm": [2, 9, 12, 16, 18, 19, 20, 21, 26, 27, 30, 31, 35], "loggamma": [2, 9, 12, 26], "psi": [2, 13, 26], "diffs_loggamma": 2, "84556867019693": 2, "49292999190269": 2, "44996501352367": 2, "x0": [2, 6, 7], "riemann": [2, 7, 12, 19, 20, 33], "liouvil": [2, 12], "x_0": [2, 6, 7, 29], "mathbb": [2, 12, 14, 16, 21, 22, 26, 27], "n_xf": 2, "frac": [2, 4, 5, 9, 12, 13, 14, 15, 16, 17, 18, 20, 21, 22, 23, 24, 25, 26, 29, 31], "dx": [2, 4, 5, 9, 12, 18, 21, 22, 26], "int_": [2, 4, 12, 15, 16, 21], "dt": [2, 9, 12, 14, 15, 16, 26], "presum": 2, "refer": [2, 4, 5, 6, 8, 9, 12, 13, 14, 15, 16, 18, 20, 21, 22, 26, 30, 31, 35], "paramet": [2, 5, 9, 11, 12, 14, 15, 16, 18, 21, 26, 31], "second": [2, 4, 6, 7, 9, 12, 14, 18, 20, 21, 27, 29, 35], "du": 2, "permit": [2, 6, 9, 11, 12, 16, 18, 21, 23, 27, 29, 34, 35], "singl": [2, 4, 9, 11, 14, 16, 18, 22, 23, 25, 27, 31, 32, 35], "continu": [2, 5, 6, 9, 12, 14, 16, 18, 20, 26, 35], "monomi": 2, "half": [2, 4, 5, 11, 12, 13, 14, 16, 20, 22, 26, 31, 32], "lower_gamma": 2, "81764019044672": 2, "anoth": [2, 4, 7, 9, 11, 12, 18], "test": [2, 6, 11, 12, 18, 20, 30, 31, 35], "exponenti": [2, 4, 5, 9, 12, 14, 16, 18, 19, 20, 25, 26, 29, 30, 31, 35], "whose": [2, 31], "easi": [2, 21, 35], "third": [2, 5, 9, 12, 14, 21, 27], "tripli": 2, "nest": [2, 4, 9, 16, 31], "endpoint": [2, 4, 9, 11, 15, 27], "278538406900792": 2, "1922": 2, "50563031149": 2, "noninteg": [2, 12, 18, 26], "modifi": [2, 7, 12, 19], "123295": 2, "005390743": 2, "140955": 2, "117867654j": 2, "root": [3, 4, 12, 13, 14, 15, 16, 18, 19, 20, 21, 23, 25, 26, 29, 30, 31, 35], "polyroot": [3, 16, 20, 21, 29], "find": [3, 8, 9, 16, 22, 26, 29, 30, 35], "findroot": [3, 4, 12, 15, 16, 20, 23, 26, 27, 29], "sum": [3, 4, 5, 11, 15, 16, 18, 20, 22, 23, 26, 27, 30, 31, 35], "limit": [3, 4, 12, 13, 14, 15, 16, 17, 18, 21, 22, 23, 25, 29, 30, 35], "extrapol": [3, 4, 30], "summat": [3, 4, 5, 18, 22, 23, 26], "deriv": [3, 4, 6, 7, 8, 9, 12, 14, 16, 18, 20, 22, 26, 35], "composit": 3, "diffs_prod": 3, "diffs_exp": 3, "differintegr": [3, 12], "differint": [3, 12], "subdivis": 3, "quadsubdiv": 3, "oscillatori": [3, 5, 12], "quadosc": [3, 12, 15, 25], "ordinari": [3, 5, 11, 14, 15, 16, 18, 21, 23, 25, 26, 30, 31], "solv": [3, 7, 12, 21, 22, 26, 31, 35], "od": 3, "initi": [3, 4, 7, 10, 11, 12, 20], "problem": [3, 4, 5, 7, 8, 9, 11, 14, 29, 35], "odefun": [3, 22], "taylor": [3, 6, 8, 9, 12, 14, 15, 16, 17, 18, 20, 21, 22, 23, 25, 26, 31], "seri": [3, 4, 5, 6, 9, 11, 12, 13, 14, 15, 16, 17, 19, 20, 21, 22, 27, 30, 31, 33, 35], "pade": [3, 5, 9, 31], "chebyshev": [3, 19], "chebyfit": [3, 8], "fourier": [3, 5, 14, 26, 27], "fourierv": 3, "invers": [3, 4, 7, 14, 15, 19, 20, 22, 29, 30, 31, 35], "laplac": [3, 12, 30], "transform": [3, 4, 6, 9, 14, 16, 18, 29, 30], "algorithm": [3, 4, 6, 7, 8, 9, 11, 15, 18, 20, 26, 29, 33, 35], "invertlaplac": 3, "approach": [3, 9, 12, 14, 15, 20, 26], "credit": 3, "kwarg": [4, 5, 7, 9, 12, 14, 15, 16, 17, 18, 20, 22, 23, 25, 26, 27, 29, 31], "doubl": [4, 9, 11, 14, 16, 20, 22, 26, 30], "tripl": [4, 11], "over": [4, 9, 11, 12, 18, 20, 25, 26, 27, 32], "1d": [4, 7], "2d": [4, 9, 18, 25, 32], "rectangl": 4, "3d": [4, 30], "cuboid": 4, "log": [4, 5, 7, 9, 11, 12, 13, 14, 15, 16, 17, 18, 20, 25, 26, 27, 29, 31, 35], "euler": [4, 5, 9, 15, 16, 19, 22, 23, 26, 29], "linspac": 4, "dimens": [4, 9, 31], "interpret": [4, 15, 27, 30, 34, 35], "x1": [4, 7, 16, 18], "x2": [4, 7, 16, 18], "x_2": [4, 6, 16, 29], "y1": [4, 12, 21], "y2": [4, 12, 21], "y_1": [4, 6, 12], "y_2": [4, 12], "dy": 4, "z1": 4, "z2": 4, "z_1": 4, "z_2": 4, "z": [4, 9, 11, 12, 14, 15, 16, 18, 20, 21, 22, 23, 26, 27, 32], "dz": [4, 12, 16], "infinit": [4, 9, 11, 12, 14, 15, 16, 20, 22, 27, 29, 32, 35], "descriptor": 4, "split": 4, "subinterv": [4, 27], "between": [4, 5, 6, 7, 9, 12, 14, 15, 22, 25, 26, 27, 29, 33, 35], "consecut": [4, 9, 16, 26], "deal": 4, "mid": [4, 11, 20], "discontinu": [4, 14, 18, 27], "irregular": [4, 12], "maxdegre": 4, "befor": [4, 5, 6, 16, 18, 27, 29, 31], "quit": [4, 9, 31, 35], "verbos": [4, 6, 7, 9, 26, 27, 29, 32], "about": [4, 9, 20, 26, 27, 29, 30, 35], "progress": [4, 9, 32], "These": [4, 5, 9, 13, 14, 15, 18, 21, 26, 30, 35], "tanhsinh": 4, "gausslegendr": 4, "quadt": 4, "quadgl": 4, "shortcut": [4, 5, 13, 16, 18], "ideal": 4, "hundr": [4, 5], "thousand": 4, "node": 4, "cach": [4, 6, 11, 12, 20, 27], "advantag": [4, 9, 11, 16, 31], "tend": [4, 5, 16], "handl": [4, 9, 18, 31, 35], "cheap": [4, 31], "run": [4, 9, 10, 26, 29, 30, 35], "reason": [4, 6, 35], "fewer": [4, 6], "therefor": [4, 5, 6, 9, 11, 16, 18, 21, 27, 35], "better": [4, 5, 6, 7, 9, 18, 20, 25, 29], "integrand": [4, 14, 15], "tangent": [4, 17, 25], "int": [4, 9, 16, 18, 20, 27, 35], "tan": [4, 6, 14, 17], "gaussian": [4, 5, 15, 16, 18, 27, 33], "14159265358979": [4, 6, 16, 27, 29, 35], "resolv": 4, "area": [4, 13], "circl": [4, 13, 18, 22, 26, 27], "le": [4, 5, 6, 11, 12, 14, 15, 18, 21, 22, 25, 26, 27, 31], "1415926535897932384626433832795028841971693993751": [4, 13], "141592653589793238462643383279502884": 4, "216420199": 4, "residu": [4, 26, 31], "counterclockwis": [4, 22], "diamond": 4, "shape": [4, 5, 31], "path": [4, 14, 33], "28318530717959j": 4, "nice": [4, 7, 9], "solvabl": 4, "taken": [4, 6, 9, 12, 14, 16, 18, 26, 35], "mathworld": [4, 9, 12, 15, 16, 18, 20, 26, 33], "fairli": [4, 29], "rapidli": [4, 5, 9, 12, 14, 15, 16, 18, 20, 26], "577215664901532860606512090082": [4, 9], "17343648530607134219175646705": 4, "23370055013616982735431137498": 4, "64493406684822643647241516665": 4, "done": [4, 16, 18, 20, 26, 31, 35], "367879441171442": [4, 5], "nonrectangular": 4, "recurs": [4, 20, 21, 27], "replic": 4, "earlier": 4, "101366277027041": 4, "design": [4, 11, 35], "neither": [4, 27], "cope": 4, "99900894176779": 4, "999932197413801": 4, "still": [4, 11, 18], "inaccur": [4, 18, 26], "99999999946942": 4, "due": [4, 9, 11, 20, 26, 31, 35], "per": [4, 6, 7], "se": 4, "amplif": 4, "circumv": 4, "temporarili": 4, "highli": [4, 7, 9, 11], "sens": [4, 12, 18, 21, 27], "being": [4, 5, 7, 9, 14, 29], "sharp": [4, 32], "peak": 4, "bump": 4, "fail": [4, 5, 7, 27, 29, 34], "abl": [4, 9, 29, 34, 35], "137681127712316": 4, "37": [4, 26], "8587612408485": 4, "437620923709297": 4, "break": [4, 9], "whether": [4, 11, 27, 29, 31, 35], "center": [4, 22], "64804647105268": 4, "12159332021646": 4, "http": [4, 5, 7, 8, 9, 12, 15, 16, 18, 20, 26, 29, 30, 31, 33, 34], "wolfram": [4, 9, 12, 15, 16, 18, 20, 26, 33], "com": [4, 9, 12, 15, 16, 18, 20, 26, 33, 34], "doubleintegr": 4, "html": [4, 9, 12, 15, 16, 18, 20, 26, 29, 34], "tol": [4, 5, 6, 7, 9, 27, 29, 31], "maxinterv": 4, "togeth": [4, 6], "adapt": 4, "answer": [4, 5, 8, 9, 35], "ceil": [4, 16, 32], "sech": [4, 9, 20], "fp": [4, 5, 14, 21, 30, 31, 32], "ci": 4, "5050": 4, "347400172657248": 4, "permiss": 4, "40487904307774": 4, "011": 4, "631417921866934": 4, "10101120134116e": 4, "17": [4, 5, 9, 12, 14, 16, 18, 20, 22, 26, 27], "guarante": [4, 7, 11, 20, 27, 30], "correct": [4, 9, 11, 15, 18, 22, 25, 29, 30, 33], "40": [4, 9, 12, 13], "600": [4, 14, 21], "210802735500549": 4, "0001111101e": 4, "21080273550054927738": 4, "200000001e": 4, "24": [4, 8, 9, 12, 14, 16, 20, 21, 23, 29], "lower": [4, 9, 12, 15, 18, 29, 31, 32, 35], "forc": [4, 7, 9, 18, 27], "finer": 4, "too": [4, 5, 8, 9, 11, 14, 18, 20, 27, 29, 35], "504067": 4, "06": [4, 9], "504067061906928": 4, "omega": [4, 15], "period": [4, 12, 13, 14, 24, 25, 26], "int_a": [4, 9, 15], "phi": [4, 14, 19, 20, 21, 22, 23, 26, 27, 29, 31], "decreas": [4, 5, 6, 9, 12, 18, 25], "proper": [4, 25], "input": [4, 6, 9, 11, 18, 25, 27, 29, 30, 31, 32, 34, 35], "rate": [4, 7, 9, 16], "wave": [4, 19, 27], "x_": 4, "inform": [4, 5, 7, 9, 12, 14, 15, 18, 21, 26, 30, 34], "angular": 4, "frequenc": [4, 5], "ei": 4, "j0": [4, 12], "j1": [4, 12], "si": [4, 25], "37833007080198": 4, "mathematica": [4, 18, 21, 25, 27], "wa": [4, 5, 8], "theori": [4, 13, 14, 15, 16, 26, 33], "nsum": [4, 11, 13, 15, 16, 18, 20, 22, 23, 26, 27], "becom": [4, 6, 12, 14, 16, 26, 35], "entir": [4, 12, 16, 25, 26, 35], "line": [4, 5, 7, 9, 12, 21, 25, 26, 30, 31, 32], "start": [4, 5, 7, 17, 22], "15572734979092": 4, "0844109505595739": 4, "0844109505595738": 4, "Of": [4, 15, 31, 35], "cours": [4, 6, 15, 16, 31, 33, 35], "156410688228254": 4, "00317486988463794": 4, "0447701735209082j": 4, "non": [4, 5, 9, 14, 22, 24, 27, 29, 31, 33], "strictli": [4, 18, 26, 27], "might": [4, 7, 9, 18, 22, 27, 31, 35], "necessari": [4, 7, 14, 16, 18, 29, 35], "notabl": [4, 9], "bessel": [4, 18, 19, 30], "though": [4, 9, 31, 35], "asymptot": [4, 7, 9, 12, 15, 16, 18, 20, 26], "strong": [4, 9], "properli": [4, 11, 16], "j0zero": 4, "consid": [4, 7, 14, 16, 18, 21, 27, 29], "complet": [4, 5, 11, 14, 15, 16, 21, 34], "fresnel": [4, 19, 32], "int_0": [4, 9, 12, 14, 15, 16, 22, 26], "do": [4, 6, 8, 9, 11, 18, 34, 35], "caus": [4, 8, 31], "virtual": [4, 35], "imposs": [4, 6, 27, 35], "kind": [4, 12, 14, 18, 20, 21, 22], "distribut": [4, 5, 16, 19], "x_n": [4, 29], "626657068657750125603941321203": 4, "interestingli": 4, "constant": [4, 5, 9, 12, 14, 16, 19, 21, 30, 35], "squar": [4, 11, 14, 18, 19, 22, 25, 27, 29, 31, 35], "25024394235267": 4, "250243942352671": 4, "trick": 4, "28642190869861": 4, "perfect": [4, 9], "28652953559617": 4, "decai": [4, 5, 9, 12], "primarili": 4, "troubl": 4, "calculu": [4, 5, 7, 30], "quadraturerul": 4, "ctx": [4, 5, 7, 11], "simplifi": [4, 14, 29], "common": [4, 12, 13, 14, 19, 30, 35], "infrastructur": 4, "task": 4, "subclass": 4, "appropri": [4, 9, 16, 18, 34], "suppos": 4, "singleton": 4, "calc_nod": 4, "probabl": [4, 9, 11, 15, 20, 27, 31, 35], "get_nod": 4, "retriev": [4, 14, 18], "clear": [4, 18], "delet": 4, "data": [4, 11, 26], "estimate_error": 4, "epsilon": [4, 7, 9, 13, 16, 27, 31, 33], "i_1": [4, 22], "i_2": [4, 22], "i_k": 4, "i_": [4, 12, 16], "approx": [4, 15, 18, 22, 29], "under": [4, 9, 22, 30], "assumpt": 4, "increment": [4, 35], "borwein": [4, 26, 33], "bailei": [4, 29, 33], "girgensohn": [4, 33], "conserv": 4, "seem": 4, "robust": [4, 5, 6, 7], "practic": [4, 5, 20, 26], "alreadi": [4, 29], "otherwis": [4, 5, 7, 9, 20, 25, 26, 27, 29], "guess_degre": 4, "desir": [4, 5, 9, 35], "accomplish": [4, 5], "up": [4, 5, 6, 8, 9, 11, 12, 18, 20, 22, 23, 26, 27, 30, 35], "slight": 4, "overestim": 4, "dealt": 4, "On": [4, 5, 6, 25, 26, 30, 33, 35], "hand": [4, 6], "big": 4, "amount": [4, 5, 9, 11, 16, 20, 23, 27, 35], "unsolv": 4, "tune": [4, 5], "500": [4, 5, 15, 27], "3000": [4, 12, 16, 20], "base": [4, 5, 7, 11, 18, 19, 20, 22, 26, 29, 35], "experiment": [4, 7, 11, 33], "wrong": [4, 5, 8, 9, 11, 16, 20, 35], "sum_next": 4, "previou": [4, 9], "w_k": [4, 22], "suppli": [4, 5, 26, 29, 32], "reus": [4, 27], "them": [4, 5, 7, 11, 26, 31], "max_degre": 4, "main": [4, 26, 35], "until": [4, 9, 11, 27], "signal": [4, 19, 27, 30], "subintegr": 4, "transform_nod": 4, "rescal": [4, 12, 18], "chang": [4, 7, 9, 11, 26, 27, 31, 34, 35], "lbrack": 4, "rbrack": 4, "doubli": [4, 9, 14], "maclaurin": [4, 9, 17, 22, 26], "involv": [4, 5, 6, 11, 12, 13, 15, 31, 35], "hyperbol": [4, 19, 30], "henc": 4, "vanish": [4, 31], "extrem": [4, 9, 14, 16, 18, 20, 22, 26, 35], "mean": [4, 6, 9, 13, 14, 15, 16, 19, 26, 29, 31, 35], "comparison": [4, 5, 9, 11, 18, 20, 30], "slower": [4, 5, 9, 11, 20], "onc": [4, 6, 9], "mathemat": [4, 5, 7, 9, 11, 12, 16, 20, 22, 25, 27, 29, 31, 33, 35], "discoveri": [4, 33], "peter": [4, 33], "2003": [4, 26, 33], "page": [4, 20, 27, 30, 34], "312": 4, "313": [4, 12], "scheme": [4, 32], "exploit": 4, "recurr": [4, 15, 16, 20, 21, 26], "success": [4, 9, 12, 29, 35], "user": [4, 5, 8, 11, 29, 34, 35], "dal": 4, "ca": [4, 12, 15, 18, 26, 29, 33], "jborwein": 4, "pdf": [4, 26, 33, 34], "abscissa": [4, 5], "t_k": 4, "t_0": 4, "hk": 4, "die": 4, "off": [4, 5, 9, 26, 27, 31], "fact": [4, 11, 29], "level": [4, 11, 35], "allow": [4, 6, 9, 11, 18, 21, 23, 27, 29, 31, 35], "2x": [4, 27, 29], "speedup": [4, 11], "exception": 4, "orthogon": [4, 18, 19, 30, 31], "quadrat": [4, 8, 29], "wors": [4, 20], "space": [5, 9, 26, 27], "assum": [5, 14, 18, 20, 21, 25, 32, 35], "bar": [5, 14], "domain": [5, 15, 21, 32], "mathcal": 5, "lbrace": 5, "rbrace": 5, "besselj": [5, 18, 27], "sinh": [5, 9, 15, 22, 33, 35], "tt": 5, "001": [5, 29, 35], "01": [5, 6, 15, 16, 18, 22, 27, 29, 35], "ft": 5, "000999000499833375": 5, "57923043561212e": 5, "00990049833749168": 5, "27007646698047e": 5, "19": [5, 7, 9, 14, 18, 26, 27, 31, 34], "090483741803596": 5, "75215800052168e": 5, "18": [5, 7, 9, 16, 20, 21, 22, 31], "2428864009344e": 5, "000453999297624849": 5, "04513489306658e": 5, "higher": [5, 6, 9, 16, 18, 26, 27, 32, 35], "96868310693356e": 5, "105": [5, 16, 18, 22], "23032291513122e": 5, "104": 5, "mathrm": [5, 7, 9, 12, 14, 15, 16, 17, 18, 20, 22, 25, 26, 27, 29, 31], "_0": [5, 12], "dehoog": 5, "999999750000016": 5, "09717765032273e": 5, "99997500015625": 5, "61756281076169e": 5, "3305396140806": 5, "92126634837863e": 5, "16": [5, 8, 11, 12, 13, 14, 15, 16, 18, 20, 21, 22, 26, 27, 29, 31, 35], "02795452108656": 5, "81486093200704e": 5, "four": [5, 22, 26], "attribut": [5, 11], "fixedtalbot": 5, "invlaptalbot": 5, "invlapstehfest": 5, "invlapdehoog": 5, "invlapcohen": 5, "heurist": [5, 27, 35], "balanc": 5, "request": [5, 9], "convert": [5, 11, 13, 14, 22, 25, 29, 31, 35], "plane": [5, 12, 14, 15, 18, 25, 26, 27, 32], "pole": [5, 15, 16, 18, 21, 25, 26], "branch": [5, 14, 15, 16, 18, 20, 21, 22, 25], "cut": [5, 14, 15, 16, 18, 20, 22, 25], "regard": [5, 8], "behavior": [5, 9, 12, 26, 35], "enough": [5, 7, 8, 9, 11, 16, 18, 20, 29, 35], "character": 5, "catastroph": [5, 22, 27], "overflow": [5, 9, 35], "underflow": [5, 35], "significantli": [5, 20, 29, 35], "bromwich": 5, "certain": [5, 18, 26, 29], "heavisid": 5, "adjust": 5, "varieti": 5, "deform": 5, "parabola": 5, "toward": [5, 7], "lead": [5, 8, 22, 27], "equival": [5, 9, 11, 12, 14, 15, 17, 18, 20, 22, 25, 26, 27, 31, 35], "axi": [5, 12, 15, 16, 20, 22, 25, 26, 27, 35], "awai": [5, 12, 35], "ones": [5, 31], "et": [5, 33], "al": [5, 33], "type": [5, 9, 11, 12, 15, 20, 21, 27, 29, 30, 34, 35], "express": [5, 9, 12, 14, 15, 16, 18, 20, 22, 26, 29], "remaind": [5, 9], "greatest": 5, "overhead": 5, "slowest": 5, "trapezoid": 5, "fastest": 5, "origin": [5, 6, 9, 12, 14, 22, 29], "occur": [5, 9, 15, 18, 27, 29, 35], "illustr": [5, 7, 9, 25], "duffi": 5, "figur": [5, 12], "228": 5, "rightarrow": [5, 9], "vice": 5, "versa": 5, "shift": [5, 16], "closer": 5, "rightmost": [5, 16], "3t": [5, 12], "0100015000675014": 5, "101506764482381": 5, "33929164246997": 5, "1781079096920": 5, "74": [5, 31], "61331069624091e": 5, "14": [5, 7, 8, 11, 12, 16, 18, 20, 26, 27, 31], "dlmf": [5, 12, 14, 26, 33], "nist": [5, 33], "gov": [5, 26, 33], "14t4": 5, "2007": [5, 33], "springer": [5, 26, 33], "1998": 5, "engin": [5, 29, 33], "crc": 5, "review": 5, "bellman": 5, "r": [5, 8, 9, 12, 14, 16, 18, 20, 21, 22, 23, 26, 27, 29, 31, 32, 33], "kalaba": 5, "lockett": 5, "1966": [5, 33], "applic": [5, 7, 9, 16, 21, 22], "biologi": 5, "econom": 5, "physic": [5, 12, 26], "elsevi": [5, 33], "davi": 5, "martin": 5, "1979": 5, "survei": 5, "journal": [5, 33], "32": [5, 9, 18, 21, 26, 29, 35], "doi": 5, "org": [5, 7, 8, 12, 16, 18, 20, 26, 30, 31, 33, 34], "1016": 5, "0021": 5, "9991": [5, 13], "79": [5, 20, 26], "90025": 5, "1993": 5, "three": [5, 8, 9, 14, 16, 20, 22, 26, 32, 33, 35], "characterist": 5, "acm": 5, "transact": 5, "softwar": [5, 14, 25, 34, 35], "359": [5, 33], "1145": 5, "155743": 5, "155788": 5, "kuhlman": 5, "2013": 5, "63": [5, 12, 31], "339": [5, 29], "355": [5, 29], "1007": 5, "s11075": 5, "012": 5, "9625": 5, "inverselaplac": 5, "calc_laplace_paramet": 5, "tradition": 5, "abat": 5, "valko": 5, "2004": 5, "open": 5, "t_": 5, "prevent": [5, 29], "exist": [5, 9, 18, 22, 29, 31], "li": [5, 20, 22, 26, 32], "tmax": 5, "associ": [5, 21, 26], "vector": [5, 6, 7, 18, 22, 27, 29], "p_0": [5, 21], "2m": [5, 12, 18], "hopefulli": [5, 18], "achiev": [5, 8, 9], "p_i": 5, "mt_": 5, "cot": [5, 19, 26, 32], "qquad": [5, 12], "calc_time_domain_solut": 5, "manual_prec": 5, "5t": 5, "re": [5, 12, 14, 16, 18, 21, 25, 26, 31, 32, 34], "gamma_k": 5, "gamma_0": 5, "tp_k": 5, "jk": 5, "again": 5, "multi": 5, "60": [5, 8, 11, 12, 14, 18, 25, 27, 35], "979": 5, "993": 5, "1002": 5, "nme": 5, "995": [5, 9, 15], "ima": 5, "appli": [5, 9, 11, 17, 27, 29, 31, 33, 35], "23": [5, 9, 12, 15, 16, 18, 20, 22, 26], "97": [5, 15, 16, 20], "1093": 5, "imamat": 5, "discret": 5, "widder": 5, "post": 5, "invert": [5, 18], "v_k": 5, "min": [5, 27], "lfloor": [5, 24, 27], "rfloor": [5, 24, 27], "2i": [5, 12, 26], "linearli": [5, 9, 12, 29], "loss": [5, 18], "signific": [5, 11, 20, 27, 35], "1941": 5, "princeton": 5, "1970": 5, "368": [5, 9], "commun": 5, "13": [5, 12, 14, 16, 18, 20, 29, 31, 34], "47": 5, "49": [5, 29], "361953": 5, "361969": 5, "alpha": [5, 12, 18], "2t": [5, 24], "2t_": 5, "scale": [5, 7, 11, 14, 22], "_goal": 5, "toler": [5, 7, 9, 18, 29, 30, 31], "less": [5, 6, 11, 13, 15, 18, 20, 22, 27, 29, 31, 35], "algorithsm": 5, "un": 5, "halv": 5, "simplist": 5, "via": [5, 9, 15, 16, 18, 22, 25, 26, 31, 34, 35], "paper": [5, 9, 26, 29, 33], "2005": 5, "edit": [5, 16, 33], "1982": 5, "siam": [5, 33], "scientif": 5, "statist": 5, "357": 5, "366": 5, "1137": 5, "0903022": 5, "develop": [5, 9, 29, 33, 35], "stabil": 5, "similar": [5, 7, 17, 18, 23], "glasserman": 5, "ruiz": 5, "mata": 5, "2006": 5, "copula": 5, "model": 5, "risk": 5, "66": [5, 20], "21314": 5, "jcr": 5, "057": 5, "c_": [5, 18], "d_m": 5, "rodriguez": 5, "villega": [5, 9], "zagier": [5, 9], "2000": [5, 12, 22, 26, 32, 33], "experi": 5, "math": [5, 9, 11, 12, 15, 18, 19, 33], "benefici": 5, "system": [5, 6, 7, 11, 18, 31, 34, 35], "possibli": [5, 11, 12, 18, 35], "parallel": 5, "librari": [5, 30, 31, 33, 34, 35], "trivial": [5, 7, 13, 21], "process": [5, 24, 29], "interfac": [5, 9, 30, 31, 34], "mytalbot": 5, "fpvec": 5, "928300179528890061756872185e": 5, "21": [5, 12, 15, 16, 20, 22, 26, 29], "look": [5, 29, 34, 35], "were": 5, "34": [5, 16, 18, 20, 31], "contribut": 5, "kristoph": 5, "2017": 5, "guillermo": 5, "nava": 5, "palencia": 5, "2022": 5, "y0": [6, 12], "y_0": [6, 12], "y_n": [6, 12], "dimension": [6, 7, 9], "f_0": [6, 12, 32], "vdot": 6, "scalar": [6, 9, 31, 33], "fulli": [6, 35], "ep": [6, 9, 14, 18, 22, 26, 27, 31], "simul": 6, "solver": [6, 26], "longer": [6, 21, 29], "tradeoff": [6, 11], "interpol": 6, "quickli": [6, 14, 16, 20, 22, 29], "explicit": [6, 14, 21, 31], "atan": 6, "element": [6, 8, 9, 18, 20, 21, 27, 31], "nonlinear": [6, 7, 9], "happen": [6, 22, 26, 29], "87255666284091": 6, "14158520028345": 6, "72128263801696": 6, "harmon": [6, 13, 19, 26], "introduc": [6, 20, 35], "helper": 6, "wherebi": [6, 9, 21], "written": [6, 20], "put": [6, 11], "begin": [6, 14, 16, 18, 21, 23, 25], "end": [6, 8, 14, 16, 18, 21, 23, 25], "ivp": 6, "check": [6, 11, 15, 16, 20, 26, 27, 29, 35], "801143615546934": 6, "598472144103957": 6, "839071529076452": 6, "54402111088937": 6, "simultan": [6, 8, 9, 26], "todo": [6, 9], "rung": 6, "kutta": 6, "secant": [7, 17, 25], "verifi": [7, 11, 12, 14, 15, 16, 18, 20, 21, 26, 29, 31, 34, 35], "multidimension": [7, 9, 31], "overdetermin": [7, 31], "speak": 7, "leq": 7, "meet": 7, "criterion": 7, "disabl": [7, 9, 11, 18, 27, 34], "iv": [7, 20, 22, 25, 30, 31], "pleas": [7, 11, 18, 34], "certainli": 7, "regardless": [7, 9], "smaller": [7, 8, 26, 27, 31, 35], "defailt": 7, "valueerror": [7, 9, 14, 15, 16, 27, 31], "maxstep": [7, 8, 29], "after": [7, 9, 18, 21, 29, 34], "df": 7, "d2f": 7, "jacobian": 7, "norm": [7, 22], "callabl": 7, "expect": [7, 9, 31], "alias": 7, "mnewton": 7, "hallei": 7, "muller": 7, "illinoi": 7, "pegasu": 7, "anderson": 7, "ridder": 7, "anewton": 7, "bisect": [7, 26], "locat": [7, 8, 12, 21, 23, 26, 34], "closest": [7, 22], "zeta": [7, 9, 13, 16, 19, 20, 30, 32, 33], "lambertw": 7, "14159265358979323846264338328": [7, 9, 29], "nonreal": 7, "els": 7, "never": [7, 27], "leav": 7, "226698825758202": 7, "46771150871022j": 7, "nontrivi": [7, 26], "14j": [7, 26], "1347251417346937904572519836j": 7, "minimum": [7, 17, 35], "4616321449683623413": 7, "lambert": [7, 19, 33], "w": [7, 9, 12, 18, 19, 21, 26, 33, 34], "ident": [7, 11, 12, 13, 14, 15, 20, 21, 22, 23, 26, 31, 33], "567143290409784": 7, "2496028524016": 7, "618033988749895": [7, 20, 29], "381966011250105": 7, "61803398874989": [7, 29], "syntax": [7, 18, 27, 31], "newtonian": 7, "99": [7, 16], "918073542444929": 7, "newton": [7, 8, 22], "variant": [7, 9, 19], "acceler": [7, 9], "steffensen": 7, "88888888888888888889": 7, "111111111111111111111": 7, "77890011223344556678": 7, "10998877665544332211": 7, "67002233332199662166": 7, "108877778911448945119": 7, "5622443299551077669": 7, "107778003366888854764": 7, "99999999999999999214": 7, "562244329955107759": 7, "8598304758094664213e": 7, "zerodivisionerror": [7, 18, 22, 27, 31], "recommend": [7, 11, 29, 34], "727136084491197": 7, "934099289460529j": 7, "intersect": 7, "reliabl": [7, 35], "symmetr": [7, 19, 21, 26, 27], "traceback": [7, 14, 15, 16, 18, 22, 27, 31], "recent": [7, 14, 15, 16, 18, 22, 27, 31, 34], "16840434497100886801e": 7, "tweak": 7, "pro": 7, "contra": 7, "cubic": 7, "somewhat": [7, 22, 35], "en": [7, 8, 15, 16, 18, 20, 26, 31, 33, 34], "wikipedia": [7, 8, 16, 18, 20, 21, 26, 31, 33, 35], "wiki": [7, 8, 16, 18, 20, 26, 31, 33], "s_method": 7, "combin": [7, 8, 9, 12, 14, 16, 18, 29], "regula": 7, "falsi": 7, "fb": 7, "fz": 7, "bjoerk": 7, "arg": [7, 12, 14, 15, 22, 25, 26], "wrapper": [7, 29], "told": 7, "brent": 7, "simpler": [7, 14, 18, 26], "_method": 7, "mdnewton": 7, "scipi": 7, "openopt": 7, "guess": [7, 29], "polish": 7, "welcom": 7, "coeff": 8, "c_1": [8, 12, 18, 21, 29], "c_2": [8, 12, 18, 21, 29], "c_n": [8, 21, 29], "cleanup": 8, "roots_init": 8, "sort": 8, "appear": [8, 12, 16, 18, 20], "conjug": [8, 12, 16, 26, 27, 31], "adjac": 8, "among": [8, 12, 16, 29], "14x": 8, "4x": 8, "3x": [8, 20], "375": [8, 9, 16, 21], "59947894041409j": 8, "22044604925031e": [8, 26, 31], "5th": 8, "uniti": [8, 20, 22, 25], "8090169943749474241": 8, "58778525229247312917j": 8, "3090169943749474241": 8, "95105651629515357212j": 8, "cannot": [8, 11, 15, 18, 25, 26, 34, 35], "noconverg": [8, 18, 27], "extend": [8, 9, 14, 20, 26, 29, 35], "fix": [8, 11, 12, 13, 14, 15, 18, 21, 26, 27, 29, 35], "alwai": [8, 9, 11, 13, 20, 25, 27, 29, 35], "studi": [8, 9, 14, 26, 33], "14626436994197234232913506571557044551247712918732870123249": 8, "317837245195782244725757617296174288373133378433432554879127": 8, "durand": 8, "kerner": 8, "view": [8, 14, 18], "particular": [8, 9, 12, 13, 16, 18, 26, 29, 35], "found": [8, 14, 25, 29, 33, 35], "remain": [8, 16], "kerner_method": 8, "fsum": [9, 11, 20, 22], "fprod": [9, 20, 23], "k_1": 9, "a_1": [9, 16, 18, 23], "b_1": [9, 16, 18, 20, 23], "k_n": [9, 12], "a_n": [9, 18, 22], "b_n": [9, 20, 22, 26], "fac": [9, 12, 15, 18, 20, 21, 22, 26], "ln2": [9, 16, 18, 26], "altzeta": 9, "64493406684823": 9, "attempt": [9, 18, 29, 31, 35], "simpli": [9, 11, 18, 22, 27, 29, 35], "reduc": [9, 12, 14, 15, 16, 18, 20, 21, 22, 26, 29], "expand": [9, 18], "hypercub": 9, "move": 9, "innermost": 9, "rewrit": [9, 18], "maxterm": [9, 18], "add": [9, 10, 26, 27, 31, 34, 35], "know": [9, 31, 35], "Then": 9, "110": 9, "ignor": 9, "enabl": [9, 10, 18, 31], "arithmeticerror": 9, "through": [9, 26, 34, 35], "replac": 9, "lattic": 9, "unfortun": [9, 29], "idea": [9, 29, 35], "investig": [9, 26, 29], "diverg": [9, 15, 16, 18], "levin_vari": 9, "conjunct": 9, "sidi": 9, "cohen": 9, "villegra": 9, "long": [9, 29, 35], "45": [9, 12, 15, 16, 20, 31], "go": [9, 34], "15334809493716": 9, "25j": [9, 12, 14, 18, 20, 23, 26, 31], "8j": [9, 14, 15, 18], "998": 9, "counterpart": 9, "2020569031595942853997381615114499907649862923405": 9, "9348022005446793094172454999380755676568497036204": 9, "90154267736969571404980362113358749307373971925537": 9, "90154267736969571404980362113358749307373971925538": 9, "geometr": [9, 18, 19], "excel": [9, 35], "border": 9, "disk": [9, 14], "seen": [9, 11], "69314718055994530941723212145817656807550013436025": 9, "200": [9, 20, 21, 26, 29, 32], "765147024625408": 9, "924299897222939": 9, "92429989722293885595957018136": 9, "laurent": [9, 14, 26], "extremli": 9, "behaviour": 9, "dirichlet": [9, 19], "now": [9, 35], "outsid": [9, 14, 18, 22, 26, 35], "attent": 9, "3j": [9, 11, 12, 14, 15, 16, 17, 18, 20, 21, 25, 26, 27], "resumm": 9, "expint": [9, 18], "symbol": [9, 16, 19, 29], "firstli": 9, "copiou": 9, "secondli": 9, "stepsiz": 9, "miss": 9, "garbag": 9, "besselk": [9, 18], "hypergeoemtr": 9, "hyp2f1": [9, 14], "rf": [9, 18, 23], "38734195032621": 9, "250": [9, 16], "38734195032620997271199237593105101319948228874688": 9, "furthermor": 9, "abov": [9, 15, 21, 26, 29, 34], "far": [9, 11, 18, 20, 35], "region": 9, "3025850929940456840179914546843642076011014886288": 9, "111111111111111": 9, "142857142857143": 9, "166666666666667": [9, 20], "333333333333333": [9, 16], "28": [9, 20, 21, 27], "reduct": [9, 18, 26], "60669515241529": 9, "278070510848213": 9, "129319852864168": 9, "0790756439455825": 9, "28125": 9, "400": 9, "hard": 9, "madelung": 9, "condition": 9, "lucki": 9, "74756459463318": 9, "1775860903036": 9, "eisenstein": 9, "1512120021539": 9, "weisstein": [9, 12, 18, 33], "doubleseri": 9, "madelungconst": 9, "reject": 9, "adiff": 9, "bdiff": 9, "_fast_abort": 9, "b_": [9, 18, 22, 23, 26], "2k": [9, 12, 14, 26], "quotient": [9, 16, 27], "fall": [9, 18, 19, 22, 35], "That": [9, 16, 21, 26], "procedur": 9, "03174336652030209012658168043874142714132886413417": 9, "999": 9, "100000": [9, 12, 13, 14, 20, 22, 32, 35], "200000": 9, "10500155000624963999742499550000": 9, "200001": 9, "summand": [9, 16], "abel": 9, "plana": 9, "unlik": [9, 16, 21, 22, 26, 27], "particularli": 9, "power": [9, 11, 12, 19, 20, 26, 27, 29, 30, 31, 35], "polylog": [9, 15, 18], "34148725725091717975677": [9, 26], "5j": [9, 12, 14, 15, 16, 18, 21, 22, 23, 26, 27, 31], "385361068546473342286084": 9, "7432082105196321803869551j": 9, "poor": 9, "whenev": [9, 13], "6917036036904594510141448": 9, "prod_": [9, 16, 18, 20, 23], "csch": 9, "tanh": [9, 33], "jtheta": [9, 20, 23], "141592653589793238462643": [9, 12, 14, 25], "6666666666666666666666667": [9, 12], "complic": 9, "180668317897115748416626": 9, "2720290549821331629502366": 9, "8480540493529003921296502": 9, "848936182858244485224927": 9, "9190194775937444301739244": 9, "9826842777421925183244759": 9, "838038955187488860347849": 9, "447255926890365298959138": 9, "jacobi": [9, 19, 20, 23], "theta": [9, 19, 20, 21, 23, 25, 26], "preserv": [9, 13, 25, 35], "3838451207481672404778686": 9, "2887880950866024212788997": [9, 23], "8093965973662901095786805": 9, "41432688231864337420035": 9, "696155111336231052898125": 9, "infiniteproduct": 9, "lim_": [9, 13, 16], "directli": [9, 12, 13, 14, 15, 18, 20, 26, 29, 31, 35], "166666666666666666666666666667": 9, "definit": [9, 11, 13, 14, 15, 16, 18, 20, 21, 22, 24, 25, 26, 27, 31, 33, 35], "0855369231876677409285296546": 9, "stirl": [9, 16, 19], "50662827463100050241576528481": 9, "notori": 9, "992831158558330281129249686491": 9, "wish": 9, "seq": 9, "lost": [9, 27], "contrast": 9, "unabl": 9, "compar": [9, 14, 15, 16, 20, 23, 27, 31, 35], "workaround": 9, "detect": [9, 29, 31, 34], "monoton": [9, 12, 25], "index": [9, 12, 16, 20, 22, 30, 31], "leibniz": 9, "2126984126984126984126984127": 9, "0711058": 9, "14159265468624052829954206226": 9, "09645e": 9, "20833": 9, "benderorszag": [9, 33], "pp": [9, 18, 26, 33], "376": 9, "tabl": [9, 12, 18, 29, 33, 35], "random": [9, 15, 31], "a_k": [9, 12, 18, 27], "wynn": 9, "read": [9, 30], "triangular": [9, 31], "row": [9, 31], "column": [9, 31], "dummi": 9, "entri": [9, 31], "append": [9, 27], "a_0": [9, 16, 22], "a_": [9, 18, 22, 23], "substanti": 9, "termin": [9, 18, 21], "pseudorandom": 9, "16667": 9, "13333": 9, "14524": 9, "82": 9, "14234": 9, "13968": 9, "177": [9, 20], "14139": 9, "969": 9, "937": 9, "14271": 9, "327": 9, "14166": 9, "3515": 9, "14161": 9, "22532e": 9, "78309e": 9, "75527e": 9, "48478e": 9, "96014e": 9, "immedi": 9, "875": [9, 18], "9375": [9, 27], "96875": [9, 12], "gravesmorri": [9, 33], "let": [9, 31], "s_n": 9, "update_step": 9, "update_psum": 9, "s_0": 9, "s_1": 9, "step_psum": 9, "word": [9, 22, 27, 29], "caution": [9, 11], "hope": [9, 35], "defind": 9, "errat": 9, "insuffici": [9, 27], "silent": 9, "proof": [9, 33], "sound": 9, "prove": [9, 11], "stieltj": [9, 13, 19], "summari": 9, "sai": [9, 16], "unreli": 9, "suit": 9, "flavour": 9, "suitabl": [9, 31, 35], "overal": 9, "access": [9, 30, 31], "normal": [9, 10, 12, 19, 21, 25, 26, 27, 35], "runtimeerror": 9, "exceed": 9, "373": 9, "mandatori": 9, "summabl": 9, "hypergeometr": [9, 12, 14, 15, 19, 21, 26, 30, 33, 35], "wenig": 9, "arxiv": [9, 12, 26, 33], "0306302": 9, "pratic": 9, "homeier": 9, "0005209": 9, "belong": 9, "ac": 9, "2n": [9, 12, 14, 16, 18, 21, 26], "06215090557106": 9, "program": [10, 20, 27], "shell": 10, "ipython": 10, "packag": [10, 34], "instal": [10, 30], "wrap": [10, 11, 27], "help": [10, 11, 30, 34], "messag": 10, "don": [10, 27, 31], "liter": [10, 11, 27], "convers": [11, 19, 30, 34, 35], "fundament": [11, 16], "mostli": 11, "compat": [11, 31], "underli": [11, 18], "cython": 11, "sage": [11, 30], "builtin": [11, 27, 32], "transpar": [11, 34], "visibl": 11, "ctx_mp_python": 11, "ctx_mp": 11, "mpcontext": 11, "func": [11, 26], "clearli": 11, "distinguish": [11, 18, 35], "what": [11, 18, 29, 35], "usag": [11, 30], "pm": [11, 12, 21, 25, 26], "ii": 11, "land": 11, "rigor": [11, 20, 31, 35], "hat": [11, 21, 35], "subseteq": 11, "uncertainti": [11, 35], "would": [11, 14, 20, 22], "princip": [11, 14, 15, 16, 22, 25], "drawback": 11, "pessimist": 11, "bound": [11, 20, 27, 29], "treat": 11, "width": [11, 35], "mpi": [11, 20, 27], "intend": 11, "10000000000000000555": 11, "099999999999999991673": 11, "2000000000000000111": 11, "equal": [11, 13, 16, 20, 21, 22, 26, 27, 31, 34, 35], "operand": [11, 13, 35], "inequ": [11, 12, 20], "logic": 11, "delta": [11, 20], "transcendent": [11, 14, 15, 29, 30, 35], "35355339059327373086": 11, "837117307087383633": 11, "7182818284590455349": 11, "69314718055994528623": 11, "69314718055994539725": 11, "99500416527802570954": 11, "irrat": [11, 20, 29], "naiv": [11, 15], "conclus": 11, "163": [11, 14], "640320": 11, "744": [11, 14], "262537412640768744": 11, "0000001": 11, "But": [11, 31], "262537412640768743": 11, "99999999999925007259719818568888": 11, "perfectli": 11, "hardwar": [11, 35], "wherea": [11, 15, 27, 31], "emploi": 11, "prefix": 11, "write": [11, 23], "erfc": [11, 12, 18], "4795001221869535": 11, "22": [11, 23, 26, 29, 31], "cmath": [11, 19, 25], "elementari": [11, 12, 14, 15, 16, 18, 26, 35], "23606797749979": 11, "23606797749979j": 11, "5440211108893698": 11, "7071067811865476": 11, "7071067811865475j": 11, "80": [11, 18, 20, 35], "intermedi": 11, "latter": [11, 15, 29, 31], "almost": [11, 20, 29, 31], "subset": 11, "aris": 12, "variou": [12, 13, 14, 16, 18, 20, 21, 22, 31], "wavelik": 12, "growth": [12, 16], "_0f_1": [12, 18], "_1f_1": [12, 18, 21], "_1f_2": [12, 18], "j_n": 12, "thing": [12, 13, 16, 31, 35], "radial": 12, "cylindr": 12, "coordin": [12, 21, 27], "nonsingular": 12, "ne": [12, 16, 21, 22, 25, 26], "j2": 12, "j3": 12, "cplot": [12, 14, 22, 32], "50000": [12, 14, 20, 22], "024777229528606": 12, "000801070086542314": 12, "1000j": [12, 16, 21, 22, 26], "48071721019185e": 12, "432": 12, "41567059811949e": 12, "437j": 12, "75j": [12, 23, 27], "4j": [12, 14, 15, 16, 18, 20, 21, 22, 23, 26, 27], "778118364828153309919653": 12, "5863603889018621585533j": 12, "28461534317975275734531059968613140570981118184947": 12, "10000": [12, 13, 16, 18, 20, 21, 22, 26, 29], "007096160353388801477265164": 12, "000002175591750246891726859055": 12, "337048736538615712436929e": 12, "51": [12, 26], "540725411970948860173735e": 12, "43426": 12, "4949812409615803110051e": 12, "43433j": 12, "304242": 12, "284615": 12, "485434": 12, "333458": 12, "151425": 12, "11": [12, 14, 15, 16, 18, 20, 21, 22, 23, 26, 27, 29, 31], "40483": 12, "52008": 12, "65373": 12, "7915": 12, "9309": 12, "83171": 12, "01559": 12, "1735": 12, "3237": 12, "4706": 12, "distanc": 12, "trigonometr": [12, 13, 14, 19, 30, 35], "13726373575505": 12, "211708866331398": 12, "1352484275797055051822405": 12, "1377811164763244890135677": 12, "1241343240399987693521378": 12, "385977722939384": 12, "j_0": 12, "j_1": 12, "j_": 12, "understood": [12, 18, 21], "2nd": 12, "y3": 12, "3588729167767189594679827": 12, "242861436961450520325216": 12, "085042824915332562522402j": 12, "00364780555898660588668872": 12, "8952500412050989295774e": 12, "26": [12, 14, 15, 18, 20, 26, 27, 29, 31], "antideriv": [12, 15, 22], "3842618820422660066089231": 12, "2066598304156764337900417": 12, "208173867409": 12, "5547350101511": 12, "02668487547301372334849043": 12, "377046859093181969213262": 12, "i_n": 12, "ix": [12, 15, 17, 22, 25, 26], "i0": 12, "i1": 12, "i2": 12, "i3": 12, "266065877752008335598245": 12, "2904369752642538144289025": 12, "4469098397654815837307006j": 12, "480717210191852440616782e": 12, "299602851624027900335391e": 12, "4342944813": 12, "6000": 12, "10000j": 12, "114650753239580827144204e": 12, "2603": 12, "385040221241629041351886e": 12, "2602j": 12, "349223221159309": 12, "195": 12, "8229038931399062565883": 12, "153": 12, "3296508971734525525176": 12, "202": [12, 26], "5043900051930141956876": 12, "k0": 12, "k1": 12, "k2": 12, "k3": 12, "fmul": 12, "4210244382407083333356274": 12, "97746326050642263725661j": 12, "02090732889633760668464128": 12, "2464022641351420167819697j": 12, "9615816021726349402626083": 12, "1918250181801757416908224j": 12, "656628229175902018939005e": 12, "131967049321725588398296e": 12, "434298": 12, "001140348428252385844876706": 12, "0005200017201681152909000961j": 12, "561034538142413947789221e": 12, "243554598118700063281496e": 12, "8e": 12, "4001": 12, "2302": 12, "701024509704096466802": 12, "nu": 12, "nonneg": [12, 16, 20, 21, 26, 27, 35], "convent": [12, 14, 18, 21, 22, 25, 27, 31, 35], "abramowitz": [12, 15, 18, 21, 33], "stegun": [12, 15, 18, 21, 33], "count": [12, 19, 27, 31], "interlac": 12, "j_2": 12, "nprod": [12, 13, 27], "404825557695772768621632": 12, "520078110286310649596604": 12, "653727912911012216954199": 12, "831705970207512315614436": 12, "01558666981561875353705": 12, "17346813506272207718571": 12, "135622301840682556301402": 12, "417244140399864857783614": 12, "61984117214905942709415": 12, "_1": [12, 15], "_2": [12, 26, 31], "84118378134065930264363": 12, "331442773525032636884016": 12, "536316366346285834358961": 12, "054236928227140322755932": 12, "706133194158459146634394": 12, "969467823087595793179143": 12, "3742660775278447196902": 12, "3140": 12, "807295225078628895545": 12, "31415": 12, "14114171350798533666": 12, "321": 12, "1893195676003157339222": 12, "3148": 12, "657306813047523500494": 12, "31422": 12, "9947255486291798943": 12, "311": 12, "8018681873704508125112": 12, "3139": 12, "236339643802482833973": 12, "31413": 12, "57032947022399485808": 12, "57": [12, 26, 29], "11689916011917411936228": 12, "62": 12, "80769876483536093435393": 12, "388": 12, "6936600656058834640981": 12, "52": [12, 20], "99764038731665010944037": 12, "02631933279942589882363": 12, "387": 12, "1083151608726181086283": 12, "493409457909064175307881": 12, "15657692957458622921634": 12, "1149034849319004804696469": 12, "2102436158811325550203884": 12, "y_": [12, 21], "8935769662791675215848871": 12, "957678419314857868375677": 12, "086051060301772697623625": 12, "197141326031017035149034": 12, "429681040794135132772005": 12, "596005868331168926429606": 12, "384241767149593472701426": 12, "793807513268267538291167": 12, "02347797936003797850539": 12, "683022856585177699898967": 12, "941499953654175655751944": 12, "12340465543661307978775": 12, "002582931446063945200176": 12, "350724701413079526349714": 12, "57419546521764654624265": 12, "8034717601871549333419": 12, "236498918198006794026": 12, "57034538691205229188": 12, "319": 12, "6183338562782156235062": 12, "3147": 12, "086508524556404473186": 12, "31421": 12, "42392920214673402828": 12, "3726705426359345050449": 12, "807136030340213610065": 12, "14112579761578220175": 12, "50285882040036394680237": 12, "11244442774058114686022": 12, "1096509824943957706835": 12, "56": [12, 16, 26], "96290427516751320063605": 12, "74888166945933944036623": 12, "6923300548309258355475": 12, "570796326794896619231322": [12, 14, 15, 25], "798386045783887136720249": 12, "56721208770735123376018": 12, "h_n": [12, 13, 21], "h1_n": 12, "h0": 12, "h1": [12, 18], "h2": [12, 18], "h3": [12, 18], "4854339326315091097054957": 12, "0999007139290278787734903j": 12, "2340002029630507922628888": 12, "6419643823412927142424049j": 12, "h2_n": 12, "rotat": [12, 17, 31], "_n": [12, 15, 16, 18, 21, 23], "ber_n": 12, "bei_n": 12, "f0": [12, 21], "f1": [12, 14, 18, 21, 22], "f2": [12, 14, 18, 21, 22], "f3": [12, 14, 18, 21], "442338852571888752631129": 12, "948359035324558320217678": 12, "948359035324558320217678j": 12, "675445984756614424069563": 12, "84901771719130765656316j": 12, "83886679193707699364398": 12, "684053288183046528703611j": 12, "ker_n": 12, "kei_n": 12, "02542895201906369640249801": 12, "02074960467222823237055351": 12, "02074960467222823237055351j": 12, "586084268115490421090533": 12, "939717517906339193598719j": 12, "940403256319453402690132": 12, "585621643835618941044855j": 12, "mathbf": 12, "fac2": 12, "3608207733778295024977797": 12, "255212719726956768034732": 12, "5819566816797362287502246": 12, "10000000000000": 12, "3153915652525200060": 12, "308937": 12, "308937j": 12, "1000000": [12, 15, 29], "4000000j": 12, "066421087689197632388731e": 12, "1737173": 12, "596619701076529803290973e": 12, "1737173j": 12, "9167076867564138178671595": 12, "lh": 12, "rh": 12, "40359302709875496632744": 12, "180846515103737996249972": 12, "2670": 12, "994904980850550721511": 12, "757089288053346261497686e": 12, "42": [12, 18, 20, 23, 31], "160893281017115450519948e": 12, "4342944819025": 12, "4342944819025j": 12, "700j": 12, "1721150049480079451246076": 12, "1240770953126831093464055j": 12, "973341637511505389128708e": 12, "434290": 12, "164633059729968297147448e": 12, "434290j": 12, "368850306060678353018165": 12, "inhomogen": 12, "sinpi": [12, 13, 22], "4860912605858910769078311": 12, "5033": 12, "358320403384472395612": 12, "585": 12, "8011892476145118551756j": 12, "1e6j": 12, "630743639715893346570743e": 12, "117960409887505906848456e": 12, "434291j": 12, "1e6": 12, "0002795719747073879393087011": 12, "coincid": [12, 16, 26], "3390589585259364589255146": 12, "4088969848691080859328847": 12, "4777182150870917715515015": 12, "6002108774380707130367995": 12, "1145380759919333180900501": 12, "cospi": [12, 22], "1057668973099018425662646": 12, "8081418209852019290498": 12, "314488899926921597203j": 12, "434291": [12, 15], "00002812518265894315604914453": 12, "3834897968188690177372881": 12, "35": [12, 14, 20, 21, 29, 35], "2009680659308154011878075": 12, "097441848875479535164627": 12, "1486507351534283744485421": 12, "s_": 12, "mu": [12, 15, 20], "f4": [12, 14, 18, 21], "4276243877565150372999126": 12, "5461221367746048054932553": 12, "6979536443265746992059141": 12, "gradshteynryzhik": [12, 33], "lommelfunct": 12, "tfrac": 12, "30000": [12, 20], "968299831601008419949804e": 12, "9683e": 12, "9589683199624672099969765": 12, "6495190528383289850727924": 12, "operatornam": [12, 24, 26, 29, 31], "ai": 12, "xt": 12, "bi": [12, 35], "fold": 12, "f_": [12, 18], "f_diff": 12, "f_int": 12, "3550280538878172392600632": 12, "1352924163128814155241474": 12, "5355608832923521187995166": 12, "1767533932395528780908311": 12, "634482152088184489550553e": 12, "291": 12, "50j": [12, 15], "31790195707456404099817e": 12, "68": 12, "163588003770709748720107e": 12, "67j": 12, "041242537363167632587245e": 12, "158": [12, 29], "347525544923600321838281e": 12, "157j": 12, "huge": [12, 14, 16, 18, 22, 26, 35], "fine": 12, "162235978298741779953693e": 12, "289529654602171": 12, "0001736206448152818510510181": 12, "711508683721355528322567e": 12, "186339621747698": 12, "867245506962312577848166e": 12, "186339621747697": 12, "338107410459767038489197": 12, "2j": [12, 14, 15, 16, 17, 18, 20, 21, 26, 27], "everi": [12, 22, 26, 27, 31, 35], "355028": 12, "258819": 12, "0591713": 12, "0215683": 12, "wronskian": 12, "3183098861837906715377675": 12, "3788142936776580743472439": 12, "3145837692165988136507873": 12, "136442881032974223041732": 12, "943133917910336090459748e": 12, "9156": 12, "2588194037928067984051836": 12, "5176388075856135968103671": 12, "1292": 12, "30211615165475090663": 12, "3188": 12, "655054727379756351861": 12, "3299203760070217725002701": 12, "765698403134212917425148": 12, "2453596101351438273844725j": 12, "2939176441636809580339365": 12, "6666843728311539978751512": 12, "3333333332991690159427932": 12, "3333333333333333333333333": 12, "666666": 12, "4078472650651209742": 12, "333333074513": 12, "7520264995733": 12, "wolframfunct": [12, 18, 33], "6149266274460007351509224": 12, "207423594952871259436379": 12, "10399738949694461188869": 12, "02427388768016013160566747": 12, "041223996670201399005265e": 12, "288": [12, 16], "322076267321435669290334e": 12, "478450291165243789749427e": 12, "65j": 12, "157": [12, 16], "158j": 12, "369385787943539818688433e": 12, "289529654602165": 12, "001775656141692932747610973": 12, "559955931096196875845858e": 12, "186339621747689": 12, "822462726981357180929024e": 12, "186339621747690": 12, "17371322270912792491998": 12, "614927": 12, "448288": 12, "102488": 12, "0373574": 12, "1982896263749265432206449": 12, "675611222685258537668032": 12, "5948688791247796296619346": 12, "710055114624614989262335e": 12, "4482883573538263579148237": 12, "8965767147076527158296474": 12, "2238": 12, "332923903442675949357": 12, "5522": 12, "912562599140729510628": 12, "06200303130620056316655": 12, "01504042480614002045135483": 12, "5019859055341699223453257j": 12, "2809314599922447252139092": 12, "000002191261128063434047966873": 12, "147809803": 12, "1074067161675853": 12, "4482883750599908479851085": 12, "44828": 12, "52827206932872493133": 12, "2241411040": 12, "437759489540248": 12, "087949444130970616636989": 12, "520559828095551059129856": 12, "281": 12, "0315196125215528353364": 12, "018792971647471089017325": 12, "248197582179836537875424": 12, "820099211178735639400616": 12, "280": 12, "9378080358935070607097": 12, "verif": [12, 22, 35], "b_k": [12, 18, 27], "upper": [12, 14, 15, 31, 32], "beta_k": 12, "overlin": [12, 27], "beta": [12, 18, 19, 26], "conj": [12, 21], "271093302836352715680228": 12, "830737841662015932667709": 12, "9378112034152401578834": 12, "294439682614123246622459": 12, "073155089071828215552369": 12, "512395729663599496259593": 12, "0315164471118527161362": 12, "9775448867316206859469927": 12, "141290706038744575749139j": 12, "896775013895336346627217": 12, "627291764358919410440499j": 12, "633157739354946595708019": 12, "855468179979844983174628j": 12, "140": [12, 14], "4978560578493018899793": 12, "243": 12, "3907724215792121244867j": 12, "2149470745374305676088329": 12, "100600143302797880647194j": 12, "458168309223507392028211": 12, "912249367458445419235083j": 12, "273760763013482299792362": 12, "254528549217097862167015j": 12, "4509972835270559730423": 12, "3096175398562811896208j": 12, "rai": 12, "142532510286334022305364": 12, "047271114786212061583917": 12, "047197624741816183341355": 12, "047197551196597746154214": 12, "gi": 12, "int_z": [12, 15], "hi": 12, "diffun": [12, 23, 26], "2049755424820002450503075": 12, "1494294524512754526382746": 12, "2352184398104379375986902": 12, "1166722172960152826494198": 12, "03189600510067958798062034": 12, "003183105228162961476590531": 12, "0000003183098861837906721743873": 12, "0000003183098861837906715377675": 12, "08358288400262780392338014": 12, "02886866118619660226809581": 12, "10j": [12, 16, 18, 26, 27], "0061214102799778578790984": 12, "001224335676457532180747917j": 12, "236047850352252236372551e": 12, "29": [12, 22, 29, 31], "08254224233701381482228e": 12, "29j": 12, "100000j": [12, 15, 26], "806659285336231052679025e": 12, "6474077": 12, "684731303500835514850962e": 12, "6474077j": 12, "connect": 12, "7287469039362150078694543": 12, "2447210432765581976910539": 12, "4099510849640004901006149": 12, "2988589049025509052765491": 12, "9722051551424333218376886": 12, "2206696067929598945381098": 12, "455641153": 12, "5163291358991077": 12, "138269638197858094311122e": 12, "289529652": 12, "0317685352825022727415011": 12, "003183092495767499864680483": 12, "100j": [12, 18, 22, 26], "366197716545672122983857e": 12, "003183098861710582761688475j": 12, "0001591549432510502796565538": 12, "000159154943091895334973109j": 12, "6095559998265972956089949": 12, "eta": [12, 23, 26], "regular": [12, 13, 15, 16, 18, 22, 23, 34, 35], "f_l": 12, "c_l": 12, "iz": [12, 26], "2l": [12, 21], "2iz": 12, "g_l": 12, "schroding": 12, "particl": 12, "potenti": [12, 18, 22], "quantum": 12, "f5": [12, 14], "4080998961088761187426445": 12, "7103040849492536747533465": 12, "143324917492256448770769e": 12, "4482623140325567050716179": 12, "066804196437694360046619": 12, "7997977752284033239714479": 12, "9294486669502295512503127j": 12, "michel": 12, "156": 12, "02107292320897e": 12, "83675545731519e": 12, "15j": 12, "6j": [12, 14], "30566371247811e": 12, "03347835361657e": 12, "19j": 12, "778709182061": 12, "134": 12, "18418936": 12, "2660553j": 12, "reproduc": 12, "twice": [12, 31], "09079533488": 12, "1042553261": 12, "2148205331": 12, "2029591779": 12, "4313159311": 12, "320534053": 12, "7212774133": 12, "3952408216": 12, "9935056752": 12, "3708676452": 12, "143337392": 12, "2937960375": 12, "thompson": 12, "barnett": 12, "comp": [12, 33], "phy": 12, "vol": [12, 33], "64": [12, 21, 26, 29], "june": [12, 33], "1986": [12, 26], "wide": [12, 34], "0702051v1": 12, "chi": [12, 26], "sigma_l": 12, "sigma_": 12, "ln": [12, 15, 16, 21, 26], "380011900612186346255524": 12, "919153700722748795245926": 12, "201126715824": 12, "7329115106793": 12, "1802071520691149410425512": 12, "652103020061678070929794": 12, "08148276": 12, "6028279961": 12, "496877075": 12, "5661803178": 12, "048694714": 12, "7959909551": 12, "09408669": 12, "731802374": 12, "629840456": 12, "549343289": 12, "3088184933": 12, "67358": 12, "5554866000719": 12, "5554866221524": 12, "852320038297334": 12, "gamow": 12, "impli": [12, 25, 26, 27], "tricomi": 12, "kummer": [12, 18], "hyp1f1": 12, "0625": [12, 18, 26, 31], "1779949416140579573763523": 12, "1256256609322773150118907": 12, "1256256609322773150118907j": 12, "1719434921288400112603671": 12, "06674960718150520648014567": 12, "peopl": [12, 15, 18, 33], "sfu": [12, 15, 18, 29, 33], "cbm": [12, 15, 18, 33], "aand": [12, 15, 18, 33], "page_504": [12, 18], "htm": [12, 15, 18], "2f": 12, "7302596799460411820509668": 12, "417977827655098025684246j": 12, "245477713363581112736478": 12, "822879187542699127327782j": 12, "303985255686378497193063e": 12, "21707": 12, "438869842576800225207341": 12, "128": [12, 14, 22], "19532063107581155661012": 12, "9424875979222187313924639": 12, "2607738054097702293308689j": 12, "1782899315111033879430369": 12, "01609578360403649340169406j": 12, "887705114889527446891274e": 12, "21705": 12, "905250692824046162462058e": 12, "notat": [12, 14, 18], "d_n": 12, "hermit": [12, 19], "d0": 12, "d1": 12, "d2": 12, "d3": 12, "d4": 12, "6266570686577501256039413": 12, "363331161232920734849056": 12, "858877821790010714163487j": 12, "374906442631438038871515e": 12, "6015625": 12, "03210358129311151450551963": 12, "75012332835297233711255": 12, "7978845608028653558798921": 12, "9722833245718180765617104": 12, "5142533944210078966003624": 12, "lazi": [13, 27], "automag": 13, "unari": 13, "2831853071795862": 13, "1415926535897931": [13, 35], "283185307179586476925286766559005768394338": 13, "141592653589793238462643383279502884197169": 13, "predefin": 13, "141592654": 13, "99991": 13, "nearest": [13, 20, 27, 35], "5549362465": 13, "22464679914735e": [13, 22], "borweinborwein": [13, 33], "deg": 13, "180": [13, 18], "0174533": 13, "71828": 13, "61803": 13, "mascheroni": [13, 26], "57721566": 13, "57721566490153286060651209008240243104215933593992": 13, "4679858166": 13, "5772156649015328606065121": [13, 16, 26], "to1": 13, "borweinbailei": [13, 33], "915966": 13, "20206": 13, "68545": 13, "28243": 13, "261497": 13, "660162": 13, "histor": 14, "compris": 14, "arc": 14, "ellips": 14, "modern": [14, 16, 33], "omega_1": 14, "omega_2": 14, "im": [14, 22, 26, 32], "canon": 14, "broadli": 14, "quasi": 14, "parameter": 14, "nome": 14, "modulu": 14, "ratio": [14, 19, 20, 29], "tau": 14, "quantiti": 14, "vartheta_2": 14, "vartheta_3": 14, "abramowitzstegun": [14, 33], "whittakerwatson": [14, 33], "qbar": 14, "9999999999999798332943533": 14, "49586681013729": 14, "32611558353": 14, "704": 14, "3072": 14, "11488": 14, "38400": 14, "117632": 14, "9999999999999899166471767": 14, "7041781": 14, "096692038332790615j": 14, "infj": 14, "_2f_1": [14, 18, 21], "31102877714605990523242": 14, "31102877714605990523242j": 14, "85407467730137191843385": 14, "9111955638049650086562171": 14, "6313342832413452438845091j": 14, "incomplet": [14, 16, 18, 19], "mt": 14, "cross": [14, 35], "sec": [14, 19], "appellf1": 14, "226191170883517070813061": 14, "415737208425956198892166": 14, "340677542798311003320813": 14, "5287219202206327872978255": 14, "713602407841590234804143j": 14, "269131241950351323305741": 14, "3561052815014558335412538j": 14, "1011": 14, "4086": 14, "184383622179764082821": 14, "3003": [14, 16], "003538923749396546871j": 14, "5050887275786480788831083": 14, "910098894513856008952381": 14, "5990701173677961037199612": 14, "5990701173677961037199612j": 14, "350643881047675502520175": 14, "360868682163129682716687": 14, "1238733442561786843557315j": 14, "499553520933346954333612": 14, "577879007912758274533309j": 14, "333333333333333333333333": 14, "8414709848078965066525023": 14, "751771275694817862026502": 14, "9974949866040544309417234": 14, "4740152182652628394264449": 14, "551991234890371873502105j": 14, "15299022574220502424466": 14, "2503670480325997418156j": 14, "48": [14, 16, 18, 21, 22, 26, 29, 31], "30138799412005235090766": 14, "47255216721987688224357j": 14, "4950017030164151928870375": 14, "4950017030164151928870376": 14, "nt": 14, "9555039270640439337379334": 14, "956616279119236207279727": 14, "11072073453959156175397j": 14, "7853981633974483096156609": [14, 25, 26], "622944760954741603710555": 14, "2513040086544925794134591": 14, "054332933256248668692452": 14, "135": [14, 29], "240868757890840755058": 14, "9190227391656969903987269": 14, "3612856620076747660410167": 14, "5217735339984807829755815j": 14, "degener": [14, 26], "r_f": 14, "notin": 14, "156515647499643235438675": 14, "211056027568459524803563": 14, "5840828416771517066928492": 14, "001847032121923321253219284": 14, "7961258658423391329305694": 14, "213856669836495986430094j": 14, "lemnisc": 14, "pv": 14, "r_c": 14, "cauchi": [14, 15], "dfrac": 14, "acosh": 14, "aco": 14, "041630778983498390751238": 14, "875180765206547065111085": 14, "3333969101113672670749334": 14, "7024814731040726393156375j": 14, "r_j": 14, "3535533905932737622004222": 14, "067937989667395702268688": 14, "380226776765915172432054": 14, "8505007163686739432927844": 14, "521291677592745527851168e": 14, "2398480997495677621758617": 14, "216888906014633498739952": 14, "04081912627366673332369512j": 14, "04081912627366673332369511j": 14, "r_d": 14, "2904602810289906442326534": 14, "r_g": 14, "6753219405238377512600874": 14, "172431327676416604532822": 14, "st": 14, "ct": 14, "su": 14, "cu": 14, "725503028069": 14, "vartheta_n": 14, "vartheta_1": 14, "vartheta_4": 14, "ll": 14, "compact": 14, "frequent": [14, 26, 35], "2945120798627300045053104": 14, "inde": [14, 29], "68179": 14, "420448": 14, "quasiperiod": 14, "682420280786034687520568": 14, "526683999721399103332021j": 14, "823744089352763305137427": 14, "extens": [14, 16, 18, 20, 21, 27, 30, 35], "086434811213308014575316": 14, "0549510717571539127004115835148878097035750653737": 14, "180331760146805926356634": 14, "634292858119162417301683j": 14, "209857192844475388637236": 14, "2598718791650217206533052": 14, "150231437070259644461474": 14, "6226636990043777445898114": 14, "9990312046096634316587882": 14, "1530388693066334936151174": 14, "9820995967262793943571139": 14, "3936902850291437081667755": 14, "99999999": [14, 27], "theta_q_lim": 14, "000000": 14, "sn": 14, "cn": [14, 21], "dn": 14, "charact": [14, 26], "letter": 14, "identifi": [14, 15, 16, 18], "cd": [14, 34], "9891101840595543931308394": 14, "07111979240214668158441418": 14, "9628981775982774425751399": 14, "2698649654510865792581416": 14, "8764740583123262286931578": 14, "dedekind": [14, 23], "7682254223260566590025942": 14, "9022859908439376463573294": 14, "07985093673948098408048575j": 14, "9022859908439376463573295": 14, "4493066139717553786223114": 14, "3290014793877986663915939j": 14, "36": [14, 15, 21, 26], "klein": 14, "invari": [14, 22], "g_2": 14, "27": [14, 15, 16, 26, 29, 31], "g_3": 14, "weierstrass": [14, 16], "setminu": 14, "1728": 14, "cbrt": [14, 32], "625": [14, 18, 21, 26], "1507492166511182267125242": 14, "07595948379084571927228948j": 14, "07595948379084571927228946j": 14, "famou": [14, 26, 29], "196884": 14, "21493760": 14, "864299970": 14, "20245856256": 14, "heegner": 14, "43": [14, 26], "67": 14, "8000": 14, "3375": 14, "32768": 14, "884736": 14, "884736000": 14, "147197952000": 14, "262537412640768000": 14, "1264538": 14, "909475140509320227": 14, "13520": 14, "commonli": [15, 16, 19], "rise": [15, 18, 19, 21, 23], "author": 15, "revers": [15, 16, 29], "00977212668627705160602312": 15, "0770637306312989892451977j": 15, "523793388892911312363331": 15, "083660630910611272288592e": 15, "10000000000000000": 15, "290402449901174752972486e": 15, "4342944819032375": 15, "1000000j": [15, 18, 26], "257913707524362408877881e": 15, "434284": 15, "556691003883483531962095e": 15, "434284j": 15, "10000000": [15, 18, 22, 26], "755146243738946045873491e": 15, "4771204": 15, "100000001": [15, 25], "100000000": 15, "078258353474186729184421e": 15, "43429441": 15, "60130296933533459267329": 15, "030425427232114336470932": 15, "2214577048967798566234192": 15, "1353352832366126918939995": 15, "326": 15, "872": 15, "00377935240984890647887486": 15, "691806732945198336509541": 15, "e_n": [15, 20, 26], "hyper": [15, 26], "89511781635594": 15, "00377935240984891": 15, "928374389331410348638445906907535171566338835056": 15, "154091651642689822535359": 15, "294418620024357476985535j": 15, "similarli": 15, "93383257062542": 15, "_2f_2": [15, 18], "769881289937359": 15, "gammabetaerf": [15, 16], "expintegralei": 15, "page_228": 15, "0002704758872637179088496194": 15, "negat": [15, 27], "02491491787026973549562801": 15, "073765894578600711923552": 15, "141592653589793238462643j": [15, 16], "int_1": 15, "zt": [15, 20], "00299658467335472929656159": 15, "06100816202125885450319632j": 15, "001803529474663565056945248": 15, "002235061547756185403349091j": 15, "584": 15, "2604820613019908668219": 15, "115366": 15, "5762594725451811138": 15, "offset": 15, "int_2": 15, "confus": [15, 16, 18, 26], "polylogarithm": [15, 16, 19, 30], "04516378011749278484458888919": 15, "45136923488338105028396848589": 15, "12043572466980515267839286347": 15, "1343755504645775265": 15, "6769247817778742392j": 15, "1635885946671919729": 15, "34294481903252e": 15, "3619719871407e": [15, 20], "theorem": [15, 20, 22], "925": 15, "320": 15, "391": 15, "606": [15, 18], "803": 15, "968": 15, "923": 15, "92532039161405e": 15, "693147180559945": [15, 22, 26, 31], "primecountingfunct": 15, "logarithmicintegr": 15, "int_x": 15, "3374039229009681346626462": 15, "07366791204642548599010096": 15, "408292501520849518759125": 15, "983617742029605093121118j": 15, "875060251748226537857298e": 15, "875060250875106915277943e": 15, "6165054856207162337971104": 15, "384180422551186426397851": 15, "anywher": [15, 18], "449410587611035724984376e": 15, "434287": 15, "75744874290013526417059e": 15, "434287j": 15, "190029749656644": 15, "239811742000565": 15, "9460830703671830149413533": 15, "851937051982466170361053": 15, "547513889562289219853204": 15, "399196580646054789459839j": 15, "570796326707584656968511": 15, "54993124494467": 15, "946083070367183": [15, 25], "analogi": [15, 26, 31], "8378669409802082408946786": 15, "5238225713898644064509583": 15, "1683628683277204662429321": 15, "625115880451325002151688j": 15, "057250875375728514571842": 15, "1931890762719198291678095": 15, "645432555362369624818525j": 15, "842700792949715": 15, "999977909503001": 15, "999999999998463": 15, "12838": 15, "376126": 15, "112838": 15, "52049987781304653768274665389196452873645157575796": 15, "316151281697947644880271": 15, "1904534692378346862841089j": 15, "1e1000": [15, 27], "128379167095512573896159e": 15, "1e7j": 15, "593897639029319267398803e": 15, "43429448190317j": 15, "1e7": 15, "9999999858172446172631323": 15, "728805278735270407053139e": 15, "complementari": [15, 20, 26], "08848758376254e": 15, "ludicr": 15, "3504398860243e": 15, "43429448190325182776": 15, "19739830969552e": 15, "107492": 15, "46072418957528e": 15, "107491j": 15, "65042575879754": 15, "999977909503001j": 15, "536643565778565": 15, "04914370344703j": 15, "04914370344703": 15, "536643565778565j": 15, "71130938718796e": 15, "3167287567024e": 15, "43429448190325182754": 15, "500j": 15, "49895233563961e": 15, "325717": 15, "6846779342253e": 15, "325717j": 15, "promis": 15, "99532226501895273416206925636725292861089179704006": 15, "564189583547756": 15, "ineffici": [15, 27], "rand": 15, "586747": 15, "10233": 15, "376796": 15, "926037": 15, "708142": 15, "732012": 15, "sigma": 15, "densiti": 15, "varianc": 15, "cumul": [15, 16], "053990966513188": 15, "107981933026376": 15, "sourc": [15, 33, 34, 35], "4382591473903547660767567": 15, "72546488399143842838788": 15, "58775110440458732748279j": 15, "4963129989673750360976123": 15, "7798934003768228294742064": 15, "08787137412548041729489": 15, "22568799288165021578758j": 15, "6057207892976856295561611": 15, "tool": [16, 34], "combinator": 16, "analysi": [16, 27, 33, 35], "33262154439442e": 16, "93326215443944150965646704795953882578400970373184098831012889540582227238570431295066113089288327277825849664006524270554535976289719382852181865895959724032": 16, "160": [16, 18, 21], "93326215443944152681699238856266700490715968264381621468592963895217599993229915608941463976156518286253697920827223758251185210916864000000000000000000000000": 16, "120": [16, 21], "886226925452758": 16, "32579620567308e": 16, "95657055186": 16, "32579597597705e": 16, "astronom": 16, "22311232304258e": 16, "29565705518096748172348871081098": 16, "reciproc": [16, 20, 22, 23], "1406926327793": [16, 22], "erf": [16, 34], "384": 16, "945": 16, "97272691416282e": 16, "17830": 16, "97262736954392e": 16, "0666666666666667": 16, "3697207890154e": 16, "93665300979176e": 16, "12j": [16, 26], "immens": 16, "13805976125208e": 16, "43675043585825292774": 16, "3715891200": 16, "05940740534258": 16, "06015693855741": 16, "beauti": 16, "ramanujan": [16, 20], "90917279454693": 16, "factorial2": 16, "0002": 16, "doublefactori": 16, "item": 16, "pascal": 16, "triangl": [16, 19], "empti": [16, 31], "33333333333333e": 16, "60784095465201e": 16, "104342944813": 16, "nonintegr": [16, 21, 26], "09375": 16, "0546875": 16, "0375977": 16, "77245385090552": 16, "32335097044784": 16, "91510229697308632046045539308226554038315280564184": 16, "009902440080927490985955066": 16, "07595200133501806872408048j": 16, "9328495143101e": 16, "1956570551809674817225": 16, "spoug": [16, 33], "1666666666666666666666667": 16, "485168143266784862783596e": 16, "2565": 16, "807770242028519365221501": 16, "a_p": [16, 18], "b_0": [16, 20, 22], "b_q": [16, 18], "denomin": [16, 29], "nonposit": [16, 18, 26], "match": [16, 29], "agre": [16, 20, 35], "computation": [16, 20, 21], "49400419456603678498394": 16, "756626784603784110530604": 16, "742664438034657928194889j": [16, 26], "540520869144928548730397j": 16, "265512123484645396488946": 16, "8600470153764810145109327": 16, "283185307179586476925287j": 16, "05624371649767405067259453": 16, "42477796076937971538793j": 16, "6931471805599453094172321": [16, 20, 26], "200973602347074224816022": 16, "1e30": 16, "807755278982137052053974e": 16, "1e300": 16, "897755278982137052053974e": 16, "302": [16, 26], "1e3000": 16, "906755278982137052053974e": 16, "1e100000000000000000000": 16, "302585092994045684007991e": 16, "100000000000000000020": 16, "1e30j": 16, "570796326794896619231322e": 16, "31j": 16, "1e300j": 16, "300": [16, 20, 21, 35], "302j": [16, 26], "1e3000j": 16, "3003j": 16, "9189385332046727417803297": 16, "9619286014994750641314421": 16, "219637303741238195688575j": 16, "688493531222971393607153": 16, "554898911356806978892748j": 16, "1539414829219882371561038": 16, "1020485197430267719746479j": 16, "092851753092733349564189": 16, "302396543466867626153708j": 16, "pochhamm": [16, 19], "7202": 16, "03920483347": 16, "3777": 16, "58810701527j": 16, "720": [16, 21], "41085888203": 16, "316": 16, "101124983878j": 16, "0333333333333333": [16, 20], "266666666666667": 16, "079424249270925780135675": 16, "410032405664160838288752j": 16, "037890298781212201348153837138927165984170287886464": 16, "0230880230880231": 16, "319504062596158": 16, "4010": 16, "2241657956955709603655887": 16, "3619619242700451992411724j": 16, "4375": 16, "0833333333333": 16, "673": 16, "1152": 16, "superfactori": 16, "sf": 16, "barn": 16, "oei": 16, "a000178": 16, "34560": 16, "24883200": 16, "125411328000": [16, 20], "05658474496e": 16, "83493347225108e": 16, "24570818422368e": 16, "1177245": 16, "61398543581249e": 16, "467427913956904067453": 16, "20051550121297985285333": 16, "005915485633199789627466468": 16, "008156449464604044948738263j": 16, "2645072034016070205673056": 16, "a002109": 16, "108": [16, 20], "27648": 16, "86400000": 16, "4031078400000": 16, "3197663987712e": 16, "56964379417266e": 16, "15779412229419e": 16, "46458120882585e": 16, "1392926": 16, "60408207642219e": 16, "489142638002418704309": 16, "880449235173423": 16, "581061466795327": 16, "205": [16, 20], "211134637462": 16, "01144471378225e": 16, "46": [16, 18], "45285242480185e": 16, "46j": 16, "49795891462086e": 16, "33262283196162e": 16, "7j": 16, "28170142849352": 16, "9842119922237": 16, "215779412229418562091680268288000000000000000": 16, "89404818005227001975423476035729076375705084390942": 16, "glaisher": [16, 19], "catalan": [16, 19, 26, 29], "nthroot": [16, 22], "603244281209446": 16, "29375596533861": 16, "39292119327948": 16, "kinkelin": 16, "847536694177301": 16, "264507203401607": 16, "2548": 16, "7457695685": 16, "00535976768353037": 16, "000676375932234244": 16, "42236140124728e": 16, "81305501090451340843586085064413533788206204124732": 16, "000000000021852360840356557241543036724799812371995850552234": 16, "00000000000070035335320062304849020654215545839053210041457588": 16, "10361006263698e": 16, "6626": 16, "101": [16, 20], "94463017605008e": 16, "14322868174828e": 16, "167480422": 16, "21133054865546e": 16, "1173597": 16, "27461836811016e": 16, "1173597j": 16, "43114569750291e": 16, "1026623": 16, "24851410674842e": 16, "1026623j": 16, "whittak": [16, 18, 19, 33], "watson": [16, 33], "cambridg": [16, 33], "univers": [16, 33], "4th": [16, 33], "1927": [16, 20], "264": 16, "barnes_g": 16, "trigamma": [16, 33], "aperi": [16, 19], "19732915450711073927132": 16, "82879664423431999559633": 16, "1105749312578862734526952": 16, "03902435405364952654838445": 16, "1574325240413029954685366j": 16, "293142504363642687204865e": 16, "7010": 16, "232856260909107391513108e": 16, "7018j": 16, "4049668927517857061917531": 16, "694361433907061256154665": 16, "41421j": 16, "r1": 16, "r2": 16, "83333333333333": 16, "08333333333333": [16, 31], "28333333333333": 16, "59285714285714": 16, "230": [16, 22], "835724964306": 16, "613705638880109": 16, "24757548223494": 16, "850502209186044j": 16, "0198773448773448773448773448773448773448773448773": 16, "8727388590273302654363491032336134987519132374152": 16, "glacial": 16, "pace": 16, "exce": 16, "15092688622113788323693563264538101449859496": 16, "864101": 16, "15092688622113788323693563264538101449859497": 16, "999999999999999999999999999999999999999999942747": 16, "000000000000000000000000000000000000000000009": 16, "543080634815243778477906": 17, "convex": 17, "0416667": [17, 22, 25], "724545504915322565473971": 17, "5118225699873846088344638j": 17, "175201193643801456882382": 17, "590564589985779952012565": 17, "5309210862485198052670401j": 17, "7615941559557648881194583": 17, "sigmoid": [17, 19], "Its": [17, 26], "333333": [17, 18, 22, 25, 26, 31], "133333": [17, 25], "9653858790221331242784803": 17, "009884375038322493720314034j": 17, "cosec": [17, 25], "cotang": [17, 25, 29], "mere": 18, "_pf_q": [18, 26], "thereof": [18, 29], "twodimension": 18, "standalon": 18, "demonstr": [18, 29], "docstr": [18, 30], "hyp": 18, "therebi": [18, 29], "maxprec": [18, 27], "zeroprec": [18, 21], "accurate_smal": 18, "hmag": 18, "force_seri": 18, "asymp_tol": 18, "elimin": 18, "confluent": [18, 19], "130318207984970054415392": 18, "1234567": [18, 26], "27287187546220705604627e": 18, "964": 18, "905169561300910030267132e": 18, "807708544441684513934213e": 18, "606j": 18, "131705322874965310390701e": 18, "8685889638065036553022565": 18, "115945364792025420300208e": 18, "af": 18, "hyperu": 18, "whitm": 18, "whitw": 18, "gammaprod": 18, "2815": 18, "956856924817275640248": 18, "145036502407444445553107": 18, "021799872770764149793693e": 18, "441": 18, "000003131987633006813594535331": 18, "189190365227034385898282e": 18, "106169926814270418999315e": 18, "49j": 18, "261": 18, "8977905181045142673351": 18, "8930312845682213562172j": 18, "890569218254486878220752e": 18, "43429448190325182745": 18, "935753855797342532571597e": 18, "291911213325184901239155e": 18, "20j": [18, 20, 26], "269381460919952778587441": 18, "a1": [18, 21, 31], "b1": 18, "b2": 18, "a_2": [18, 23], "b_2": [18, 20, 23], "159388148811981535941434e": 18, "8685889639": 18, "60262607892655945795907": 18, "237220401382240876065501e": 18, "6141851464": 18, "950930337531768015892987e": 18, "6141851464j": 18, "135881": 18, "9905586966432662004": 18, "86681": 18, "95885418079535738828j": 18, "_2f_0": [18, 21], "formal": [18, 26], "07095851870980052763312791": 18, "03254379032170590665041131": 18, "07269254613282301012735797j": 18, "3579987031082732264862155": 18, "052951783922142735255881j": 18, "2f0": 18, "05": [18, 31], "04166637647907": 18, "34584913683906e": 18, "0005": 18, "00037535207621": 18, "009": 18, "23828e": 18, "291793": 18, "recov": [18, 20, 21, 22], "5625": [18, 22], "gauss": [18, 21], "comprehens": [18, 33], "insid": 18, "303703703703703703703704": 18, "7431290566046919177853916": 18, "418075801749271137026239": 18, "114976146679907015775102j": 18, "8235498012182875315037882": 18, "9144026291433065674259078": 18, "2050415770437884900574923j": 18, "9274013540258103029011549": 18, "7455257875808100868984496j": 18, "9931169055799728251931672": 18, "06154836525312066938147793j": 18, "8834833319713479923389638": 18, "7053886880648105068343509j": 18, "06926406926406926406926407": 18, "1e100": 18, "883714220959876246415651e": 18, "365499358305579597618785e": 18, "33j": 18, "1e1000000": 18, "333332": 18, "333333j": 18, "1e1000000j": 18, "333332j": 18, "9480458814362824478852618": 18, "a2": [18, 21, 31], "275758229007902299823821e": 18, "43429448190325182663": 18, "2561445": 18, "079983207701073448": 18, "2218276": 18, "509664121194836667": 18, "1280722": 18, "539991603850462856j": 18, "80500": 18, "68321405666957342788": 18, "20346": 18, "82752982813540993502j": 18, "b3": 18, "_2f_3": 18, "b_3": [18, 20], "169178177065714963568963e": 18, "8685889590": 18, "7064472": 18, "587757755088178629": 18, "163368465314934589818543e": 18, "6141851415": 18, "783578125755972803440364e": 18, "6141851416j": 18, "2280": 18, "938956687033150740228": 18, "13620": 18, "97336609573659199632j": 18, "20000000j": 18, "849835186175096516193e": 18, "3504": 18, "365981529122220091353633e": 18, "3504j": 18, "a3": 18, "_3f_2": 18, "a_3": 18, "structur": [18, 21], "ellip": 18, "083533123380934241548707": 18, "1574651066006004632914361": 18, "03194209021885226400892963j": 18, "3071141169208772603266489": 18, "4857045320523947050581423": 18, "5988311440454888436888028j": 18, "157370995096772047567631": 18, "74518490615029486475959": 18, "1454701525056682297614029j": 18, "9829816481834277511138055": 18, "4059040020276937085081127j": 18, "41": [18, 20], "564877796743282766872279": 18, "76821518787438186031973e": 18, "11j": 18, "0001j": 18, "564747153061671573212831": 18, "0001305757570366084557648482j": 18, "9999": 18, "564616644881686134983664": 18, "7823896253461678060196207": 18, "4246104461966439006086308": 18, "111111111111111111111111": 18, "7621440939243342419729144": 18, "4249117735058037649915723j": 18, "factori": [18, 19, 20, 22, 30], "078903941164934876086237": 18, "fn": 18, "9923571616434024810831887": 18, "005753848733883879742993122j": 18, "_0f_0": 18, "_1f_0": 18, "14069263277926900572909": 18, "09069132879922920160334114": 18, "3283224323946162083579656j": 18, "7904761904761904761904762": 18, "83": 18, "undefin": [18, 26], "unless": [18, 20], "_4f_3": 18, "4f3": 18, "141783505526870731311423": 18, "5f4": 18, "543998916527972259717257": 18, "5876309929580408028816365j": 18, "6f5": 18, "9996565821853579063502466": 18, "0129721075905630604445669j": 18, "Near": 18, "219433352235586121250027": 18, "eps1": 18, "2923978034": 18, "412973409330956": 18, "_pf_": 18, "abort": 18, "622806053177969474396918e": 18, "4310": 18, "borel": 18, "340965419580146562086448": 18, "8503366631752726568782447j": 18, "4f1": 18, "108287213689475145830699": 18, "5327107430640678181200491j": 18, "_3f_1": 18, "08": 18, "0725535790737": 18, "07269542893559": 18, "54668863216891e": 18, "946344925484879": 18, "946312503737771": 18, "9463125037377662296700858": 18, "268943190440206905892212e": 18, "4321": 18, "unambigu": 18, "consist": 18, "toggl": 18, "eliminate_al": 18, "param": 18, "discard_known_zero": 18, "l_r": 18, "w_": 18, "m_r": 18, "alpha_": 18, "n_r": 18, "beta_": 18, "p_r": 18, "q_r": 18, "z_r": 18, "oppos": 18, "1f1": 18, "769832308689": 18, "dot": [18, 27, 32], "b_m": 18, "int_l": 18, "b_j": 18, "a_j": 18, "implicit": 18, "constitut": 18, "confusingli": 18, "_qf_": 18, "forward": [18, 27, 29], "bess": 18, "487735836358525720550369": 18, "natur": [18, 19, 22, 31], "178654996341646117219023": 18, "6923076923076923076923077": 18, "4389807929218676682296453": 18, "3544090145996275423331762": 18, "j_a": 18, "y_a": 18, "i_a": 18, "k_a": 18, "5059425789597154858527264": 18, "1853868950066556941442559": 18, "8685913322427653875717476": 18, "096964974460199200551738j": 18, "09334163695597828403796071": 18, "00172839843123091957468712": 18, "55984467443050210115617": 18, "messi": 18, "3323667133658557271898061": 18, "06417628097442437076207337": 18, "1428699426155117511873047": 18, "meijer_g": 18, "hypergeometricfunct": 18, "meijerg1": 18, "_ah_b": 18, "b_b": 18, "a_a": 18, "_2h_2": 18, "dougal": 18, "49118026212345786148847": 18, "_1h_0": 18, "2454393389657273841385582": 18, "2454393389657273841385582j": 18, "slater": [18, 33], "189": 18, "bilateral_hypergeometric_seri": 18, "a_r": [18, 23], "dict": [18, 29], "kei": 18, "_m": 18, "ye": 18, "No": [18, 27, 33], "appel": [18, 33], "f_4": 18, "distinct": [18, 22], "enumer": [18, 20], "horn": 18, "kamp": 18, "de": [18, 26], "feriet": 18, "inner": 18, "swap": 18, "666666666666666666666667": 18, "164358531238938319669856": 18, "013417124712514809623881": 18, "six": 18, "g1": 18, "g3": 18, "c1": [18, 21], "c2": [18, 21], "139090746": 18, "g2": 18, "9503682696": 18, "029372029": 18, "605331256": 18, "35405404": 18, "974479074": 18, "srivastavakarlsson": [18, 33], "hornfunct": 18, "appellhypergeometricfunct": 18, "respecto": 18, "mpmathifi": [18, 21], "154700538379251529018298": [18, 25], "138403860350148085179415": 18, "510544741058517621110615j": 18, "816": 18, "20528": 18, "0006231042714165329279738662": 18, "0000005769149277148425774499857j": 18, "1782604566893954897128702": 18, "002472407104546216117161499j": 18, "07122993830066776374929313": 18, "547902270302684019335555": 18, "717202506168937502740238": 18, "792526803190927323077905j": 18, "map": [18, 31], "num": 18, "073335358785776206576981": 18, "092829171999626454344678": 18, "1106": 18, "323225040235116498927": 18, "ellipt": [18, 19, 30, 33], "categori": [18, 35], "ae": 18, "9273298836244400669659042": 18, "057495752337234229715836": 18, "198140234735592207439922j": 18, "ellipticintegr": 18, "elliptice2": 18, "cabralrosetti": [18, 33], "viduna": [18, 33], "257417193533135344785602": 18, "9880539519421899867041719": 18, "01497616165031102661476978j": 18, "201311219287411337955192": 18, "09455532250274744282125152": 18, "7647282253046207836769297j": 18, "2299211717841180783309688": 18, "f_3": 18, "221557778107438938158705": 18, "5189554589089861284537389": 18, "1454441043328607980769742j": 18, "7876136773677356641825": 18, "54768762233649126154534j": 18, "85": [18, 26], "02054175067929402953645": 18, "148": 18, "4402528821177305173599j": 18, "719992169545200286696007": 18, "093432340896087107444363": 18, "01568646277445385390945083": 18, "03947361709111140096947": 18, "286182069079718313546608": 18, "125j": 18, "2585967215437846642163352": 18, "436102233553582711818743j": 18, "129143488466850868248364": 18, "csc": [19, 26], "golden": [19, 20, 29], "khinchin": 19, "merten": [19, 26], "twin": 19, "twinprim": 19, "nth": [19, 20], "radian": 19, "sawtooth": [19, 27], "binomi": [19, 20, 21], "super": 19, "hyperfactori": 19, "polygamma": [19, 26], "hankel": 19, "kelvin": 19, "struve": 19, "anger": 19, "weber": 19, "lommel": 19, "airi": 19, "scorer": 19, "coulomb": 19, "parabol": 19, "cylind": 19, "legendr": 19, "gegenbau": 19, "laguerr": 19, "spheric": 19, "meijer": 19, "bilater": 19, "carlson": [19, 33], "modular": 19, "hurwitz": 19, "lerch": 19, "transcend": 19, "clausen": [19, 20], "combinatori": [19, 30], "fibonacci": [19, 31], "bernoulli": 19, "bell": [19, 26], "cyclotom": 19, "wast": 20, "alia": [20, 22], "12586269025": 20, "backward": 20, "8057117299251e": 20, "280571172992510140037611932413038677189525": 20, "stupend": 20, "49052338550226e": 20, "2089876402499787337692720": 20, "1170270579161": 20, "5248": 20, "51130728372": 20, "14195": 20, "962288353j": 20, "183802359692956": 20, "57077646820395": 20, "4999999596115": 20, "5000000000479": 20, "relationship": 20, "6180339887498948482045868343656381177203127439638": 20, "6180339887498948482045868343656381177203091798058": 20, "35988566624318": 20, "amazingli": 20, "82451515740692": 20, "11803398874989": 20, "fibonaccinumb": 20, "plu": 20, "flag": [20, 27], "0238095238095238": 20, "0757575757575758": 20, "253113553113553": 20, "16666666666667": 20, "8382249570693706959264156336481764738284680928013e": 20, "78": 20, "09136296657021e": 20, "1876752564973863312327": 20, "00407735619794": 20, "sequenti": 20, "bernoulli_numb": 20, "lowest": 20, "691": 20, "2730": 20, "sy": 20, "hasattr": 20, "set_int_max_str_digit": 20, "del": 20, "2338224387510": 20, "len": [20, 22, 27], "27692": 20, "04942396360948e": 20, "27677": 20, "von": [20, 26], "staudt": 20, "reconstruct": 20, "calcbn": 20, "ex": 20, "vonstaudt": 20, "clausentheorem": 20, "www": [20, 26, 29, 33], "0333333": 20, "66667": 20, "838224957069370695926416e": 20, "318704469415522036482914e": 20, "1769": 20, "61": 20, "1385": 20, "50521": 20, "053285248188621896314384e": 20, "54": [20, 26], "887561841253070615257336e": 20, "2371": 20, "346791453661149089338186e": 20, "1936958564106659551331": 20, "69919063017432362805663e": 20, "436961": 20, "699193712834466537941283e": 20, "6053285248188621896314383785111649088103498225146815121": 20, "1925859625": 20, "1001": [20, 31], "2e": [20, 27], "423": 20, "11111111112": 20, "994957561486776072734601e": 20, "351": 20, "47990": 20, "235980": 20, "5e": [20, 27], "000035001225": 20, "55": [20, 26, 31], "4400": 20, "4087072509293123892361": 20, "29047999988194114177943e": 20, "628120031122876847764566e": 20, "2070": 20, "149364285543783412210773e": 20, "30688": 20, "partit": [20, 23, 27], "log_": [20, 22], "polyexp": 20, "dobinski": 20, "modif": 20, "det": [20, 31], "superfac": 20, "10767": 20, "71345136587098445143": 20, "15449": 20, "55065599872579097221j": 20, "90": 20, "65": 20, "203": 20, "877": 20, "4140": 20, "21147": 20, "267": 20, "185724268771078270438257767181908917499221852770": 20, "29113173035759403920216141265491160286912": 20, "237132026969293954162816e": 20, "1869": 20, "989901335682408421480422e": 20, "591553486811969380442171e": 20, "1987": [20, 33], "101014101401543575679639e": 20, "2529": 20, "dobinskisformula": 20, "ff": 20, "864498971768501633736628e": 20, "286449897176850163373662803014001546235808317440000": 20, "641822121003543906807485e": 20, "2641822121003543906807485307053638921722527655": 20, "9592": 20, "2656": 20, "loos": 20, "schoenfeld": 20, "truth": 20, "hypothesi": 20, "168": 20, "moder": 20, "1209": 20, "1283": 20, "1229": 20, "5070": 20, "5263": 20, "5133": 20, "1925320391606803968923": 20, "9253203909477020467e": 20, "925320392280406229e": 20, "9219865355293e": 20, "nonrigor": 20, "3619719871407024816e": 20, "3619719871407032404e": 20, "gram": [20, 26], "million": [20, 29], "9757023241462": 20, "feasibl": [20, 29], "46923988977204e": 20, "3448325764012e": 20, "996": 20, "shown": [20, 26, 29, 32], "parenthes": 20, "78498": 20, "664579": 20, "5761455": 20, "50847534": 20, "rerr": 20, "lerr": 20, "56458314100509": 20, "141": 20, "1655995047873": 20, "541": 20, "6616332669242": 20, "0265": 20, "1261415840796": 20, "359446281167": 20, "00214": 20, "609657990152": 20, "0572": 20, "1226": 20, "93121834343": 20, "00168": 20, "1246": 20, "13721589939": 20, "0139": 20, "9587": 20, "43173884197": 20, "000476": 20, "9629": 20, "8090010508": 20, "00394": 20, "78527": 20, "3994291277": 20, "000375": 20, "78627": 20, "5491594622": 20, "00165": 20, "664667": 20, "447564748": 20, "000133": 20, "664918": 20, "405048569": 20, "000511": 20, "5761551": 20, "86732017": 20, "68e": 20, "5762209": 20, "37544803": 20, "000131": 20, "50847455": 20, "4277214": 20, "55e": [20, 31], "50849234": 20, "9570018": 20, "35e": 20, "141903028110784": 20, "1050": [20, 31], "950": 20, "72934743264966261918857135136": 20, "551002208155486427591793957644": 20, "16966398138119450043195899746j": 20, "phi_n": 20, "primit": [20, 22], "unitroot": 20, "moebiu": 20, "phi_0": 20, "phi_1": 20, "phi_2": 20, "phi_3": 20, "phi_4": 20, "phi_5": 20, "phi_6": 20, "nois": 20, "419": 20, "360": 20, "146045605088568607055454e": 20, "permut": [20, 22], "8660254037844386467637232j": 20, "945910149055313305105353": 20, "94": 20, "04531122935739224600493": 20, "10001": [20, 21], "10013": 20, "39669326311478372032": 20, "p_1": 21, "mutual": 21, "p_n": 21, "p_m": 21, "easili": [21, 27, 29], "articl": [21, 35], "p_": 21, "57735": 21, "774597": 21, "861136": 21, "339981": 21, "94952805264875": 21, "1071073099422j": 21, "222222222222222": 21, "73": 21, "legendrep": 21, "2zf": 21, "q_n": 21, "149": 21, "972260393822275434196053": 21, "972260393822275434196053j": 21, "335677248386698208736542": 21, "663270217461022307645625j": 21, "deq": 21, "legendreq": 21, "eq": 21, "8186632680417568557122028": 21, "6655964618250228714288277": 21, "3937692045497259717762649j": 21, "95256487468541686564": 21, "6011": 21, "691337610097577791134j": 21, "7298060598018049369381857": 21, "902916572420817192300921": 21, "1998650072605976600724502j": 21, "040524284763495081918338": 21, "7298060598018049369381857j": 21, "1998650072605976600724502": 21, "t_n": 21, "57079632596448": 21, "u_n": 21, "5707963267949": [21, 27], "4609375": 21, "309983": 21, "84119": 21, "26933": 21, "26699": 21, "34808": 21, "9047619047619": 21, "a0": 21, "26560": 21, "2328981879": 21, "21503": 21, "7641037294": 21, "5056": 21, "46879445852": 21, "ultraspher": 21, "2a": [21, 24, 26], "2485": 21, "012757178975667428359374e": 21, "2322": 21, "5038991": 21, "358609026523401901": 21, "9414549": 21, "285447104177860806j": 21, "8989": 21, "2zt": 21, "cm": [21, 33], "h_0": 21, "h_1": 21, "2z": [21, 26], "h_": 21, "398": 21, "950440066552087387515653e": 21, "19334": 21, "7999999999999998800000000": 21, "675159751729877682920301e": 21, "4342944819032534": 21, "07652130602993513389421901": 21, "1084662449961914580276007j": 21, "480": 21, "02769459142039868792653387": 21, "08333333333333333333333333": [21, 26], "2215567313631895034122709": 21, "8862269254527580136490837": 21, "1680": 21, "l_n": 21, "l_0": 21, "l_1": 21, "l_2": 21, "03726399739583333333333333": 21, "474921610704496808379097": 21, "02058050372068958069241j": 21, "49980001": 21, "327764910194842158583189e": 21, "4328": 21, "96": [21, 22], "72": [21, 27], "4320": 21, "5400": 21, "2400": 21, "450": 21, "lm": 21, "y_l": 21, "p_l": 21, "polar": 21, "north": 21, "south": 21, "azimuth": 21, "sphere": 21, "splot": [21, 32], "expj": 21, "2820947917738781434740397": 21, "1221506279757299803965962": 21, "2115710938304086076055298j": 21, "3454941494713354792652446": 21, "orthonorm": 21, "l1": 21, "m1": 21, "l2": 21, "m2": 21, "0000000000000007": 21, "750": 21, "776445785304252879026585e": 21, "102": [21, 26], "82441278771834794493484e": 21, "102j": 21, "44922331113759992154992": 21, "1981": 21, "693919841408089681743j": 21, "16227766016838": 22, "09868411346781": 22, "455089860562227j": 22, "9329332815": 22, "4142135623730949234": 22, "4142135623730951455": 22, "9999999999999995559": 22, "0000000000000004441": 22, "euclidean": [22, 31], "cube": 22, "9999999999999991": 22, "866025403784439j": 22, "equidist": 22, "uniqu": [22, 31, 35], "circumst": 22, "zeta_k": 22, "modulo": [22, 27], "back": [22, 31, 34, 35], "16807": 22, "0000000000000009": [22, 27], "584893192461113485202101373391507013269442133825": 22, "07721734501594": 22, "86579517236206j": 22, "15443469003188": 22, "7th": 22, "24747270589553": 22, "166227124177353j": 22, "647824911301003": 22, "07895435170559j": 22, "439648254723098": 22, "17920694574172j": 22, "19605731775069": 22, "391492658196305j": 22, "05181082538903": 22, "691023585965793j": 22, "115529328478668": 22, "25318497558335j": 22, "907748109144957": 22, "871672518271819j": 22, "210": 22, "zeta_0": 22, "zeta_1": 22, "zeta_": 22, "zeta_j": 22, "pmod": 22, "polygon": 22, "vertic": [22, 32], "866025j": 22, "12th": 22, "866025": 22, "group": 22, "cyclic": 22, "whole": 22, "866025403784438j": 22, "totient": 22, "yi": 22, "718281828459045235360287": 22, "3678794411714423215955238": 22, "806818225662921587261496e": 22, "4342": 22, "135483865314736098540939e": 22, "4343": 22, "71828182845904523536028749558": 22, "140692632779269005729": 22, "8984304016040616": 22, "16j": 22, "own": [22, 25], "41421356237309504880168872421": 22, "43112609": 22, "displai": [22, 32, 35], "16470269330255923143453723949e": 22, "12978188": 22, "5403023058681397174009366": 22, "8414709848078965066525023j": 22, "1987661103464129406288032": 22, "3095598756531121984439128j": 22, "04321391826377224977441774": 22, "suffer": 22, "00000008274037e": [22, 27], "00000000005e": [22, 27], "fadd": 22, "99999995": 22, "00000012791934e": 22, "93147180559945e": 22, "100001": 22, "23370055013617e": 22, "5707963267949e": 22, "log_b": [22, 35], "unspecifi": 22, "5707963267949j": 22, "14159265358979j": 22, "6094379124341": 22, "142857": 22, "1447298858494001741434273513530587116472948129153": 22, "33333333333333333333333333333333333333333333333333": 22, "609437912434100374600759": 22, "9272952180016122324285125j": 22, "00000008269037e": 22, "9999999995e": 22, "201": 22, "multivalu": [22, 25], "corless": [22, 33], "5671432904097838729999687": 22, "853581755409037807206819": 22, "11353553941214591260783j": 22, "047020464221569709378686": 22, "155": 22, "4763860949415867162066j": 22, "tower": 22, "6411857445049859844862005": 22, "249602852401596227126056": 22, "907755278982137052053974": 22, "224": 22, "8431064451185015393731": 22, "2585092994045684017991": 22, "666666667": 22, "208333333": 22, "56637061435917295385057j": 22, "84955592153875943077586j": 22, "9911485751285526692385j": 22, "join": 22, "9999999999998371330228251": 22, "000000000000162866977175": 22, "22007971483662e": 22, "9j": 22, "999999966242188": 22, "46410161513775": 22, "48202767635957": 22, "261085515723": 22, "643448704": 22, "760133": 22, "34814309345871e": 22, "262166887202249": 22, "0025": 22, "262172347753122": 22, "51055133276184": 22, "547394054060638j": 22, "1679581912": 22, "parametr": [22, 32], "451115405388492": 22, "62560990822191": 22, "3k": 23, "725305": 23, "4628842231660149089976379": 23, "481821753552703090628793j": 23, "604800": 23, "4112484791779547734440257": 23, "228348867038575112586878": 23, "gamma_q": 23, "046875": 23, "121226245": 23, "1663082382255199834630088": 23, "01952474576025952984418217j": 23, "428277424823760954685912": 23, "_q": 23, "_z": 23, "2080": 23, "4370556551322672478613695": 23, "2609739839216039203708921j": 23, "_r": 23, "phi_": 23, "1975849091263356009534385": 23, "806330244925716649839237": 23, "568997623337943121769938j": 23, "112885171773400017270226": 23, "272756997166375050700388j": 23, "6221136748254495583228324": 23, "sinusoid": 24, "waveform": 24, "electron": [24, 33], "amplitud": 24, "2689414213699951207488408": 24, "3775406687981454353610994": 24, "6224593312018545646389006": 24, "7310585786300048792511592": 24, "angl": [25, 27, 31], "everywher": 25, "libari": 25, "0471975511966": 25, "9802850113244713353133243": 25, "189625690968807230132555": 25, "109227893755336597979197j": 25, "00138889": 25, "540302305868139717400936602301": 25, "41614683654714238699756823214": 25, "8660254037844386467637232": 25, "1975887055794968911438743": 25, "1544991469114295734673": 25, "168906959966564350754813j": 25, "841470984807896506652502331201": 25, "732050807568877293527446": 25, "2015625081449864533091058": 25, "003764025641504248292751221": 25, "003238627353609801446359j": 25, "55740772465490223050697482944": 25, "10000001": 25, "184723164360392819100265": 25, "04167496441114427004834991": 25, "0906111371962375965296612j": 25, "208333": 25, "0847222": 25, "85081571768092561791175326276": 25, "864910497503629858938891": 25, "09047320975320743980579048": 25, "04120098628857412646300981j": 25, "18839510577812121626159943988": 25, "5773502691896257645091488": 25, "574131876209625656003562": 25, "003739710376336956660117409": 25, "9967577965693583104609688j": 25, "642092615934330703006419974862": 25, "doc": [25, 34], "arccosin": 25, "taylort": 25, "5708": 25, "075": 25, "566370614359172953850574": 25, "arcsin": 25, "5752220392306202846120698": 25, "arctang": 25, "000000000000000000000001": 25, "141592653589793238462644": 25, "quadrant": 25, "785398163397448": [25, 27], "35619449019234": 25, "unnorm": 25, "mbox": 25, "entail": 25, "pertain": 26, "siegel": 26, "reflect": 26, "nonrat": 26, "644934066848226436472415": 26, "000000000000000888178421": 26, "03373057338827757067584698": 26, "2774499251557093745297677j": 26, "389": 26, "6841230140842816370741": 26, "295": 26, "2674610150305334025962j": 26, "critic": 26, "13472514173469379045725j": 26, "21j": 26, "02203963877155499262848j": 26, "01085758014568876321379j": 26, "height": 26, "073032014857753132114076": 26, "780848544363503984261041j": 26, "9535316058375145020351559": 26, "9525945894834273060175651j": 26, "10000000j": 26, "45804061057709254500227": 26, "643437226836021723818215j": 26, "100000000j": 26, "12433106710194942681869": 26, "87221167872304520599418j": 26, "444": 26, "2760822795430400549229": 26, "896": 26, "3789978119185981665403j": 26, "3230": 26, "72682687670422215339": 26, "14374": 26, "36950073615897616781j": 26, "11967": 26, "35573095046402130602": 26, "218945": 26, "7817789262839266148j": 26, "859846483332530337008882": 26, "491808047480981808903986j": 26, "333835494679647915673205": 26, "08405337962602933636096103j": 26, "453": 26, "2764822702057701894278": 26, "581": 26, "963625832768189140995j": 26, "3949340668482264364724152": 26, "541879647671606498397663": 26, "5408324774542966919938": 26, "675565317808456852310934": 26, "2432902008176640000": 26, "000242": 26, "140075548947797130681075": 26, "3109263360275413251313634j": 26, "10407": 26, "16081931495861539236": 26, "13777": 26, "78669862804508537384j": 26, "007180821099823942702249e": 26, "916117957092593868321778e": 26, "78j": 26, "9375482543158437537025741": 26, "9946401171494505117104293": 26, "000024300473840810940657": 26, "000061933072352565457512": 26, "000006869443931806408941": 26, "000000173233769531820592": 26, "9999999569989868493432399": 26, "9999999937218844508684206": 26, "9999999996355013916608284": 26, "000000000004610645020747": 26, "81": 26, "01234567901234567901234568": 26, "2899236037682695182085988": 26, "06561206166091757973112783j": 26, "0005117269627574430494396877": 26, "156360390440003294709": 26, "68162300487989766727122e": 26, "77": 26, "01521913704446246609237979": 26, "29907": 26, "72510874248161608216j": 26, "031911949062334538202567e": 26, "1770": 26, "519555750556794218804724e": 26, "426j": 26, "32988355630802510888631": 26, "17706465801374033261383j": 26, "48985276392056641594055": 26, "11604466157397267043655j": 26, "riemannzetafunct": 26, "hurwitzzetafunct": 26, "borweinzeta": [26, 33], "867204951503984": 26, "867199889012184": 26, "822467033424113": 26, "999999999068682": 26, "99999999999999989": 26, "dirichletetafunct": 26, "dirichlet_eta_funct": 26, "202056903159594285399738": 26, "9159655941772190150546035": 26, "08158073611659279510291217": 26, "5831218080616375602767689": 26, "3915943927068367764719453": 26, "3915943927068367764719454": 26, "1929013167969124293631898": 26, "7059715047839078092146831": 26, "gamma_n": 26, "zeroth": 26, "577215664901533": 26, "0728158454836767": 26, "000205332814909065": 26, "00355772885557316": 26, "57095384420474e": 26, "486": 26, "680424678918e": 26, "1109": 26, "23747539175716": 26, "gamma_1": 26, "0096903631928723184845303860352125293590658061013408": 26, "ainsworth": 26, "howel": 26, "coffei": 26, "nasa": 26, "technic": [26, 35], "2456": 26, "1985": [26, 33], "ntr": 26, "archiv": 26, "casi": 26, "19850014994_1985014994": 26, "eta_j": 26, "0706": 26, "0343v1": 26, "0343": 26, "stieltjesconst": 26, "lacim": 26, "uqam": 26, "pidata": 26, "stieltjesgamma": 26, "txt": 26, "strip": 26, "ti": 26, "14484006887480537268266j": 26, "727690": 26, "906948208j": 26, "9069482075392389420041147142092708393819935j": 26, "info": 26, "542964976": 26, "209039046": 26, "578535j": 26, "542964969": 26, "542964978": 26, "013111110": 26, "01311110": 26, "pattern": 26, "rosser": 26, "parenthesi": 26, "nine": 26, "1347251417347j": 26, "21136125": 26, "9999999": 26, "32718175j": 26, "21136126": 26, "2400236j": 26, "545439823": 26, "215": 26, "1500000001": 26, "201985j": 26, "1500000002": 26, "325697j": 26, "confirm": 26, "van": 26, "lune": 26, "te": 26, "riel": 26, "winter": 26, "7363054628673177346778998": 26, "1852895764366314976003936": 26, "2773099198055652246992479j": 26, "89689348495089294249178": 26, "46035": 26, "73588": 26, "39357": 26, "13472514173469379045725": 26, "02203963877155499262848": 26, "176": [26, 29], "4414342977104188888926": 26, "g_n": 26, "g10": 26, "g11": 26, "44624769706339480436776": 26, "67523744685325626632663": 26, "54516517954725443703014": 26, "2it": 26, "phase": [26, 27, 32], "767547952812290388302216": 26, "068638039426838572528867": 26, "05804937947429712998395177j": 26, "1234": 26, "0004051864079114053109473741": 26, "68609": 26, "69433": 26, "40218": 26, "28983598883690277966509": 26, "84559954041086081682634": 26, "5488816": 26, "353078403444882823": 26, "745777464310273645": 26, "17028270124630927899664": 26, "67018221781633796093849": 26, "71797995476405317955149": 26, "42477796076937971538793": 26, "3293531632": 26, "728335454561153": 26, "9146": 26, "698193171459265866198": 26, "titchmarsh": 26, "217": 26, "16302205431184": 26, "211": 26, "232": 26, "842": 26, "arctan": 26, "atanh": 26, "663862376708876060218414": 26, "2131391994087528954617607": 26, "4023594781085250936501898": 26, "142423447120257137774002": 26, "2118232380980201350495795j": 26, "002025009957009908600539469": 26, "003327897536813558807438089j": 26, "28676272353094275265944": 26, "462130727102185701817349e": 26, "575172198981096218823481e": 26, "112658784011940": 26, "5605789002": 26, "498113185": 26, "5756221777743631j": 26, "044674457556746668033975": 26, "04674508654012658932271226j": 26, "044629338021507546737197": 26, "04667768813963388181708101j": 26, "249503297023366545192592": 26, "2314252413375664776474462j": 26, "253978063946663945672674": 26, "2316736622836535468765376j": 26, "elsewher": 26, "582240526465012": 26, "21852526068613": 26, "53721319360804": 26, "536301287357863": 26, "23378441241546j": 26, "1982778868581": 26, "05968879432873": 26, "71678149306807j": 26, "150891632373114": 26, "067618332081142": 26, "0384353698579347": 26, "0912451798066779j": 26, "205616758356028": 26, "915965594177219j": 26, "534247512515375": 26, "765587078525922j": 26, "765587078525921j": 26, "517479061673899": 26, "111111": 26, "04": 26, "037037": 26, "015625": 26, "008": 26, "17624173838258": 26, "909670702980385": 26, "24258605789446": 26, "00222938275488344j": 26, "40j": 26, "1421172179728": 26, "92726697721369j": 26, "400j": 26, "41934747194626": 26, "94037752563927j": 26, "richard": 26, "crandal": 26, "reed": 26, "edu": 26, "faculti": 26, "cl": 26, "kz": 26, "classic": 26, "6533010136329338746275795": 26, "8860032351260589402871624": 26, "2047709230104579724675985": 26, "cl2": 26, "2465045302347694216534255": 26, "014941606409653625021203": 26, "3636895456083490948304773": 26, "5661751584451144991707161": 26, "3z": 26, "1903105029507513881275865": 26, "1089406163841548817581392": 26, "892316224968072424732898e": 26, "nonconverg": 26, "593079480117379002516034": 26, "9038644233367868273362446j": 26, "widetild": 26, "6518926267198991308332759": 26, "8155530586502260817855618": 26, "6720334373369714849797918": 26, "7805359025135583118863007": 26, "renorm": 26, "2607829375240542480694126": 26, "1472635054979944390848006": 26, "8671998890121841381913472": 26, "997921055881167659267063e": 26, "008333333333333333333333333": 26, "9407430121562251476136807": 26, "715826296033590204557054j": 26, "polyexponenti": 26, "e_": 26, "101755547733791780315904": 26, "351660261190434618268706": 26, "202966666673054671364215j": 26, "499471750566824369520223e": 26, "042192318847986561771779": 26, "sum_p": 26, "452247420041065498506543364832": 26, "15483752698840284272036497397": 26, "17476263929944353642311331466570670097541212192615": 26, "12085382601645763295": 26, "013370403397787023602j": 26, "31571845205389007685": 26, "exhibit": 26, "squarefre": 26, "1415926535897932385j": 26, "0416106801757269036": 26, "52359877559829887308j": 26, "54892423556409790529": 26, "45626803423487934264j": 26, "principl": 26, "00099360357443698021786": 26, "0009765625": 26, "3326361850321887899e": 26, "8565440833654995949e": 26, "4985390447553234305e": 26, "carl": 26, "erik": 26, "froberg": 26, "1968": 26, "187": 26, "015": 26, "secondari": 26, "tau_n": 26, "frac12": 26, "meromorph": 26, "023104993115419": 26, "xi": 26, "ask": [26, 35], "216272011276718": 26, "844952708937228j": 26, "dyadic": 26, "67236328125": 26, "mangoldt": 26, "respons": 26, "30190318549": 26, "138656312556": 26, "13964804384": 26, "624622876523j": 26, "132717176": 26, "89212754625045": 26, "188980555": 26, "17563978290601j": 26, "542447428666": 26, "07179812536": 26, "362434922978": 26, "80192435203j": 26, "512124392939": 26, "98154322355": 26, "348281138038": 26, "65531023921j": 26, "059471043": 26, "3463514534j": 26, "455191523e": 26, "151962888": 26, "19606243907725": 26, "217930683": 26, "90210294051982j": 26, "2476659342": 26, "3038722372461": 26, "28711581821": 26, "921627163136j": 26, "178506047114": 26, "7838188264": 26, "819674143244": 26, "45677330576j": 26, "175877424884": 26, "22441310708": 26, "790744630738": 26, "28669174871j": 26, "notic": 26, "great": 26, "voro": 26, "ann": 26, "institut": 26, "665": 26, "699": 26, "lectur": 26, "union": 26, "matematica": 26, "italiana": 26, "2009": [26, 34], "aid": 27, "losslessli": [27, 35], "1000000000000001": 27, "collect": 27, "unrecogn": 27, "companion": 27, "strip_zero": 27, "min_fix": 27, "max_fix": 27, "show_zero_expon": 27, "libmp": [27, 35], "to_str": 27, "05494e": 27, "151": 27, "0000e": 27, "00000000050000": 27, "mode": [27, 34], "down": 27, "0000000000000004": 27, "00000000000000000001": 27, "enforc": 27, "familiar": 27, "law": 27, "100000000000000000000": 27, "overflowerror": [27, 35], "fit": 27, "memori": [27, 35], "9999999999999998": 27, "99999999999999999999": 27, "roundoff": 27, "200000000000000000000001": 27, "200000000000000016777216": 27, "10000000001000010000000001": 27, "0000000001e": 27, "10000000001000011026399232": 27, "66666666666666663": 27, "6666259765625": 27, "66666666666666667": 27, "66666666666666674": 27, "7007434154172148e": 27, "mod": 27, "61062773871641": 27, "project": [27, 30], "onto": 27, "707106781186547": [27, 31], "707106781186547j": [27, 31], "927295218001612": 27, "necessarili": [27, 29, 31], "1000000000000000019884624838656": 27, "1000000000000000000000000000001": 27, "act": 27, "lceil": 27, "rceil": 27, "greater": 27, "tie": 27, "31831": 27, "159155": 27, "106103": 27, "0795775": 27, "fractionalpart": 27, "18j": 27, "rel_ep": 27, "abs_ep": 27, "presenc": 27, "141592653589793": 27, "141592653589790": 27, "141592653589700": 27, "1024": 27, "quick": [27, 30], "log_2": 27, "00000001": 27, "000001": 27, "0100000000000000002081668171172": 27, "randomli": 27, "mantissa": [27, 35], "evenli": 27, "catch": 27, "copi": [27, 31, 33], "repeatedli": 27, "protect": 27, "against": 27, "slowdown": 27, "fool": 27, "judici": 27, "unknown": [27, 29], "expm1": 27, "03284785591801e": 27, "25e30": 27, "12954868316652e": 27, "2910": 27, "intercept": 27, "normalize_output": 27, "execut": 27, "parent": 27, "909297426825682": 27, "95520948210738": 27, "action": 27, "stdout": 27, "total": 27, "99999999906867742538452148": 27, "7182818259274480055282064": 27, "0000000009313225746154785": 27, "7182818309906424675501024": 27, "7182808": 27, "handler": 27, "later": [27, 34], "1415926535897932": 27, "1415076583334066": 27, "49952562843408e": 27, "1415928201669122": 27, "66577118985331e": 27, "elaps": 27, "concern": [29, 31], "7320508075688772935274463": 29, "subject": 29, "thank": 29, "ferguson": 29, "autom": 29, "silver": 29, "bullet": 29, "extent": 29, "facil": 29, "inspir": 29, "isc": 29, "lookup": 29, "precomput": 29, "mitig": 29, "maxcoeff": 29, "spuriou": 29, "prefer": 29, "22222222222222222": 29, "9662210973805663": 29, "1132503787829275": 29, "881373587019543": 29, "117": 29, "39": 29, "92": 29, "atom": 29, "erron": [29, 32], "76": 29, "44": 29, "113": 29, "269": 29, "endless": 29, "14157719846001": 29, "98": [29, 32], "14166950419369": 29, "14158000062992": 29, "14158791577159": 29, "simplest": 29, "sympi": [29, 31], "sympifi": 29, "evalf": 29, "nsimplifi": 29, "miscellan": 29, "worst": [29, 35], "finish": 29, "search": 29, "verbatim": 29, "4142135623731": [29, 31], "despit": 29, "10x": 29, "minim": [29, 31], "constraint": 29, "298": 29, "183": 29, "863": 29, "545": 29, "95": [29, 35], "457": 29, "2658": 29, "1734": 29, "836": 29, "strict": 29, "unwant": 29, "prematur": 29, "acot": 29, "14285714285714": 29, "14159292035398": 29, "238410049439": 29, "75888275702": 29, "239": 29, "110443": 29, "luck": 29, "translat": [29, 35], "pseudocod": 29, "david": [29, 35], "cecm": [29, 33], "organ": 29, "node3": 29, "7x": 29, "websit": 30, "function_nam": 30, "prompt": 30, "download": 30, "gmpy": 30, "compil": [30, 35], "util": 30, "compon": [30, 32], "manag": [30, 34], "debug": 30, "curv": 30, "surfac": 30, "command": 30, "top": 30, "identif": 30, "recognit": 30, "pslq": 30, "emul": 30, "dictionari": 31, "spars": 31, "randmatrix": 31, "lu_solv": 31, "lu": 31, "diag": 31, "ey": 31, "qr": 31, "col": 31, "discard": 31, "comfort": 31, "diagon": 31, "53491598236191806": 31, "57195669543302752": 31, "85589992269513615": 31, "82444367501382143": 31, "life": 31, "easier": 31, "flat": 31, "782963853573023": 31, "802057689719883": 31, "427895717335467": 31, "0541876859348597": 31, "708243266653103": 31, "615134039977379": 31, "856151514955773": 31, "544759264818486": 31, "686210904770947": 31, "07e": 31, "66e": 31, "06e": 31, "89e": 31, "29e": 31, "62e": 31, "47e": 31, "82e": 31, "33e": 31, "75e": 31, "93e": 31, "86e": 31, "71e": 31, "01e": 31, "53e": 31, "13e": 31, "32e": 31, "59e": 31, "56e": 31, "27e": 31, "05e": 31, "67e": 31, "79e": 31, "mutabl": 31, "arrai": 31, "numpi": 31, "tolist": 31, "file": [31, 32], "stdin": 31, "238": 31, "__add__": 31, "incompat": [31, 35], "wise": 31, "08e": 31, "17e": 31, "transposit": 31, "straightforward": [31, 35], "entrywis": 31, "sum_k": 31, "absmax": 31, "frobeniu": 31, "mnorm": 31, "112": 31, "5186549850325": 31, "maxim": 31, "spectral": 31, "fro": 31, "elementwis": 31, "_f": 31, "lack": [31, 35], "1006": 31, "2310867787777": 31, "field": [31, 35], "moreov": 31, "determinat": 31, "iszerofunc": 31, "provis": 31, "ist": 31, "74165738677394": 31, "8886659507597": 31, "48331477354788": 31, "79284291400159": 31, "548055495426e": 31, "35114889954169e": 31, "bool": 31, "choleski": 31, "hermitian": 31, "hilbert": 31, "33333": 31, "41421": 31, "353553": 31, "09924": 31, "235702": 31, "15162": 31, "05899": 31, "968246": 31, "129099": 31, "856349": 31, "cholesky_decomposit": 31, "trust": [31, 35], "46944695195361e": 31, "inaccuraci": 31, "999999999999996": 31, "afford": 31, "qr_solv": 31, "ax": [31, 32], "571428571428571": 31, "214285714285714": 31, "301511344577764": 31, "861640436855329": 31, "408248290463863": 31, "904534033733291": 31, "123091490979333": 31, "492365963917331": 31, "816496580927726": 31, "3166247903554": 31, "52267016866645": 31, "738548945875996": 31, "routin": 31, "svd_r": 31, "svd_c": 31, "svd": 31, "unifi": 31, "unitari": 31, "transpos": 31, "compute_uv": 31, "417": 31, "transpose_conj": 31, "eig": 31, "er": 31, "el": 31, "eigenvector": 31, "eig_sort": 31, "eigsi": 31, "eigh": 31, "eigvals_onli": 31, "2582327113062393041": 31, "2582327113062749951": 31, "155049396267856583": 31, "155049396267821167": 31, "4206915477497212555": 31, "4206915477497310922": 31, "9999999999999866773": 31, "0000000000000133227": 31, "59999999999972430942": 31, "60000000000027142733": 31, "49999999999982236432": 31, "50000000000018474111": 31, "expm": 31, "86814500615414": 31, "26812870852145": 31, "841130841230196": 31, "44114713886289": 31, "42699786729125": 31, "6000162976327": 31, "46869393991589": 31, "28735528717884j": 31, "03776739863568": 31, "536943175722j": 31, "65024064048415e": 31, "2050488462815550": 31, "14228140091932e": 31, "47925220414035e": 31, "2050488462815551": 31, "noncommut": 31, "0927851137247": 31, "cosm": 31, "424403834569555": 31, "316643413047167": 31, "221474945949293": 31, "820646708837824": 31, "127183694770039": 31, "909236687217541": 31, "833730025131149": 31, "988897705762865j": 31, "07485840848393": 31, "17192140544213j": 31, "54308063481524": 31, "sinm": 31, "711608512150994": 31, "339783913247439": 31, "220742837314741": 31, "244113865695532": 31, "187231271174372": 31, "155816730769635": 31, "29845758141598": 31, "634963914784736j": 31, "96751511930922": 31, "314700021761367j": 31, "1752011936438j": 31, "sqrtm": 31, "_may_rot": 31, "920442065259926": 31, "21728689675164j": 31, "568864481005783": 31, "351577584254143j": 31, "351577584254143": 31, "568864481005783j": 31, "t1": 31, "t2": 31, "930507621912314": 31, "366272529086048": 31, "43715112194995": 31, "324127569985474": 31, "8481718827526": 31, "251549715716942": 31, "32699765900402": 31, "48221180985147": 31, "11609388833616": 31, "775751877098258": 31, "017955697342": 31, "matlab": 31, "56669890360128": 31, "74077655955698": 31, "61116483933547": 31, "17786374293675": 31, "53155328326114e": 31, "logm": 31, "808757": 31, "107759j": 31, "20752": 31, "202762j": 31, "07376": 31, "773874j": 31, "905709": 31, "107795j": 31, "0287395": 31, "824993j": 31, "111619": 31, "514272j": 31, "930151": 31, "399512j": 31, "06266": 31, "674397j": 31, "791552": 31, "519839j": 31, "0833333333333333": 31, "58318530717959": 31, "5597513593433": 31, "27721006042799": 31, "317662687717978": 31, "5222778973542": 31, "24003708791604": 31, "395212822267": 31, "powm": 31, "fib": 31, "69": 31, "174": 31, "89": 31, "199": 31, "164": 31, "179": 31, "5166626964253": 31, "0121089837381789j": 31, "2078589271083": 31, "0195927472575932j": 31, "30880376931698": 31, "0317017309957721j": 31, "3076953002666": 31, "008222855781077j": 31, "81733464837593": 31, "0133048601383712j": 31, "49036065189071": 31, "0215277159194482j": 31, "matplotlib": 32, "graph": 32, "xlim": 32, "ylim": 32, "dpi": 32, "plot_kwarg": 32, "fresnelc": 32, "floor": 32, "exclud": 32, "dash": 32, "pylab": 32, "color": [32, 34], "imshow_kwarg": 32, "hue": 32, "bright": 32, "rgb": 32, "render": 32, "white": 32, "black": 32, "gold": 32, "blue": 32, "000": 32, "thereabout": 32, "keep_aspect": 32, "wirefram": 32, "plot3d_kwarg": 32, "donut": 32, "cite": 33, "handbook": 33, "9th": 33, "ed": 33, "tenth": 33, "decemb": 33, "1972": 33, "crd": 33, "lbl": 33, "dhbailei": 33, "dhbpaper": 33, "dhb": 33, "bender": 33, "orszag": 33, "scientist": [33, 35], "1999": 33, "agm": 33, "wilei": 33, "person": 33, "pborwein": 33, "p155": 33, "cabral": 33, "rosetti": 33, "sanchi": 33, "lozano": 33, "loop": 33, "feynman": 33, "diagram": 33, "hep": 33, "ph": 33, "0206081": 33, "9409227v1": 33, "adv": 33, "1996": 33, "329": 33, "apmath": 33, "uwo": 33, "djeffrei": 33, "offprint": 33, "gradshteyn": 33, "ryzhik": 33, "jeffrei": 33, "zwilling": 33, "seventh": 33, "grave": 33, "morri": 33, "robert": 33, "salam": 33, "topic": 33, "volum": 33, "122": 33, "octob": 33, "mpfr": [33, 35], "team": 33, "digamma": 33, "anal": 33, "931": 33, "944": 33, "1994": 33, "srivastava": 33, "karlsson": 33, "elli": 33, "horwood": 33, "0804": 33, "0655": 33, "1946": 33, "free": 33, "encyclopedia": 33, "main_pag": 33, "research": 33, "inc": 33, "site": 33, "cpython": 34, "pypi": 34, "releas": 34, "regist": [34, 35], "latest": 34, "venv": 34, "isol": 34, "environ": 34, "sudo": 34, "apt": 34, "python3": 34, "scienc": 34, "repositori": 34, "yast": 34, "sdb": 34, "add_package_repositori": 34, "come": [34, 35], "sure": 34, "git": 34, "github": 34, "setup": 34, "fire": 34, "4142135623730950488016887242096980785696718753769": 34, "2831853071795864769252867665590057683943387987502": 34, "0a4": 34, "your": 34, "backend": 34, "mpmath_nogmpi": 34, "switch": 34, "runtim": 34, "pytest": 34, "subdirectori": 34, "tree": 34, "pyarg": 34, "send": 34, "report": 34, "tracker": 34, "directori": [34, 35], "sphinx": 34, "build": 34, "latex": 34, "demo": 34, "script": 34, "preinstal": 34, "date": 34, "07": 34, "09": 34, "notebook": 34, "gui": 34, "licens": 34, "lib": 34, "realnumb": 34, "complexnumb": 34, "829461427614568389103088452": 34, "6873182714701631444280787545": 34, "ring": 34, "complex_numb": 34, "enter": 35, "purpos": 35, "techniqu": 35, "understand": 35, "overview": 35, "concept": 35, "propag": 35, "contriv": 35, "chanc": 35, "accident": 35, "suspici": 35, "claim": 35, "incorrect": 35, "man": 35, "bc": 35, "bitcount": 35, "redund": 35, "scratch": 35, "contrari": 35, "popular": 35, "belief": 35, "inher": 35, "inexact": 35, "obvious": 35, "futil": 35, "complain": 35, "chug": 35, "resourc": 35, "alloc": 35, "comment": 35, "subtl": 35, "novic": 35, "address": 35, "faq": 35, "19999999999999996": 35, "who": 35, "perhap": 35, "proportion": 35, "minor": 35, "correl": 35, "00000000000000088817841970012523233890533447265625": 35, "gurante": 35, "stricter": 35, "temporari": 35, "70": 35, "exercis": 35, "judgement": 35, "cover": 35, "spectrum": 35, "blindli": 35, "goal": 35, "farther": 35, "radix": 35, "behaved": 35, "ieee": 35, "754": 35, "gcc": 35, "subnorm": 35, "lose": 35, "textbook": 35, "web": 35, "goldberg": 35}, "objects": {"mpmath": [[25, 0, 1, "", "acos"], [17, 0, 1, "", "acosh"], [25, 0, 1, "", "acot"], [17, 0, 1, "", "acoth"], [25, 0, 1, "", "acsc"], [17, 0, 1, "", "acsch"], [22, 0, 1, "", "agm"], [12, 0, 1, "", "airyai"], [12, 0, 1, "", "airyaizero"], [12, 0, 1, "", "airybi"], [12, 0, 1, "", "airybizero"], [27, 0, 1, "", "almosteq"], [26, 0, 1, "", "altzeta"], [12, 0, 1, "", "angerj"], [18, 0, 1, "", "appellf1"], [18, 0, 1, "", "appellf2"], [18, 0, 1, "", "appellf3"], [18, 0, 1, "", "appellf4"], [27, 0, 1, "", "arange"], [27, 0, 1, "", "arg"], [25, 0, 1, "", "asec"], [17, 0, 1, "", "asech"], [25, 0, 1, "", "asin"], [17, 0, 1, "", "asinh"], [25, 0, 1, "", "atan"], [25, 0, 1, "", "atan2"], [17, 0, 1, "", "atanh"], [27, 0, 1, "", "autoprec"], [26, 0, 1, "", "backlunds"], [16, 0, 1, "", "barnesg"], [12, 0, 1, "", "bei"], [20, 0, 1, "", "bell"], [12, 0, 1, "", "ber"], [20, 0, 1, "", "bernfrac"], [20, 0, 1, "", "bernoulli"], [20, 0, 1, "", "bernpoly"], [12, 0, 1, "", "besseli"], [12, 0, 1, "", "besselj"], [12, 0, 1, "", "besseljzero"], [12, 0, 1, "", "besselk"], [12, 0, 1, "", "bessely"], [12, 0, 1, "", "besselyzero"], [16, 0, 1, "", "beta"], [16, 0, 1, "", "betainc"], [18, 0, 1, "", "bihyper"], [16, 0, 1, "", "binomial"], [22, 0, 1, "", "cbrt"], [27, 0, 1, "", "ceil"], [1, 0, 1, "", "chebyfit"], [21, 0, 1, "", "chebyt"], [21, 0, 1, "", "chebyu"], [15, 0, 1, "", "chi"], [31, 0, 1, "", "cholesky"], [27, 0, 1, "", "chop"], [15, 0, 1, "", "ci"], [26, 0, 1, "", "clcos"], [26, 0, 1, "", "clsin"], [9, 0, 1, "", "cohen_alt"], [27, 0, 1, "", "conj"], [25, 0, 1, "", "cos"], [17, 0, 1, "", "cosh"], [31, 0, 1, "", "cosm"], [25, 0, 1, "", "cospi"], [25, 0, 1, "", "cot"], [17, 0, 1, "", "coth"], [12, 0, 1, "", "coulombc"], [12, 0, 1, "", "coulombf"], [12, 0, 1, "", "coulombg"], [32, 0, 1, "", "cplot"], [25, 0, 1, "", "csc"], [17, 0, 1, "", "csch"], [20, 0, 1, "", "cyclotomic"], [25, 0, 1, "", "degrees"], [31, 0, 1, "", "det"], [2, 0, 1, "", "diff"], [2, 0, 1, "", "differint"], [2, 0, 1, "", "diffs"], [2, 0, 1, "", "diffs_exp"], [2, 0, 1, "", "diffs_prod"], [16, 0, 1, "", "digamma"], [26, 0, 1, "", "dirichlet"], [15, 0, 1, "", "e1"], [15, 0, 1, "", "ei"], [14, 0, 1, "", "ellipe"], [14, 0, 1, "", "ellipf"], [14, 0, 1, "", "ellipfun"], [14, 0, 1, "", "ellipk"], [14, 0, 1, "", "ellippi"], [14, 0, 1, "", "elliprc"], [14, 0, 1, "", "elliprd"], [14, 0, 1, "", "elliprf"], [14, 0, 1, "", "elliprg"], [14, 0, 1, "", "elliprj"], [15, 0, 1, "", "erf"], [15, 0, 1, "", "erfc"], [15, 0, 1, "", "erfi"], [15, 0, 1, "", "erfinv"], [14, 0, 1, "", "eta"], [20, 0, 1, "", "eulernum"], [20, 0, 1, "", "eulerpoly"], [22, 0, 1, "", "exp"], [15, 0, 1, "", "expint"], [22, 0, 1, "", "expj"], [22, 0, 1, "", "expjpi"], [31, 0, 1, "", "expm"], [22, 0, 1, "", "expm1"], [27, 0, 1, "", "extradps"], [27, 0, 1, "", "extraprec"], [27, 0, 1, "", "fabs"], [16, 0, 1, "", "fac2"], [16, 0, 1, "", "factorial"], [27, 0, 1, "", "fadd"], [27, 0, 1, "", "fdiv"], [27, 0, 1, "", "fdot"], [16, 0, 1, "", "ff"], [20, 0, 1, "", "fibonacci"], [29, 0, 1, "", "findpoly"], [7, 0, 1, "", "findroot"], [27, 0, 1, "", "floor"], [27, 0, 1, "", "fmod"], [27, 0, 1, "", "fmul"], [27, 0, 1, "", "fneg"], [1, 0, 1, "", "fourier"], [1, 0, 1, "", "fourierval"], [27, 0, 1, "", "fprod"], [27, 0, 1, "", "frac"], [27, 0, 1, "", "fraction"], [15, 0, 1, "", "fresnelc"], [15, 0, 1, "", "fresnels"], [27, 0, 1, "", "frexp"], [27, 0, 1, "", "fsub"], [27, 0, 1, "", "fsum"], [16, 0, 1, "", "gamma"], [15, 0, 1, "", "gammainc"], [16, 0, 1, "", "gammaprod"], [21, 0, 1, "", "gegenbauer"], [26, 0, 1, "", "grampoint"], [12, 0, 1, "", "hankel1"], [12, 0, 1, "", "hankel2"], [16, 0, 1, "", "harmonic"], [21, 0, 1, "", "hermite"], [18, 0, 1, "", "hyp0f1"], [18, 0, 1, "", "hyp1f1"], [18, 0, 1, "", "hyp1f2"], [18, 0, 1, "", "hyp2f0"], [18, 0, 1, "", "hyp2f1"], [18, 0, 1, "", "hyp2f2"], [18, 0, 1, "", "hyp2f3"], [18, 0, 1, "", "hyp3f2"], [18, 0, 1, "", "hyper"], [18, 0, 1, "", "hyper2d"], [18, 0, 1, "", "hypercomb"], [16, 0, 1, "", "hyperfac"], [12, 0, 1, "", "hyperu"], [22, 0, 1, "", "hypot"], [29, 0, 1, "", "identify"], [27, 0, 1, "", "im"], [5, 0, 1, "", "invertlaplace"], [27, 0, 1, "", "isfinite"], [27, 0, 1, "", "isinf"], [27, 0, 1, "", "isint"], [27, 0, 1, "", "isnan"], [27, 0, 1, "", "isnormal"], [12, 0, 1, "", "j0"], [12, 0, 1, "", "j1"], [21, 0, 1, "", "jacobi"], [14, 0, 1, "", "jtheta"], [12, 0, 1, "", "kei"], [12, 0, 1, "", "ker"], [14, 0, 1, "", "kfrom"], [14, 0, 1, "", "kleinj"], [21, 0, 1, "", "laguerre"], [22, 0, 1, "", "lambertw"], [27, 0, 1, "", "ldexp"], [21, 0, 1, "", "legendre"], [21, 0, 1, "", "legenp"], [21, 0, 1, "", "legenq"], [26, 0, 1, "", "lerchphi"], [9, 0, 1, "", "levin"], [15, 0, 1, "", "li"], [9, 0, 1, "", "limit"], [27, 0, 1, "", "linspace"], [22, 0, 1, "", "ln"], [22, 0, 1, "", "log"], [22, 0, 1, "", "log10"], [22, 0, 1, "", "log1p"], [16, 0, 1, "", "loggamma"], [31, 0, 1, "", "logm"], [12, 0, 1, "", "lommels1"], [12, 0, 1, "", "lommels2"], [15, 0, 1, "", "lower_gamma"], [31, 0, 1, "", "lu_solve"], [27, 0, 1, "", "mag"], [20, 0, 1, "", "mangoldt"], [27, 0, 1, "", "maxcalls"], [18, 0, 1, "", "meijerg"], [27, 0, 1, "", "memoize"], [14, 0, 1, "", "mfrom"], [31, 0, 1, "", "mnorm"], [27, 0, 1, "", "monitor"], [27, 0, 1, "", "mpmathify"], [15, 0, 1, "", "ncdf"], [27, 0, 1, "", "nint"], [27, 0, 1, "", "nint_distance"], [31, 0, 1, "", "norm"], [15, 0, 1, "", "npdf"], [27, 0, 1, "", "nprint"], [9, 0, 1, "", "nprod"], [27, 0, 1, "", "nstr"], [9, 0, 1, "", "nsum"], [26, 0, 1, "", "nzeros"], [6, 0, 1, "", "odefun"], [1, 0, 1, "", "pade"], [12, 0, 1, "", "pcfd"], [12, 0, 1, "", "pcfu"], [12, 0, 1, "", "pcfv"], [12, 0, 1, "", "pcfw"], [32, 0, 1, "", "plot"], [27, 0, 1, "", "polar"], [26, 0, 1, "", "polyexp"], [26, 0, 1, "", "polylog"], [8, 0, 1, "", "polyroots"], [8, 0, 1, "", "polyval"], [22, 0, 1, "", "power"], [31, 0, 1, "", "powm"], [22, 0, 1, "", "powm1"], [20, 0, 1, "", "primepi"], [20, 0, 1, "", "primepi2"], [26, 0, 1, "", "primezeta"], [16, 0, 1, "", "psi"], [29, 0, 1, "", "pslq"], [14, 0, 1, "", "qbarfrom"], [23, 0, 1, "", "qfac"], [14, 0, 1, "", "qfrom"], [23, 0, 1, "", "qgamma"], [23, 0, 1, "", "qhyper"], [23, 0, 1, "", "qp"], [4, 0, 1, "", "quad"], [4, 0, 1, "", "quadosc"], [4, 0, 1, "", "quadsubdiv"], [25, 0, 1, "", "radians"], [27, 0, 1, "", "rand"], [31, 0, 1, "", "rank"], [27, 0, 1, "", "re"], [27, 0, 1, "", "rect"], [16, 0, 1, "", "rf"], [16, 0, 1, "", "rgamma"], [9, 0, 1, "", "richardson"], [20, 0, 1, "", "riemannr"], [22, 0, 1, "", "root"], [24, 0, 1, "", "sawtoothw"], [12, 0, 1, "", "scorergi"], [12, 0, 1, "", "scorerhi"], [25, 0, 1, "", "sec"], [17, 0, 1, "", "sech"], [26, 0, 1, "", "secondzeta"], [9, 0, 1, "", "shanks"], [15, 0, 1, "", "shi"], [15, 0, 1, "", "si"], [26, 0, 1, "", "siegeltheta"], [26, 0, 1, "", "siegelz"], [24, 0, 1, "", "sigmoid"], [27, 0, 1, "", "sign"], [25, 0, 1, "", "sin"], [25, 0, 1, "", "sinc"], [25, 0, 1, "", "sincpi"], [17, 0, 1, "", "sinh"], [31, 0, 1, "", "sinm"], [25, 0, 1, "", "sinpi"], [21, 0, 1, "", "spherharm"], [32, 0, 1, "", "splot"], [22, 0, 1, "", "sqrt"], [31, 0, 1, "", "sqrtm"], [24, 0, 1, "", "squarew"], [26, 0, 1, "", "stieltjes"], [20, 0, 1, "", "stirling1"], [20, 0, 1, "", "stirling2"], [12, 0, 1, "", "struveh"], [12, 0, 1, "", "struvel"], [9, 0, 1, "", "sumap"], [9, 0, 1, "", "sumem"], [16, 0, 1, "", "superfac"], [25, 0, 1, "", "tan"], [17, 0, 1, "", "tanh"], [14, 0, 1, "", "taufrom"], [1, 0, 1, "", "taylor"], [27, 0, 1, "", "timing"], [24, 0, 1, "", "trianglew"], [24, 0, 1, "", "unit_triangle"], [22, 0, 1, "", "unitroots"], [15, 0, 1, "", "upper_gamma"], [12, 0, 1, "", "webere"], [12, 0, 1, "", "whitm"], [12, 0, 1, "", "whitw"], [27, 0, 1, "", "workdps"], [27, 0, 1, "", "workprec"], [26, 0, 1, "", "zeta"], [26, 0, 1, "", "zetazero"]], "mpmath.calculus.inverselaplace": [[5, 1, 1, "", "Cohen"], [5, 1, 1, "", "FixedTalbot"], [5, 1, 1, "", "Stehfest"], [5, 1, 1, "", "deHoog"]], "mpmath.calculus.inverselaplace.Cohen": [[5, 2, 1, "", "calc_laplace_parameter"], [5, 2, 1, "", "calc_time_domain_solution"]], "mpmath.calculus.inverselaplace.FixedTalbot": [[5, 2, 1, "", "calc_laplace_parameter"], [5, 2, 1, "", "calc_time_domain_solution"]], "mpmath.calculus.inverselaplace.Stehfest": [[5, 2, 1, "", "calc_laplace_parameter"], [5, 2, 1, "", "calc_time_domain_solution"]], "mpmath.calculus.inverselaplace.deHoog": [[5, 2, 1, "", "calc_laplace_parameter"], [5, 2, 1, "", "calc_time_domain_solution"]], "mpmath.calculus.optimization": [[7, 1, 1, "", "ANewton"], [7, 1, 1, "", "Anderson"], [7, 1, 1, "", "Bisection"], [7, 1, 1, "", "Halley"], [7, 1, 1, "", "Illinois"], [7, 1, 1, "", "MDNewton"], [7, 1, 1, "", "MNewton"], [7, 1, 1, "", "Muller"], [7, 1, 1, "", "Newton"], [7, 1, 1, "", "Pegasus"], [7, 1, 1, "", "Ridder"], [7, 1, 1, "", "Secant"]], "mpmath.calculus.quadrature": [[4, 1, 1, "", "GaussLegendre"], [4, 1, 1, "", "QuadratureRule"], [4, 1, 1, "", "TanhSinh"]], "mpmath.calculus.quadrature.GaussLegendre": [[4, 2, 1, "", "calc_nodes"]], "mpmath.calculus.quadrature.QuadratureRule": [[4, 2, 1, "", "calc_nodes"], [4, 2, 1, "", "clear"], [4, 2, 1, "", "estimate_error"], [4, 2, 1, "", "get_nodes"], [4, 2, 1, "", "guess_degree"], [4, 2, 1, "", "sum_next"], [4, 2, 1, "", "summation"], [4, 2, 1, "", "transform_nodes"]], "mpmath.calculus.quadrature.TanhSinh": [[4, 2, 1, "", "calc_nodes"], [4, 2, 1, "", "sum_next"]], "mpmath.mp": [[13, 3, 1, "", "apery"], [13, 3, 1, "", "catalan"], [13, 3, 1, "", "degree"], [13, 3, 1, "", "e"], [13, 0, 1, "", "euler"], [13, 3, 1, "", "glaisher"], [13, 3, 1, "", "khinchin"], [13, 3, 1, "", "mertens"], [13, 3, 1, "", "phi"], [13, 0, 1, "", "pi"], [13, 3, 1, "", "twinprime"]], "python--m-mpmath": [[10, 4, 1, "cmdoption-python-m-mpmath-h", "--help"], [10, 4, 1, "cmdoption-python-m-mpmath-no-ipython", "--no-ipython"], [10, 4, 1, "cmdoption-python-m-mpmath-no-wrap-division", "--no-wrap-division"], [10, 4, 1, "cmdoption-python-m-mpmath-no-wrap-floats", "--no-wrap-floats"], [10, 4, 1, "cmdoption-python-m-mpmath-prec", "--prec"], [10, 4, 1, "cmdoption-python-m-mpmath-pretty", "--pretty"], [10, 4, 1, "cmdoption-python-m-mpmath-V", "--version"], [10, 4, 1, "cmdoption-python-m-mpmath-V", "-V"], [10, 4, 1, "cmdoption-python-m-mpmath-h", "-h"]]}, "objtypes": {"0": "py:function", "1": "py:class", "2": "py:method", "3": "py:attribute", "4": "std:cmdoption"}, "objnames": {"0": ["py", "function", "Python function"], "1": ["py", "class", "Python class"], "2": ["py", "method", "Python method"], "3": ["py", "attribute", "Python attribute"], "4": ["std", "cmdoption", "program option"]}, "titleterms": {"basic": [0, 30, 31], "usag": [0, 10], "number": [0, 16, 20, 27, 29, 35], "type": 0, "set": [0, 34], "precis": [0, 11, 27, 31, 35], "temporarili": 0, "chang": 0, "provid": 0, "correct": [0, 35], "input": 0, "print": [0, 27], "function": [1, 12, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 31, 32], "approxim": [1, 27], "taylor": 1, "seri": [1, 18, 23, 26], "pade": 1, "chebyshev": [1, 21], "chebyfit": 1, "fourier": 1, "fourierv": 1, "differenti": [2, 6], "numer": [2, 3, 4, 5], "deriv": 2, "diff": 2, "composit": 2, "diffs_prod": 2, "diffs_exp": 2, "fraction": [2, 27], "differintegr": 2, "differint": 2, "calculu": 3, "integr": [4, 14, 15], "quadratur": 4, "standard": 4, "quad": 4, "subdivis": 4, "quadsubdiv": 4, "oscillatori": 4, "quadosc": 4, "rule": 4, "tanh": [4, 17], "sinh": [4, 17], "gauss": 4, "legendr": [4, 14, 21], "invers": [5, 17, 25], "laplac": 5, "transform": 5, "One": 5, "step": 5, "algorithm": 5, "invertlaplac": 5, "specif": 5, "fix": 5, "talbot": 5, "gaver": 5, "stehfest": 5, "de": 5, "hoog": 5, "knight": 5, "stoke": 5, "cohen": 5, "acceler": 5, "manual": 5, "approach": 5, "credit": 5, "ordinari": 6, "equat": [6, 31], "solv": 6, "od": 6, "initi": 6, "valu": [6, 31], "problem": [6, 31], "odefun": 6, "root": [7, 8, 22], "find": 7, "optim": 7, "findroot": 7, "solver": 7, "polynomi": [8, 20, 21], "evalu": 8, "polyv": 8, "polyroot": 8, "sum": 9, "product": 9, "limit": 9, "extrapol": 9, "summat": 9, "nsum": 9, "sumem": 9, "sumap": 9, "nprod": 9, "richardson": 9, "shank": 9, "levin": 9, "cohen_alt": 9, "command": 10, "line": 10, "python": 10, "m": 10, "mpmath": [10, 30, 34], "context": 11, "common": [11, 18], "interfac": 11, "arbitrari": 11, "float": 11, "point": 11, "mp": 11, "interv": [11, 31], "arithmet": [11, 20, 22, 27], "iv": 11, "fast": 11, "low": 11, "fp": 11, "bessel": 12, "relat": [12, 29], "besselj": 12, "bess": 12, "besselk": 12, "zero": [12, 26], "besseljzero": 12, "besselyzero": 12, "hankel": 12, "hankel1": 12, "hankel2": 12, "kelvin": 12, "ber": 12, "bei": 12, "ker": 12, "kei": 12, "struve": 12, "struveh": 12, "struvel": 12, "anger": 12, "weber": 12, "angerj": 12, "lommel": 12, "lommels1": 12, "lommels2": 12, "airi": 12, "scorer": 12, "airyai": 12, "airybi": 12, "airyaizero": 12, "airybizero": 12, "scorergi": 12, "scorerhi": 12, "coulomb": 12, "wave": [12, 24], "coulombf": 12, "coulombg": 12, "coulombc": 12, "confluent": 12, "u": 12, "whittak": 12, "hyperu": 12, "whitm": 12, "whitw": 12, "parabol": 12, "cylind": 12, "pcfd": 12, "pcfu": 12, "pcfv": 12, "pcfw": 12, "mathemat": [13, 19, 30], "constant": [13, 26, 29], "exact": 13, "pi": 13, "degre": [13, 25], "base": 13, "natur": 13, "logarithm": [13, 15, 22], "e": 13, "golden": 13, "ratio": 13, "phi": 13, "euler": [13, 20], "": [13, 30], "catalan": 13, "aperi": 13, "khinchin": 13, "glaisher": 13, "merten": 13, "twin": 13, "prime": [13, 20], "twinprim": 13, "ellipt": 14, "argument": [14, 25], "qfrom": 14, "qbarfrom": 14, "mfrom": 14, "kfrom": 14, "taufrom": 14, "ellipk": 14, "ellipf": 14, "ellip": 14, "ellippi": 14, "carlson": 14, "symmetr": [14, 31], "elliprf": 14, "elliprc": 14, "elliprj": 14, "elliprd": 14, "elliprg": 14, "jacobi": [14, 21], "theta": 14, "jtheta": 14, "ellipfun": 14, "modular": 14, "eta": 14, "kleinj": 14, "exponenti": [15, 22], "error": [15, 35], "incomplet": 15, "gamma": [15, 16, 23], "gammainc": 15, "lower_gamma": 15, "upper_gamma": 15, "ei": 15, "e1": 15, "expint": 15, "li": 15, "trigonometr": [15, 25], "ci": 15, "si": 15, "hyperbol": [15, 17], "chi": 15, "shi": 15, "erf": 15, "erfc": 15, "erfi": 15, "erfinv": 15, "The": [15, 31], "normal": 15, "distribut": 15, "npdf": 15, "ncdf": 15, "fresnel": 15, "fresnelc": 15, "factori": [16, 23], "fac": 16, "fac2": 16, "binomi": 16, "coeffici": 16, "rgamma": 16, "gammaprod": 16, "loggamma": 16, "rise": 16, "fall": 16, "rf": 16, "ff": 16, "beta": 16, "betainc": 16, "super": 16, "hyperfactori": 16, "superfac": 16, "hyperfac": 16, "barnesg": 16, "polygamma": 16, "harmon": [16, 21], "psi": 16, "digamma": 16, "cosh": 17, "sech": 17, "csch": 17, "coth": 17, "acosh": 17, "asinh": 17, "atanh": 17, "asech": 17, "acsch": 17, "acoth": 17, "hypergeometr": [18, 23], "hyp0f1": 18, "hyp1f1": 18, "hyp1f2": 18, "hyp2f0": 18, "hyp2f1": 18, "hyp2f2": 18, "hyp2f3": 18, "hyp3f2": 18, "gener": [18, 27], "hyper": 18, "hypercomb": 18, "meijer": 18, "g": 18, "meijerg": 18, "bilater": 18, "bihyp": 18, "two": 18, "variabl": 18, "hyper2d": 18, "appellf1": 18, "appellf2": 18, "appellf3": 18, "appellf4": 18, "theoret": 20, "combinatori": 20, "integ": [20, 27, 29], "fibonacci": 20, "fib": 20, "bernoulli": 20, "bernfrac": 20, "bernpoli": 20, "eulernum": 20, "eulerpoli": 20, "bell": 20, "stirl": 20, "stirling1": 20, "stirling2": 20, "count": 20, "primepi": 20, "primepi2": 20, "riemannr": 20, "cyclotom": 20, "mangoldt": 20, "orthogon": 21, "legenp": 21, "legenq": 21, "chebyt": 21, "chebyu": 21, "gegenbau": 21, "hermit": 21, "laguerr": 21, "spheric": 21, "spherharm": 21, "power": 22, "nth": 22, "sqrt": 22, "hypot": 22, "cbrt": 22, "unitroot": 22, "exp": 22, "expj": 22, "expjpi": 22, "expm1": 22, "powm1": 22, "log": 22, "ln": 22, "log10": 22, "log1p": 22, "lambert": 22, "w": 22, "lambertw": 22, "geometr": 22, "mean": 22, "agm": 22, "q": 23, "pochhamm": 23, "symbol": 23, "qp": 23, "qgamma": 23, "qfac": 23, "qhyper": 23, "signal": 24, "squar": 24, "squarew": 24, "triangl": 24, "trianglew": 24, "sawtooth": 24, "sawtoothw": 24, "unit": 24, "unit_triangl": 24, "sigmoid": 24, "radian": 25, "convers": [25, 27], "co": 25, "sin": 25, "tan": 25, "sec": 25, "csc": 25, "cot": 25, "modifi": 25, "cospi": 25, "sinpi": 25, "aco": 25, "asin": 25, "atan": 25, "atan2": 25, "asec": 25, "acsc": 25, "acot": 25, "sinc": 25, "sincpi": 25, "zeta": 26, "l": 26, "polylogarithm": 26, "riemann": 26, "hurwitz": 26, "dirichlet": 26, "altzeta": 26, "stieltj": 26, "zetazero": 26, "nzero": 26, "siegelz": 26, "siegeltheta": 26, "grampoint": 26, "backlund": 26, "lerch": 26, "transcend": 26, "lerchphi": 26, "clausen": 26, "polylog": 26, "clsin": 26, "clco": 26, "polyexp": 26, "variant": 26, "primezeta": 26, "secondzeta": 26, "util": 27, "mpmathifi": 27, "convert": 27, "nstr": 27, "nprint": 27, "oper": [27, 31], "fadd": 27, "fsub": 27, "fneg": 27, "fmul": 27, "fdiv": 27, "fmod": 27, "fsum": 27, "fprod": 27, "fdot": 27, "complex": [27, 32], "compon": 27, "fab": 27, "sign": 27, "re": 27, "im": 27, "arg": 27, "conj": 27, "polar": 27, "rect": 27, "part": 27, "floor": 27, "ceil": 27, "nint": 27, "frac": 27, "toler": [27, 35], "comparison": 27, "chop": 27, "almosteq": 27, "properti": 27, "isinf": 27, "isnan": 27, "isnorm": 27, "isfinit": 27, "isint": 27, "ldexp": 27, "frexp": 27, "mag": 27, "nint_dist": 27, "rand": 27, "arang": 27, "linspac": 27, "manag": 27, "autoprec": 27, "workprec": 27, "workdp": 27, "extraprec": 27, "extradp": 27, "perform": 27, "debug": 27, "memoiz": 27, "maxcal": 27, "monitor": 27, "time": 27, "index": 28, "identif": 29, "recognit": 29, "identifi": 29, "algebra": [29, 31], "findpoli": 29, "pslq": 29, "welcom": 30, "document": [30, 34], "introduct": 30, "featur": 30, "advanc": [30, 31], "end": 30, "matter": 30, "matric": 31, "creat": 31, "method": 31, "vector": 31, "other": 31, "matrix": 31, "norm": 31, "linear": 31, "determin": 31, "rank": 31, "decomposit": 31, "factor": 31, "singular": 31, "schur": 31, "eigenvalu": 31, "doubl": [31, 35], "plot": 32, "curv": 32, "3d": 32, "surfac": 32, "refer": 33, "up": 34, "download": 34, "instal": 34, "us": 34, "pip": 34, "debian": 34, "ubuntu": 34, "opensus": 34, "current": 34, "develop": 34, "version": 34, "check": 34, "work": 34, "gmpy": 34, "option": 34, "run": 34, "test": 34, "compil": 34, "under": 34, "sage": 34, "represent": 35, "issu": 35, "decim": 35, "guarante": 35, "emul": 35, "further": 35, "read": 35}, "envversion": {"sphinx.domains.c": 3, "sphinx.domains.changeset": 1, "sphinx.domains.citation": 1, "sphinx.domains.cpp": 9, "sphinx.domains.index": 1, "sphinx.domains.javascript": 3, "sphinx.domains.math": 2, "sphinx.domains.python": 4, "sphinx.domains.rst": 2, "sphinx.domains.std": 2, "sphinx.ext.intersphinx": 1, "sphinx": 60}, "alltitles": {"Basic usage": [[0, "basic-usage"]], "Number types": [[0, "number-types"]], "Setting the precision": [[0, "setting-the-precision"]], "Temporarily changing the precision": [[0, "temporarily-changing-the-precision"]], "Providing correct input": [[0, "providing-correct-input"]], "Printing": [[0, "printing"]], "Function approximation": [[1, "function-approximation"]], "Taylor series (taylor)": [[1, "taylor-series-taylor"]], "Pade approximation (pade)": [[1, "pade-approximation-pade"]], "Chebyshev approximation (chebyfit)": [[1, "chebyshev-approximation-chebyfit"]], "Fourier series (fourier, fourierval)": [[1, "fourier-series-fourier-fourierval"]], "Differentiation": [[2, "differentiation"]], "Numerical derivatives (diff, diffs)": [[2, "numerical-derivatives-diff-diffs"]], "Composition of derivatives (diffs_prod, diffs_exp)": [[2, "composition-of-derivatives-diffs-prod-diffs-exp"]], "Fractional derivatives / differintegration (differint)": [[2, "fractional-derivatives-differintegration-differint"]], "Numerical calculus": [[3, "numerical-calculus"]], "Numerical integration (quadrature)": [[4, "numerical-integration-quadrature"]], "Standard quadrature (quad)": [[4, "standard-quadrature-quad"]], "Quadrature with subdivision (quadsubdiv)": [[4, "quadrature-with-subdivision-quadsubdiv"]], "Oscillatory quadrature (quadosc)": [[4, "oscillatory-quadrature-quadosc"]], "Quadrature rules": [[4, "quadrature-rules"]], "Tanh-sinh rule": [[4, "tanh-sinh-rule"]], "Gauss-Legendre rule": [[4, "gauss-legendre-rule"]], "Numerical inverse Laplace transform": [[5, "numerical-inverse-laplace-transform"]], "One-step algorithm (invertlaplace)": [[5, "one-step-algorithm-invertlaplace"]], "Specific algorithms": [[5, "specific-algorithms"]], "Fixed Talbot algorithm": [[5, "fixed-talbot-algorithm"]], "Gaver-Stehfest algorithm": [[5, "gaver-stehfest-algorithm"]], "de Hoog, Knight & Stokes algorithm": [[5, "de-hoog-knight-stokes-algorithm"]], "Cohen acceleration algorithm": [[5, "cohen-acceleration-algorithm"]], "Manual approach": [[5, "manual-approach"]], "Credit": [[5, "credit"]], "Ordinary differential equations": [[6, "ordinary-differential-equations"]], "Solving the ODE initial value problem (odefun)": [[6, "solving-the-ode-initial-value-problem-odefun"]], "Root-finding and optimization": [[7, "root-finding-and-optimization"]], "Root-finding (findroot)": [[7, "root-finding-findroot"]], "Solvers": [[7, "solvers"]], "Polynomials": [[8, "polynomials"]], "Polynomial evaluation (polyval)": [[8, "polynomial-evaluation-polyval"]], "Polynomial roots (polyroots)": [[8, "polynomial-roots-polyroots"]], "Sums, products, limits and extrapolation": [[9, "sums-products-limits-and-extrapolation"]], "Summation": [[9, "summation"]], "nsum()": [[9, "nsum"]], "sumem()": [[9, "sumem"]], "sumap()": [[9, "sumap"]], "Products": [[9, "products"]], "nprod()": [[9, "nprod"]], "Limits (limit)": [[9, "limits-limit"]], "limit()": [[9, "limit"]], "Extrapolation": [[9, "extrapolation"]], "richardson()": [[9, "richardson"]], "shanks()": [[9, "shanks"]], "levin()": [[9, "levin"]], "cohen_alt()": [[9, "cohen-alt"]], "Command-Line Usage": [[10, "command-line-usage"]], "python -m mpmath": [[10, "python-m-mpmath"]], "Contexts": [[11, "contexts"]], "Common interface": [[11, "common-interface"]], "Arbitrary-precision floating-point (mp)": [[11, "arbitrary-precision-floating-point-mp"]], "Arbitrary-precision interval arithmetic (iv)": [[11, "arbitrary-precision-interval-arithmetic-iv"]], "Fast low-precision arithmetic (fp)": [[11, "fast-low-precision-arithmetic-fp"]], "Bessel functions and related functions": [[12, "bessel-functions-and-related-functions"]], "Bessel functions": [[12, "bessel-functions"]], "besselj()": [[12, "besselj"]], "bessely()": [[12, "bessely"]], "besseli()": [[12, "besseli"]], "besselk()": [[12, "besselk"]], "Bessel function zeros": [[12, "bessel-function-zeros"]], "besseljzero()": [[12, "besseljzero"]], "besselyzero()": [[12, "besselyzero"]], "Hankel functions": [[12, "hankel-functions"]], "hankel1()": [[12, "hankel1"]], "hankel2()": [[12, "hankel2"]], "Kelvin functions": [[12, "kelvin-functions"]], "ber()": [[12, "ber"]], "bei()": [[12, "bei"]], "ker()": [[12, "ker"]], "kei()": [[12, "kei"]], "Struve functions": [[12, "struve-functions"]], "struveh()": [[12, "struveh"]], "struvel()": [[12, "struvel"]], "Anger-Weber functions": [[12, "anger-weber-functions"]], "angerj()": [[12, "angerj"]], "webere()": [[12, "webere"]], "Lommel functions": [[12, "lommel-functions"]], "lommels1()": [[12, "lommels1"]], "lommels2()": [[12, "lommels2"]], "Airy and Scorer functions": [[12, "airy-and-scorer-functions"]], "airyai()": [[12, "airyai"]], "airybi()": [[12, "airybi"]], "airyaizero()": [[12, "airyaizero"]], "airybizero()": [[12, "airybizero"]], "scorergi()": [[12, "scorergi"]], "scorerhi()": [[12, "scorerhi"]], "Coulomb wave functions": [[12, "coulomb-wave-functions"]], "coulombf()": [[12, "coulombf"]], "coulombg()": [[12, "coulombg"]], "coulombc()": [[12, "coulombc"]], "Confluent U and Whittaker functions": [[12, "confluent-u-and-whittaker-functions"]], "hyperu()": [[12, "hyperu"]], "whitm()": [[12, "whitm"]], "whitw()": [[12, "whitw"]], "Parabolic cylinder functions": [[12, "parabolic-cylinder-functions"]], "pcfd()": [[12, "pcfd"]], "pcfu()": [[12, "pcfu"]], "pcfv()": [[12, "pcfv"]], "pcfw()": [[12, "pcfw"]], "Mathematical constants": [[13, "mathematical-constants"]], "Exact constants": [[13, "exact-constants"]], "Pi (pi)": [[13, "pi-pi"]], "Degree (degree)": [[13, "degree-degree"]], "Base of the natural logarithm (e)": [[13, "base-of-the-natural-logarithm-e"]], "Golden ratio (phi)": [[13, "golden-ratio-phi"]], "Euler\u2019s constant (euler)": [[13, "euler-s-constant-euler"]], "Catalan\u2019s constant (catalan)": [[13, "catalan-s-constant-catalan"]], "Apery\u2019s constant (apery)": [[13, "apery-s-constant-apery"]], "Khinchin\u2019s constant (khinchin)": [[13, "khinchin-s-constant-khinchin"]], "Glaisher\u2019s constant (glaisher)": [[13, "glaisher-s-constant-glaisher"]], "Mertens constant (mertens)": [[13, "mertens-constant-mertens"]], "Twin prime constant (twinprime)": [[13, "twin-prime-constant-twinprime"]], "Elliptic functions": [[14, "elliptic-functions"]], "Elliptic arguments": [[14, "elliptic-arguments"]], "qfrom()": [[14, "qfrom"]], "qbarfrom()": [[14, "qbarfrom"]], "mfrom()": [[14, "mfrom"]], "kfrom()": [[14, "kfrom"]], "taufrom()": [[14, "taufrom"]], "Legendre elliptic integrals": [[14, "legendre-elliptic-integrals"]], "ellipk()": [[14, "ellipk"]], "ellipf()": [[14, "ellipf"]], "ellipe()": [[14, "ellipe"]], "ellippi()": [[14, "ellippi"]], "Carlson symmetric elliptic integrals": [[14, "carlson-symmetric-elliptic-integrals"]], "elliprf()": [[14, "elliprf"]], "elliprc()": [[14, "elliprc"]], "elliprj()": [[14, "elliprj"]], "elliprd()": [[14, "elliprd"]], "elliprg()": [[14, "elliprg"]], "Jacobi theta functions": [[14, "jacobi-theta-functions"]], "jtheta()": [[14, "jtheta"]], "Jacobi elliptic functions": [[14, "jacobi-elliptic-functions"]], "ellipfun()": [[14, "ellipfun"]], "Modular functions": [[14, "modular-functions"]], "eta()": [[14, "eta"]], "kleinj()": [[14, "kleinj"]], "Exponential integrals and error functions": [[15, "exponential-integrals-and-error-functions"]], "Incomplete gamma functions": [[15, "incomplete-gamma-functions"]], "gammainc()": [[15, "gammainc"]], "lower_gamma()": [[15, "lower-gamma"]], "upper_gamma()": [[15, "upper-gamma"]], "Exponential integrals": [[15, "exponential-integrals"]], "ei()": [[15, "ei"]], "e1()": [[15, "e1"]], "expint()": [[15, "expint"]], "Logarithmic integral": [[15, "logarithmic-integral"]], "li()": [[15, "li"]], "Trigonometric integrals": [[15, "trigonometric-integrals"]], "ci()": [[15, "ci"]], "si()": [[15, "si"]], "Hyperbolic integrals": [[15, "hyperbolic-integrals"]], "chi()": [[15, "chi"]], "shi()": [[15, "shi"]], "Error functions": [[15, "error-functions"]], "erf()": [[15, "erf"]], "erfc()": [[15, "erfc"]], "erfi()": [[15, "erfi"]], "erfinv()": [[15, "erfinv"]], "The normal distribution": [[15, "the-normal-distribution"]], "npdf()": [[15, "npdf"]], "ncdf()": [[15, "ncdf"]], "Fresnel integrals": [[15, "fresnel-integrals"]], "fresnels()": [[15, "fresnels"]], "fresnelc()": [[15, "fresnelc"]], "Factorials and gamma functions": [[16, "factorials-and-gamma-functions"]], "Factorials": [[16, "factorials"]], "factorial()/fac()": [[16, "factorial-fac"]], "fac2()": [[16, "fac2"]], "Binomial coefficients": [[16, "binomial-coefficients"]], "binomial()": [[16, "binomial"]], "Gamma function": [[16, "gamma-function"]], "gamma()": [[16, "gamma"]], "rgamma()": [[16, "rgamma"]], "gammaprod()": [[16, "gammaprod"]], "loggamma()": [[16, "loggamma"]], "Rising and falling factorials": [[16, "rising-and-falling-factorials"]], "rf()": [[16, "rf"]], "ff()": [[16, "ff"]], "Beta function": [[16, "beta-function"]], "beta()": [[16, "beta"]], "betainc()": [[16, "betainc"]], "Super- and hyperfactorials": [[16, "super-and-hyperfactorials"]], "superfac()": [[16, "superfac"]], "hyperfac()": [[16, "hyperfac"]], "barnesg()": [[16, "barnesg"]], "Polygamma functions and harmonic numbers": [[16, "polygamma-functions-and-harmonic-numbers"]], "psi()/digamma()": [[16, "psi-digamma"]], "harmonic()": [[16, "harmonic"]], "Hyperbolic functions": [[17, "hyperbolic-functions"], [17, "id1"]], "cosh()": [[17, "cosh"]], "sinh()": [[17, "sinh"]], "tanh()": [[17, "tanh"]], "sech()": [[17, "sech"]], "csch()": [[17, "csch"]], "coth()": [[17, "coth"]], "Inverse hyperbolic functions": [[17, "inverse-hyperbolic-functions"]], "acosh()": [[17, "acosh"]], "asinh()": [[17, "asinh"]], "atanh()": [[17, "atanh"]], "asech()": [[17, "asech"]], "acsch()": [[17, "acsch"]], "acoth()": [[17, "acoth"]], "Hypergeometric functions": [[18, "hypergeometric-functions"]], "Common hypergeometric series": [[18, "common-hypergeometric-series"]], "hyp0f1()": [[18, "hyp0f1"]], "hyp1f1()": [[18, "hyp1f1"]], "hyp1f2()": [[18, "hyp1f2"]], "hyp2f0()": [[18, "hyp2f0"]], "hyp2f1()": [[18, "hyp2f1"]], "hyp2f2()": [[18, "hyp2f2"]], "hyp2f3()": [[18, "hyp2f3"]], "hyp3f2()": [[18, "hyp3f2"]], "Generalized hypergeometric functions": [[18, "generalized-hypergeometric-functions"]], "hyper()": [[18, "hyper"]], "hypercomb()": [[18, "hypercomb"]], "Meijer G-function": [[18, "meijer-g-function"]], "meijerg()": [[18, "meijerg"]], "Bilateral hypergeometric series": [[18, "bilateral-hypergeometric-series"]], "bihyper()": [[18, "bihyper"]], "Hypergeometric functions of two variables": [[18, "hypergeometric-functions-of-two-variables"]], "hyper2d()": [[18, "hyper2d"]], "appellf1()": [[18, "appellf1"]], "appellf2()": [[18, "appellf2"]], "appellf3()": [[18, "appellf3"]], "appellf4()": [[18, "appellf4"]], "Mathematical functions": [[19, "mathematical-functions"]], "Number-theoretical, combinatorial and integer functions": [[20, "number-theoretical-combinatorial-and-integer-functions"]], "Fibonacci numbers": [[20, "fibonacci-numbers"]], "fibonacci()/fib()": [[20, "fibonacci-fib"]], "Bernoulli numbers and polynomials": [[20, "bernoulli-numbers-and-polynomials"]], "bernoulli()": [[20, "bernoulli"]], "bernfrac()": [[20, "bernfrac"]], "bernpoly()": [[20, "bernpoly"]], "Euler numbers and polynomials": [[20, "euler-numbers-and-polynomials"]], "eulernum()": [[20, "eulernum"]], "eulerpoly()": [[20, "eulerpoly"]], "Bell numbers and polynomials": [[20, "bell-numbers-and-polynomials"]], "bell()": [[20, "bell"]], "Stirling numbers": [[20, "stirling-numbers"]], "stirling1()": [[20, "stirling1"]], "stirling2()": [[20, "stirling2"]], "Prime counting functions": [[20, "prime-counting-functions"]], "primepi()": [[20, "primepi"]], "primepi2()": [[20, "primepi2"]], "riemannr()": [[20, "riemannr"]], "Cyclotomic polynomials": [[20, "cyclotomic-polynomials"]], "cyclotomic()": [[20, "cyclotomic"]], "Arithmetic functions": [[20, "arithmetic-functions"]], "mangoldt()": [[20, "mangoldt"]], "Orthogonal polynomials": [[21, "orthogonal-polynomials"]], "Legendre functions": [[21, "legendre-functions"]], "legendre()": [[21, "legendre"]], "legenp()": [[21, "legenp"]], "legenq()": [[21, "legenq"]], "Chebyshev polynomials": [[21, "chebyshev-polynomials"]], "chebyt()": [[21, "chebyt"]], "chebyu()": [[21, "chebyu"]], "Jacobi polynomials": [[21, "jacobi-polynomials"]], "jacobi()": [[21, "jacobi"]], "Gegenbauer polynomials": [[21, "gegenbauer-polynomials"]], "gegenbauer()": [[21, "gegenbauer"]], "Hermite polynomials": [[21, "hermite-polynomials"]], "hermite()": [[21, "hermite"]], "Laguerre polynomials": [[21, "laguerre-polynomials"]], "laguerre()": [[21, "laguerre"]], "Spherical harmonics": [[21, "spherical-harmonics"]], "spherharm()": [[21, "spherharm"]], "Powers and logarithms": [[22, "powers-and-logarithms"]], "Nth roots": [[22, "nth-roots"]], "sqrt()": [[22, "sqrt"]], "hypot()": [[22, "hypot"]], "cbrt()": [[22, "cbrt"]], "root()": [[22, "root"]], "unitroots()": [[22, "unitroots"]], "Exponentiation": [[22, "exponentiation"]], "exp()": [[22, "exp"]], "power()": [[22, "power"]], "expj()": [[22, "expj"]], "expjpi()": [[22, "expjpi"]], "expm1()": [[22, "expm1"]], "powm1()": [[22, "powm1"]], "Logarithms": [[22, "logarithms"]], "log()": [[22, "log"]], "ln()": [[22, "ln"]], "log10()": [[22, "log10"]], "log1p()": [[22, "log1p"]], "Lambert W function": [[22, "lambert-w-function"]], "lambertw()": [[22, "lambertw"]], "Arithmetic-geometric mean": [[22, "arithmetic-geometric-mean"]], "agm()": [[22, "agm"]], "q-functions": [[23, "q-functions"]], "q-Pochhammer symbol": [[23, "q-pochhammer-symbol"]], "qp()": [[23, "qp"]], "q-gamma and factorial": [[23, "q-gamma-and-factorial"]], "qgamma()": [[23, "qgamma"]], "qfac()": [[23, "qfac"]], "Hypergeometric q-series": [[23, "hypergeometric-q-series"]], "qhyper()": [[23, "qhyper"]], "Signal functions": [[24, "signal-functions"]], "Square wave signal": [[24, "square-wave-signal"]], "squarew()": [[24, "squarew"]], "Triangle wave signal": [[24, "triangle-wave-signal"]], "trianglew()": [[24, "trianglew"]], "Sawtooth wave signal": [[24, "sawtooth-wave-signal"]], "sawtoothw()": [[24, "sawtoothw"]], "Unit triangle signal": [[24, "unit-triangle-signal"]], "unit_triangle()": [[24, "unit-triangle"]], "Sigmoid wave signal": [[24, "sigmoid-wave-signal"]], "sigmoid()": [[24, "sigmoid"]], "Trigonometric functions": [[25, "trigonometric-functions"], [25, "id1"]], "Degree-radian conversion": [[25, "degree-radian-conversion"]], "degrees()": [[25, "degrees"]], "radians()": [[25, "radians"]], "cos()": [[25, "cos"]], "sin()": [[25, "sin"]], "tan()": [[25, "tan"]], "sec()": [[25, "sec"]], "csc()": [[25, "csc"]], "cot()": [[25, "cot"]], "Trigonometric functions with modified argument": [[25, "trigonometric-functions-with-modified-argument"]], "cospi()": [[25, "cospi"]], "sinpi()": [[25, "sinpi"]], "Inverse trigonometric functions": [[25, "inverse-trigonometric-functions"]], "acos()": [[25, "acos"]], "asin()": [[25, "asin"]], "atan()": [[25, "atan"]], "atan2()": [[25, "atan2"]], "asec()": [[25, "asec"]], "acsc()": [[25, "acsc"]], "acot()": [[25, "acot"]], "Sinc function": [[25, "sinc-function"]], "sinc()": [[25, "sinc"]], "sincpi()": [[25, "sincpi"]], "Zeta functions, L-series and polylogarithms": [[26, "zeta-functions-l-series-and-polylogarithms"]], "Riemann and Hurwitz zeta functions": [[26, "riemann-and-hurwitz-zeta-functions"]], "zeta()": [[26, "zeta"]], "Dirichlet L-series": [[26, "dirichlet-l-series"]], "altzeta()": [[26, "altzeta"]], "dirichlet()": [[26, "dirichlet"]], "Stieltjes constants": [[26, "stieltjes-constants"]], "stieltjes()": [[26, "stieltjes"]], "Zeta function zeros": [[26, "zeta-function-zeros"]], "zetazero()": [[26, "zetazero"]], "nzeros()": [[26, "nzeros"]], "siegelz()": [[26, "siegelz"]], "siegeltheta()": [[26, "siegeltheta"]], "grampoint()": [[26, "grampoint"]], "backlunds()": [[26, "backlunds"]], "Lerch transcendent": [[26, "lerch-transcendent"]], "lerchphi()": [[26, "lerchphi"]], "Polylogarithms and Clausen functions": [[26, "polylogarithms-and-clausen-functions"]], "polylog()": [[26, "polylog"]], "clsin()": [[26, "clsin"]], "clcos()": [[26, "clcos"]], "polyexp()": [[26, "polyexp"]], "Zeta function variants": [[26, "zeta-function-variants"]], "primezeta()": [[26, "primezeta"]], "secondzeta()": [[26, "secondzeta"]], "Utility functions": [[27, "utility-functions"]], "Conversion and printing": [[27, "conversion-and-printing"]], "mpmathify() / convert()": [[27, "mpmathify-convert"]], "nstr()": [[27, "nstr"]], "nprint()": [[27, "nprint"]], "Arithmetic operations": [[27, "arithmetic-operations"]], "fadd()": [[27, "fadd"]], "fsub()": [[27, "fsub"]], "fneg()": [[27, "fneg"]], "fmul()": [[27, "fmul"]], "fdiv()": [[27, "fdiv"]], "fmod()": [[27, "fmod"]], "fsum()": [[27, "fsum"]], "fprod()": [[27, "fprod"]], "fdot()": [[27, "fdot"]], "Complex components": [[27, "complex-components"]], "fabs()": [[27, "fabs"]], "sign()": [[27, "sign"]], "re()": [[27, "re"]], "im()": [[27, "im"]], "arg()": [[27, "arg"]], "conj()": [[27, "conj"]], "polar()": [[27, "polar"]], "rect()": [[27, "rect"]], "Integer and fractional parts": [[27, "integer-and-fractional-parts"]], "floor()": [[27, "floor"]], "ceil()": [[27, "ceil"]], "nint()": [[27, "nint"]], "frac()": [[27, "frac"]], "Tolerances and approximate comparisons": [[27, "tolerances-and-approximate-comparisons"]], "chop()": [[27, "chop"]], "almosteq()": [[27, "almosteq"]], "Properties of numbers": [[27, "properties-of-numbers"]], "isinf()": [[27, "isinf"]], "isnan()": [[27, "isnan"]], "isnormal()": [[27, "isnormal"]], "isfinite()": [[27, "isfinite"]], "isint()": [[27, "isint"]], "ldexp()": [[27, "ldexp"]], "frexp()": [[27, "frexp"]], "mag()": [[27, "mag"]], "nint_distance()": [[27, "nint-distance"]], "Number generation": [[27, "number-generation"]], "fraction()": [[27, "fraction"]], "rand()": [[27, "rand"]], "arange()": [[27, "arange"]], "linspace()": [[27, "linspace"]], "Precision management": [[27, "precision-management"]], "autoprec()": [[27, "autoprec"]], "workprec()": [[27, "workprec"]], "workdps()": [[27, "workdps"]], "extraprec()": [[27, "extraprec"]], "extradps()": [[27, "extradps"]], "Performance and debugging": [[27, "performance-and-debugging"]], "memoize()": [[27, "memoize"]], "maxcalls()": [[27, "maxcalls"]], "monitor()": [[27, "monitor"]], "timing()": [[27, "timing"]], "Index": [[28, "index"]], "Number identification": [[29, "number-identification"]], "Constant recognition": [[29, "constant-recognition"]], "identify()": [[29, "identify"]], "Algebraic identification": [[29, "algebraic-identification"]], "findpoly()": [[29, "findpoly"]], "Integer relations (PSLQ)": [[29, "integer-relations-pslq"]], "pslq()": [[29, "pslq"]], "Welcome to mpmath\u2019s documentation!": [[30, "welcome-to-mpmath-s-documentation"]], "Introduction": [[30, "introduction"]], "Basic features": [[30, "basic-features"]], "Advanced mathematics": [[30, "advanced-mathematics"]], "End matter": [[30, "end-matter"]], "Matrices": [[31, "matrices"]], "Creating matrices": [[31, "creating-matrices"]], "Basic methods": [[31, "basic-methods"]], "Advanced methods": [[31, "advanced-methods"]], "Vectors": [[31, "vectors"]], "Other": [[31, "other"]], "Matrix operations": [[31, "matrix-operations"]], "Norms": [[31, "norms"]], "Linear algebra": [[31, "linear-algebra"]], "Determinant and Rank": [[31, "determinant-and-rank"]], "Decompositions": [[31, "decompositions"]], "Linear equations": [[31, "linear-equations"]], "Matrix factorization": [[31, "matrix-factorization"]], "The singular value decomposition": [[31, "the-singular-value-decomposition"]], "The Schur decomposition": [[31, "the-schur-decomposition"]], "The eigenvalue problem": [[31, "the-eigenvalue-problem"]], "The symmetric eigenvalue problem": [[31, "the-symmetric-eigenvalue-problem"]], "Determinant": [[31, "determinant"]], "Interval and double-precision matrices": [[31, "interval-and-double-precision-matrices"]], "Matrix functions": [[31, "matrix-functions"]], "Plotting": [[32, "plotting"]], "Function curve plots": [[32, "function-curve-plots"]], "Complex function plots": [[32, "complex-function-plots"]], "3D surface plots": [[32, "d-surface-plots"]], "References": [[33, "references"]], "Setting up mpmath": [[34, "setting-up-mpmath"]], "Download and installation": [[34, "download-and-installation"]], "Using pip": [[34, "using-pip"]], "Debian/Ubuntu": [[34, "debian-ubuntu"]], "OpenSUSE": [[34, "opensuse"]], "Current development version": [[34, "current-development-version"]], "Checking that it works": [[34, "checking-that-it-works"]], "Using gmpy (optional)": [[34, "using-gmpy-optional"]], "Running tests": [[34, "running-tests"]], "Compiling the documentation": [[34, "compiling-the-documentation"]], "Mpmath under Sage": [[34, "mpmath-under-sage"]], "Precision and representation issues": [[35, "precision-and-representation-issues"]], "Precision, error and tolerance": [[35, "precision-error-and-tolerance"]], "Representation of numbers": [[35, "representation-of-numbers"]], "Decimal issues": [[35, "decimal-issues"]], "Correctness guarantees": [[35, "correctness-guarantees"]], "Double precision emulation": [[35, "double-precision-emulation"]], "Further reading": [[35, "further-reading"]]}, "indexentries": {"chebyfit() (in module mpmath)": [[1, "mpmath.chebyfit"]], "fourier() (in module mpmath)": [[1, "mpmath.fourier"]], "fourierval() (in module mpmath)": [[1, "mpmath.fourierval"]], "pade() (in module mpmath)": [[1, "mpmath.pade"]], "taylor() (in module mpmath)": [[1, "mpmath.taylor"]], "diff() (in module mpmath)": [[2, "mpmath.diff"]], "differint() (in module mpmath)": [[2, "mpmath.differint"]], "diffs() (in module mpmath)": [[2, "mpmath.diffs"]], "diffs_exp() (in module mpmath)": [[2, "mpmath.diffs_exp"]], "diffs_prod() (in module mpmath)": [[2, "mpmath.diffs_prod"]], "gausslegendre (class in mpmath.calculus.quadrature)": [[4, "mpmath.calculus.quadrature.GaussLegendre"]], "quadraturerule (class in mpmath.calculus.quadrature)": [[4, "mpmath.calculus.quadrature.QuadratureRule"]], "tanhsinh (class in mpmath.calculus.quadrature)": [[4, "mpmath.calculus.quadrature.TanhSinh"]], "calc_nodes() (mpmath.calculus.quadrature.gausslegendre method)": [[4, "mpmath.calculus.quadrature.GaussLegendre.calc_nodes"]], "calc_nodes() (mpmath.calculus.quadrature.quadraturerule method)": [[4, "mpmath.calculus.quadrature.QuadratureRule.calc_nodes"]], "calc_nodes() (mpmath.calculus.quadrature.tanhsinh method)": [[4, "mpmath.calculus.quadrature.TanhSinh.calc_nodes"]], "clear() (mpmath.calculus.quadrature.quadraturerule method)": [[4, "mpmath.calculus.quadrature.QuadratureRule.clear"]], "estimate_error() (mpmath.calculus.quadrature.quadraturerule method)": [[4, "mpmath.calculus.quadrature.QuadratureRule.estimate_error"]], "get_nodes() (mpmath.calculus.quadrature.quadraturerule method)": [[4, "mpmath.calculus.quadrature.QuadratureRule.get_nodes"]], "guess_degree() (mpmath.calculus.quadrature.quadraturerule method)": [[4, "mpmath.calculus.quadrature.QuadratureRule.guess_degree"]], "quad() (in module mpmath)": [[4, "mpmath.quad"]], "quadosc() (in module mpmath)": [[4, "mpmath.quadosc"]], "quadsubdiv() (in module mpmath)": [[4, "mpmath.quadsubdiv"]], "sum_next() (mpmath.calculus.quadrature.quadraturerule method)": [[4, "mpmath.calculus.quadrature.QuadratureRule.sum_next"]], "sum_next() (mpmath.calculus.quadrature.tanhsinh method)": [[4, "mpmath.calculus.quadrature.TanhSinh.sum_next"]], "summation() (mpmath.calculus.quadrature.quadraturerule method)": [[4, "mpmath.calculus.quadrature.QuadratureRule.summation"]], "transform_nodes() (mpmath.calculus.quadrature.quadraturerule method)": [[4, "mpmath.calculus.quadrature.QuadratureRule.transform_nodes"]], "cohen (class in mpmath.calculus.inverselaplace)": [[5, "mpmath.calculus.inverselaplace.Cohen"]], "fixedtalbot (class in mpmath.calculus.inverselaplace)": [[5, "mpmath.calculus.inverselaplace.FixedTalbot"]], "stehfest (class in mpmath.calculus.inverselaplace)": [[5, "mpmath.calculus.inverselaplace.Stehfest"]], "calc_laplace_parameter() (mpmath.calculus.inverselaplace.cohen method)": [[5, "mpmath.calculus.inverselaplace.Cohen.calc_laplace_parameter"]], "calc_laplace_parameter() (mpmath.calculus.inverselaplace.fixedtalbot method)": [[5, "mpmath.calculus.inverselaplace.FixedTalbot.calc_laplace_parameter"]], "calc_laplace_parameter() (mpmath.calculus.inverselaplace.stehfest method)": [[5, "mpmath.calculus.inverselaplace.Stehfest.calc_laplace_parameter"]], "calc_laplace_parameter() (mpmath.calculus.inverselaplace.dehoog method)": [[5, "mpmath.calculus.inverselaplace.deHoog.calc_laplace_parameter"]], "calc_time_domain_solution() (mpmath.calculus.inverselaplace.cohen method)": [[5, "mpmath.calculus.inverselaplace.Cohen.calc_time_domain_solution"]], "calc_time_domain_solution() (mpmath.calculus.inverselaplace.fixedtalbot method)": [[5, "mpmath.calculus.inverselaplace.FixedTalbot.calc_time_domain_solution"]], "calc_time_domain_solution() (mpmath.calculus.inverselaplace.stehfest method)": [[5, "mpmath.calculus.inverselaplace.Stehfest.calc_time_domain_solution"]], "calc_time_domain_solution() (mpmath.calculus.inverselaplace.dehoog method)": [[5, "mpmath.calculus.inverselaplace.deHoog.calc_time_domain_solution"]], "dehoog (class in mpmath.calculus.inverselaplace)": [[5, "mpmath.calculus.inverselaplace.deHoog"]], "invertlaplace() (in module mpmath)": [[5, "mpmath.invertlaplace"]], "odefun() (in module mpmath)": [[6, "mpmath.odefun"]], "anewton (class in mpmath.calculus.optimization)": [[7, "mpmath.calculus.optimization.ANewton"]], "anderson (class in mpmath.calculus.optimization)": [[7, "mpmath.calculus.optimization.Anderson"]], "bisection (class in mpmath.calculus.optimization)": [[7, "mpmath.calculus.optimization.Bisection"]], "halley (class in mpmath.calculus.optimization)": [[7, "mpmath.calculus.optimization.Halley"]], "illinois (class in mpmath.calculus.optimization)": [[7, "mpmath.calculus.optimization.Illinois"]], "mdnewton (class in mpmath.calculus.optimization)": [[7, "mpmath.calculus.optimization.MDNewton"]], "mnewton (class in mpmath.calculus.optimization)": [[7, "mpmath.calculus.optimization.MNewton"]], "muller (class in mpmath.calculus.optimization)": [[7, "mpmath.calculus.optimization.Muller"]], "newton (class in mpmath.calculus.optimization)": [[7, "mpmath.calculus.optimization.Newton"]], "pegasus (class in mpmath.calculus.optimization)": [[7, "mpmath.calculus.optimization.Pegasus"]], "ridder (class in mpmath.calculus.optimization)": [[7, "mpmath.calculus.optimization.Ridder"]], "secant (class in mpmath.calculus.optimization)": [[7, "mpmath.calculus.optimization.Secant"]], "findroot() (in module mpmath)": [[7, "mpmath.findroot"]], "polyroots() (in module mpmath)": [[8, "mpmath.polyroots"]], "polyval() (in module mpmath)": [[8, "mpmath.polyval"]], "cohen_alt() (in module mpmath)": [[9, "mpmath.cohen_alt"]], "levin() (in module mpmath)": [[9, "mpmath.levin"]], "limit() (in module mpmath)": [[9, "mpmath.limit"]], "nprod() (in module mpmath)": [[9, "mpmath.nprod"]], "nsum() (in module mpmath)": [[9, "mpmath.nsum"]], "richardson() (in module mpmath)": [[9, "mpmath.richardson"]], "shanks() (in module mpmath)": [[9, "mpmath.shanks"]], "sumap() (in module mpmath)": [[9, "mpmath.sumap"]], "sumem() (in module mpmath)": [[9, "mpmath.sumem"]], "--help": [[10, "cmdoption-python-m-mpmath-h"]], "--no-ipython": [[10, "cmdoption-python-m-mpmath-no-ipython"]], "--no-wrap-division": [[10, "cmdoption-python-m-mpmath-no-wrap-division"]], "--no-wrap-floats": [[10, "cmdoption-python-m-mpmath-no-wrap-floats"]], "--prec": [[10, "cmdoption-python-m-mpmath-prec"]], "--pretty": [[10, "cmdoption-python-m-mpmath-pretty"]], "--version": [[10, "cmdoption-python-m-mpmath-V"]], "-v": [[10, "cmdoption-python-m-mpmath-V"]], "-h": [[10, "cmdoption-python-m-mpmath-h"]], "python--m-mpmath command line option": [[10, "cmdoption-python-m-mpmath-V"], [10, "cmdoption-python-m-mpmath-h"], [10, "cmdoption-python-m-mpmath-no-ipython"], [10, "cmdoption-python-m-mpmath-no-wrap-division"], [10, "cmdoption-python-m-mpmath-no-wrap-floats"], [10, "cmdoption-python-m-mpmath-prec"], [10, "cmdoption-python-m-mpmath-pretty"]], "airyai() (in module mpmath)": [[12, "mpmath.airyai"]], "airyaizero() (in module mpmath)": [[12, "mpmath.airyaizero"]], "airybi() (in module mpmath)": [[12, "mpmath.airybi"]], "airybizero() (in module mpmath)": [[12, "mpmath.airybizero"]], "angerj() (in module mpmath)": [[12, "mpmath.angerj"]], "bei() (in module mpmath)": [[12, "mpmath.bei"]], "ber() (in module mpmath)": [[12, "mpmath.ber"]], "besseli() (in module mpmath)": [[12, "mpmath.besseli"]], "besselj() (in module mpmath)": [[12, "mpmath.besselj"]], "besseljzero() (in module mpmath)": [[12, "mpmath.besseljzero"]], "besselk() (in module mpmath)": [[12, "mpmath.besselk"]], "bessely() (in module mpmath)": [[12, "mpmath.bessely"]], "besselyzero() (in module mpmath)": [[12, "mpmath.besselyzero"]], "coulombc() (in module mpmath)": [[12, "mpmath.coulombc"]], "coulombf() (in module mpmath)": [[12, "mpmath.coulombf"]], "coulombg() (in module mpmath)": [[12, "mpmath.coulombg"]], "hankel1() (in module mpmath)": [[12, "mpmath.hankel1"]], "hankel2() (in module mpmath)": [[12, "mpmath.hankel2"]], "hyperu() (in module mpmath)": [[12, "mpmath.hyperu"]], "j0() (in module mpmath)": [[12, "mpmath.j0"]], "j1() (in module mpmath)": [[12, "mpmath.j1"]], "kei() (in module mpmath)": [[12, "mpmath.kei"]], "ker() (in module mpmath)": [[12, "mpmath.ker"]], "lommels1() (in module mpmath)": [[12, "mpmath.lommels1"]], "lommels2() (in module mpmath)": [[12, "mpmath.lommels2"]], "pcfd() (in module mpmath)": [[12, "mpmath.pcfd"]], "pcfu() (in module mpmath)": [[12, "mpmath.pcfu"]], "pcfv() (in module mpmath)": [[12, "mpmath.pcfv"]], "pcfw() (in module mpmath)": [[12, "mpmath.pcfw"]], "scorergi() (in module mpmath)": [[12, "mpmath.scorergi"]], "scorerhi() (in module mpmath)": [[12, "mpmath.scorerhi"]], "struveh() (in module mpmath)": [[12, "mpmath.struveh"]], "struvel() (in module mpmath)": [[12, "mpmath.struvel"]], "webere() (in module mpmath)": [[12, "mpmath.webere"]], "whitm() (in module mpmath)": [[12, "mpmath.whitm"]], "whitw() (in module mpmath)": [[12, "mpmath.whitw"]], "apery (mpmath.mp attribute)": [[13, "mpmath.mp.apery"]], "catalan (mpmath.mp attribute)": [[13, "mpmath.mp.catalan"]], "degree (mpmath.mp attribute)": [[13, "mpmath.mp.degree"]], "e (mpmath.mp attribute)": [[13, "mpmath.mp.e"]], "euler() (in module mpmath.mp)": [[13, "mpmath.mp.euler"]], "glaisher (mpmath.mp attribute)": [[13, "mpmath.mp.glaisher"]], "khinchin (mpmath.mp attribute)": [[13, "mpmath.mp.khinchin"]], "mertens (mpmath.mp attribute)": [[13, "mpmath.mp.mertens"]], "phi (mpmath.mp attribute)": [[13, "mpmath.mp.phi"]], "pi() (in module mpmath.mp)": [[13, "mpmath.mp.pi"]], "twinprime (mpmath.mp attribute)": [[13, "mpmath.mp.twinprime"]], "ellipe() (in module mpmath)": [[14, "mpmath.ellipe"]], "ellipf() (in module mpmath)": [[14, "mpmath.ellipf"]], "ellipfun() (in module mpmath)": [[14, "mpmath.ellipfun"]], "ellipk() (in module mpmath)": [[14, "mpmath.ellipk"]], "ellippi() (in module mpmath)": [[14, "mpmath.ellippi"]], "elliprc() (in module mpmath)": [[14, "mpmath.elliprc"]], "elliprd() (in module mpmath)": [[14, "mpmath.elliprd"]], "elliprf() (in module mpmath)": [[14, "mpmath.elliprf"]], "elliprg() (in module mpmath)": [[14, "mpmath.elliprg"]], "elliprj() (in module mpmath)": [[14, "mpmath.elliprj"]], "eta() (in module mpmath)": [[14, "mpmath.eta"]], "jtheta() (in module mpmath)": [[14, "mpmath.jtheta"]], "kfrom() (in module mpmath)": [[14, "mpmath.kfrom"]], "kleinj() (in module mpmath)": [[14, "mpmath.kleinj"]], "mfrom() (in module mpmath)": [[14, "mpmath.mfrom"]], "qbarfrom() (in module mpmath)": [[14, "mpmath.qbarfrom"]], "qfrom() (in module mpmath)": [[14, "mpmath.qfrom"]], "taufrom() (in module mpmath)": [[14, "mpmath.taufrom"]], "chi() (in module mpmath)": [[15, "mpmath.chi"]], "ci() (in module mpmath)": [[15, "mpmath.ci"]], "e1() (in module mpmath)": [[15, "mpmath.e1"]], "ei() (in module mpmath)": [[15, "mpmath.ei"]], "erf() (in module mpmath)": [[15, "mpmath.erf"]], "erfc() (in module mpmath)": [[15, "mpmath.erfc"]], "erfi() (in module mpmath)": [[15, "mpmath.erfi"]], "erfinv() (in module mpmath)": [[15, "mpmath.erfinv"]], "expint() (in module mpmath)": [[15, "mpmath.expint"]], "fresnelc() (in module mpmath)": [[15, "mpmath.fresnelc"]], "fresnels() (in module mpmath)": [[15, "mpmath.fresnels"]], "gammainc() (in module mpmath)": [[15, "mpmath.gammainc"]], "li() (in module mpmath)": [[15, "mpmath.li"]], "lower_gamma() (in module mpmath)": [[15, "mpmath.lower_gamma"]], "ncdf() (in module mpmath)": [[15, "mpmath.ncdf"]], "npdf() (in module mpmath)": [[15, "mpmath.npdf"]], "shi() (in module mpmath)": [[15, "mpmath.shi"]], "si() (in module mpmath)": [[15, "mpmath.si"]], "upper_gamma() (in module mpmath)": [[15, "mpmath.upper_gamma"]], "barnesg() (in module mpmath)": [[16, "mpmath.barnesg"]], "beta() (in module mpmath)": [[16, "mpmath.beta"]], "betainc() (in module mpmath)": [[16, "mpmath.betainc"]], "binomial() (in module mpmath)": [[16, "mpmath.binomial"]], "digamma() (in module mpmath)": [[16, "mpmath.digamma"]], "fac2() (in module mpmath)": [[16, "mpmath.fac2"]], "factorial() (in module mpmath)": [[16, "mpmath.factorial"]], "ff() (in module mpmath)": [[16, "mpmath.ff"]], "gamma() (in module mpmath)": [[16, "mpmath.gamma"]], "gammaprod() (in module mpmath)": [[16, "mpmath.gammaprod"]], "harmonic() (in module mpmath)": [[16, "mpmath.harmonic"]], "hyperfac() (in module mpmath)": [[16, "mpmath.hyperfac"]], "loggamma() (in module mpmath)": [[16, "mpmath.loggamma"]], "psi() (in module mpmath)": [[16, "mpmath.psi"]], "rf() (in module mpmath)": [[16, "mpmath.rf"]], "rgamma() (in module mpmath)": [[16, "mpmath.rgamma"]], "superfac() (in module mpmath)": [[16, "mpmath.superfac"]], "acosh() (in module mpmath)": [[17, "mpmath.acosh"]], "acoth() (in module mpmath)": [[17, "mpmath.acoth"]], "acsch() (in module mpmath)": [[17, "mpmath.acsch"]], "asech() (in module mpmath)": [[17, "mpmath.asech"]], "asinh() (in module mpmath)": [[17, "mpmath.asinh"]], "atanh() (in module mpmath)": [[17, "mpmath.atanh"]], "cosh() (in module mpmath)": [[17, "mpmath.cosh"]], "coth() (in module mpmath)": [[17, "mpmath.coth"]], "csch() (in module mpmath)": [[17, "mpmath.csch"]], "sech() (in module mpmath)": [[17, "mpmath.sech"]], "sinh() (in module mpmath)": [[17, "mpmath.sinh"]], "tanh() (in module mpmath)": [[17, "mpmath.tanh"]], "appellf1() (in module mpmath)": [[18, "mpmath.appellf1"]], "appellf2() (in module mpmath)": [[18, "mpmath.appellf2"]], "appellf3() (in module mpmath)": [[18, "mpmath.appellf3"]], "appellf4() (in module mpmath)": [[18, "mpmath.appellf4"]], "bihyper() (in module mpmath)": [[18, "mpmath.bihyper"]], "hyp0f1() (in module mpmath)": [[18, "mpmath.hyp0f1"]], "hyp1f1() (in module mpmath)": [[18, "mpmath.hyp1f1"]], "hyp1f2() (in module mpmath)": [[18, "mpmath.hyp1f2"]], "hyp2f0() (in module mpmath)": [[18, "mpmath.hyp2f0"]], "hyp2f1() (in module mpmath)": [[18, "mpmath.hyp2f1"]], "hyp2f2() (in module mpmath)": [[18, "mpmath.hyp2f2"]], "hyp2f3() (in module mpmath)": [[18, "mpmath.hyp2f3"]], "hyp3f2() (in module mpmath)": [[18, "mpmath.hyp3f2"]], "hyper() (in module mpmath)": [[18, "mpmath.hyper"]], "hyper2d() (in module mpmath)": [[18, "mpmath.hyper2d"]], "hypercomb() (in module mpmath)": [[18, "mpmath.hypercomb"]], "meijerg() (in module mpmath)": [[18, "mpmath.meijerg"]], "bell() (in module mpmath)": [[20, "mpmath.bell"]], "bernfrac() (in module mpmath)": [[20, "mpmath.bernfrac"]], "bernoulli() (in module mpmath)": [[20, "mpmath.bernoulli"]], "bernpoly() (in module mpmath)": [[20, "mpmath.bernpoly"]], "cyclotomic() (in module mpmath)": [[20, "mpmath.cyclotomic"]], "eulernum() (in module mpmath)": [[20, "mpmath.eulernum"]], "eulerpoly() (in module mpmath)": [[20, "mpmath.eulerpoly"]], "fibonacci() (in module mpmath)": [[20, "mpmath.fibonacci"]], "mangoldt() (in module mpmath)": [[20, "mpmath.mangoldt"]], "primepi() (in module mpmath)": [[20, "mpmath.primepi"]], "primepi2() (in module mpmath)": [[20, "mpmath.primepi2"]], "riemannr() (in module mpmath)": [[20, "mpmath.riemannr"]], "stirling1() (in module mpmath)": [[20, "mpmath.stirling1"]], "stirling2() (in module mpmath)": [[20, "mpmath.stirling2"]], "chebyt() (in module mpmath)": [[21, "mpmath.chebyt"]], "chebyu() (in module mpmath)": [[21, "mpmath.chebyu"]], "gegenbauer() (in module mpmath)": [[21, "mpmath.gegenbauer"]], "hermite() (in module mpmath)": [[21, "mpmath.hermite"]], "jacobi() (in module mpmath)": [[21, "mpmath.jacobi"]], "laguerre() (in module mpmath)": [[21, "mpmath.laguerre"]], "legendre() (in module mpmath)": [[21, "mpmath.legendre"]], "legenp() (in module mpmath)": [[21, "mpmath.legenp"]], "legenq() (in module mpmath)": [[21, "mpmath.legenq"]], "spherharm() (in module mpmath)": [[21, "mpmath.spherharm"]], "agm() (in module mpmath)": [[22, "mpmath.agm"]], "cbrt() (in module mpmath)": [[22, "mpmath.cbrt"]], "exp() (in module mpmath)": [[22, "mpmath.exp"]], "expj() (in module mpmath)": [[22, "mpmath.expj"]], "expjpi() (in module mpmath)": [[22, "mpmath.expjpi"]], "expm1() (in module mpmath)": [[22, "mpmath.expm1"]], "hypot() (in module mpmath)": [[22, "mpmath.hypot"]], "lambertw() (in module mpmath)": [[22, "mpmath.lambertw"]], "ln() (in module mpmath)": [[22, "mpmath.ln"]], "log() (in module mpmath)": [[22, "mpmath.log"]], "log10() (in module mpmath)": [[22, "mpmath.log10"]], "log1p() (in module mpmath)": [[22, "mpmath.log1p"]], "power() (in module mpmath)": [[22, "mpmath.power"]], "powm1() (in module mpmath)": [[22, "mpmath.powm1"]], "root() (in module mpmath)": [[22, "mpmath.root"]], "sqrt() (in module mpmath)": [[22, "mpmath.sqrt"]], "unitroots() (in module mpmath)": [[22, "mpmath.unitroots"]], "qfac() (in module mpmath)": [[23, "mpmath.qfac"]], "qgamma() (in module mpmath)": [[23, "mpmath.qgamma"]], "qhyper() (in module mpmath)": [[23, "mpmath.qhyper"]], "qp() (in module mpmath)": [[23, "mpmath.qp"]], "sawtoothw() (in module mpmath)": [[24, "mpmath.sawtoothw"]], "sigmoid() (in module mpmath)": [[24, "mpmath.sigmoid"]], "squarew() (in module mpmath)": [[24, "mpmath.squarew"]], "trianglew() (in module mpmath)": [[24, "mpmath.trianglew"]], "unit_triangle() (in module mpmath)": [[24, "mpmath.unit_triangle"]], "acos() (in module mpmath)": [[25, "mpmath.acos"]], "acot() (in module mpmath)": [[25, "mpmath.acot"]], "acsc() (in module mpmath)": [[25, "mpmath.acsc"]], "asec() (in module mpmath)": [[25, "mpmath.asec"]], "asin() (in module mpmath)": [[25, "mpmath.asin"]], "atan() (in module mpmath)": [[25, "mpmath.atan"]], "atan2() (in module mpmath)": [[25, "mpmath.atan2"]], "cos() (in module mpmath)": [[25, "mpmath.cos"]], "cospi() (in module mpmath)": [[25, "mpmath.cospi"]], "cot() (in module mpmath)": [[25, "mpmath.cot"]], "csc() (in module mpmath)": [[25, "mpmath.csc"]], "degrees() (in module mpmath)": [[25, "mpmath.degrees"]], "radians() (in module mpmath)": [[25, "mpmath.radians"]], "sec() (in module mpmath)": [[25, "mpmath.sec"]], "sin() (in module mpmath)": [[25, "mpmath.sin"]], "sinc() (in module mpmath)": [[25, "mpmath.sinc"]], "sincpi() (in module mpmath)": [[25, "mpmath.sincpi"]], "sinpi() (in module mpmath)": [[25, "mpmath.sinpi"]], "tan() (in module mpmath)": [[25, "mpmath.tan"]], "altzeta() (in module mpmath)": [[26, "mpmath.altzeta"]], "backlunds() (in module mpmath)": [[26, "mpmath.backlunds"]], "clcos() (in module mpmath)": [[26, "mpmath.clcos"]], "clsin() (in module mpmath)": [[26, "mpmath.clsin"]], "dirichlet() (in module mpmath)": [[26, "mpmath.dirichlet"]], "grampoint() (in module mpmath)": [[26, "mpmath.grampoint"]], "lerchphi() (in module mpmath)": [[26, "mpmath.lerchphi"]], "nzeros() (in module mpmath)": [[26, "mpmath.nzeros"]], "polyexp() (in module mpmath)": [[26, "mpmath.polyexp"]], "polylog() (in module mpmath)": [[26, "mpmath.polylog"]], "primezeta() (in module mpmath)": [[26, "mpmath.primezeta"]], "secondzeta() (in module mpmath)": [[26, "mpmath.secondzeta"]], "siegeltheta() (in module mpmath)": [[26, "mpmath.siegeltheta"]], "siegelz() (in module mpmath)": [[26, "mpmath.siegelz"]], "stieltjes() (in module mpmath)": [[26, "mpmath.stieltjes"]], "zeta() (in module mpmath)": [[26, "mpmath.zeta"]], "zetazero() (in module mpmath)": [[26, "mpmath.zetazero"]], "almosteq() (in module mpmath)": [[27, "mpmath.almosteq"]], "arange() (in module mpmath)": [[27, "mpmath.arange"]], "arg() (in module mpmath)": [[27, "mpmath.arg"]], "autoprec() (in module mpmath)": [[27, "mpmath.autoprec"]], "ceil() (in module mpmath)": [[27, "mpmath.ceil"]], "chop() (in module mpmath)": [[27, "mpmath.chop"]], "conj() (in module mpmath)": [[27, "mpmath.conj"]], "extradps() (in module mpmath)": [[27, "mpmath.extradps"]], "extraprec() (in module mpmath)": [[27, "mpmath.extraprec"]], "fabs() (in module mpmath)": [[27, "mpmath.fabs"]], "fadd() (in module mpmath)": [[27, "mpmath.fadd"]], "fdiv() (in module mpmath)": [[27, "mpmath.fdiv"]], "fdot() (in module mpmath)": [[27, "mpmath.fdot"]], "floor() (in module mpmath)": [[27, "mpmath.floor"]], "fmod() (in module mpmath)": [[27, "mpmath.fmod"]], "fmul() (in module mpmath)": [[27, "mpmath.fmul"]], "fneg() (in module mpmath)": [[27, "mpmath.fneg"]], "fprod() (in module mpmath)": [[27, "mpmath.fprod"]], "frac() (in module mpmath)": [[27, "mpmath.frac"]], "fraction() (in module mpmath)": [[27, "mpmath.fraction"]], "frexp() (in module mpmath)": [[27, "mpmath.frexp"]], "fsub() (in module mpmath)": [[27, "mpmath.fsub"]], "fsum() (in module mpmath)": [[27, "mpmath.fsum"]], "im() (in module mpmath)": [[27, "mpmath.im"]], "isfinite() (in module mpmath)": [[27, "mpmath.isfinite"]], "isinf() (in module mpmath)": [[27, "mpmath.isinf"]], "isint() (in module mpmath)": [[27, "mpmath.isint"]], "isnan() (in module mpmath)": [[27, "mpmath.isnan"]], "isnormal() (in module mpmath)": [[27, "mpmath.isnormal"]], "ldexp() (in module mpmath)": [[27, "mpmath.ldexp"]], "linspace() (in module mpmath)": [[27, "mpmath.linspace"]], "mag() (in module mpmath)": [[27, "mpmath.mag"]], "maxcalls() (in module mpmath)": [[27, "mpmath.maxcalls"]], "memoize() (in module mpmath)": [[27, "mpmath.memoize"]], "monitor() (in module mpmath)": [[27, "mpmath.monitor"]], "mpmathify() (in module mpmath)": [[27, "mpmath.mpmathify"]], "nint() (in module mpmath)": [[27, "mpmath.nint"]], "nint_distance() (in module mpmath)": [[27, "mpmath.nint_distance"]], "nprint() (in module mpmath)": [[27, "mpmath.nprint"]], "nstr() (in module mpmath)": [[27, "mpmath.nstr"]], "polar() (in module mpmath)": [[27, "mpmath.polar"]], "rand() (in module mpmath)": [[27, "mpmath.rand"]], "re() (in module mpmath)": [[27, "mpmath.re"]], "rect() (in module mpmath)": [[27, "mpmath.rect"]], "sign() (in module mpmath)": [[27, "mpmath.sign"]], "timing() (in module mpmath)": [[27, "mpmath.timing"]], "workdps() (in module mpmath)": [[27, "mpmath.workdps"]], "workprec() (in module mpmath)": [[27, "mpmath.workprec"]], "findpoly() (in module mpmath)": [[29, "mpmath.findpoly"]], "identify() (in module mpmath)": [[29, "mpmath.identify"]], "pslq() (in module mpmath)": [[29, "mpmath.pslq"]], "cholesky() (in module mpmath)": [[31, "mpmath.cholesky"]], "cosm() (in module mpmath)": [[31, "mpmath.cosm"]], "det() (in module mpmath)": [[31, "mpmath.det"]], "expm() (in module mpmath)": [[31, "mpmath.expm"]], "logm() (in module mpmath)": [[31, "mpmath.logm"]], "lu_solve() (in module mpmath)": [[31, "mpmath.lu_solve"]], "mnorm() (in module mpmath)": [[31, "mpmath.mnorm"]], "norm() (in module mpmath)": [[31, "mpmath.norm"]], "powm() (in module mpmath)": [[31, "mpmath.powm"]], "rank() (in module mpmath)": [[31, "mpmath.rank"]], "sinm() (in module mpmath)": [[31, "mpmath.sinm"]], "sqrtm() (in module mpmath)": [[31, "mpmath.sqrtm"]], "cplot() (in module mpmath)": [[32, "mpmath.cplot"]], "plot() (in module mpmath)": [[32, "mpmath.plot"]], "splot() (in module mpmath)": [[32, "mpmath.splot"]]}})